<?php
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

require_once _PS_MODULE_DIR_ . 'mxb_tools/classes/pdf/MxbToolsHTMLTemplatePdf.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

class HTMLTemplateOrderPdf extends MxbToolsHTMLTemplatePdf
{
    public function __construct($order_object, $smarty)
    {
        parent::__construct($order_object, $smarty);

        $this->pdf_name = 'order';
        $this->main_tpl_name = 'order';
        $this->title = MxbToolsHTMLTemplatePdf::l('Order');
    }

    /** don't delete the following 3 methods because are abstract and need to be here */
    /**
     * Returns the template's HTML content
     * @return string HTML content
     */
    public function getContent()
    {
        return parent::getContent();
    }

    /**
     * Returns the template filename
     * @return string filename
     */
    public function getFilename()
    {
        return parent::getFilename();
    }

    /**
     * Returns the template filename when using bulk rendering
     * @return string filename
     */
    public function getBulkFilename()
    {
        return parent::getBulkFilename();
    }

    /**
     * Returns the invoice logo.
     *
     * @return string|null
     */
    protected function getLogo()
    {
        return parent::getLogo();
    }

    protected function getTemplate($template_name)
    {
        return parent::getTemplate($template_name);
    }

    public function getHeader()
    {
        $this->smarty->assign([
            'subtitle' => $this->order->getUniqReference(),
        ]);
        // MxbToolsDebug::writeLog('Mxb_Tools', 'HTMLTemplateCoverjobPdf::assignCommonHeaderData()',  'subtitle: ' . $this->order->getUniqReference());

        return parent::getHeader();
    }
}
