<?php
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
/*
    use PrestaShop\PrestaShop\Core\Product\ProductListingPresenter;
    use PrestaShop\PrestaShop\Adapter\Image\ImageRetriever;
    use PrestaShop\PrestaShop\Adapter\Product\PriceFormatter;
    use PrestaShop\PrestaShop\Adapter\Product\ProductColorsRetriever;
*/

require_once _PS_MODULE_DIR_ . 'mxb_tools/mxb_tools.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

class Mxb_ToolsProductPdfModuleFrontController extends ModuleFrontController
{
    // protected $product;
    protected $template_values = [];

    public function initContent()
    {
        // MxbToolsDebug::writeLog('mxb_tools', 'GadgetcardAjaxModuleFrontController::initContent', 'START - action:'.Tools::getValue('action'));
        $module = new mxb_tools();

        // You may should do some security work here, like checking an hash from your module
        if (Tools::isSubmit('action')) {
            // Usefull vars derivated from getContext
            $context = Context::getContext();
            $cart = $context->cart;
            $cookie = $context->cookie;
            $customer = $context->customer;
            $id_lang = $cookie->id_lang;

            // Default response with translation from the module
            $response = ['status' => false, 'message' => $module->l('Nothing here.')];

            switch (Tools::getValue('action')) {
                case 'generateProductPdf':
                    // get flags to show or hide specific prices and print options summary
                    $id_group = (int) Group::getCurrent()->id;
                    $group = Group::getGroups($id_lang, $id_group);
                    $id_customer = $context->cookie->id_customer;
                    $id_shop = (int) Context::getContext()->shop->id;
                    $id_currency = $cookie->id_currency;
                    $currency = new Currency($id_currency);
                    // MxbToolsDebug::writeLog('Gadgetcard', 'ProductPdfModuleFrontController', 'currency='.print_r($currency, true));
                    /* POST data: from view/js/front.js
                        var productData = {  jsonData: null,
                        discountTable: null,
                        printTable: null,
                        reference_description: null,
                        dataSheet: null,
                        description: null,
                        attributes: null,
                        imageUrl: null,
                        brand: null
                        };
                    */
                    /*
                    $id_product = isset($_POST['id_product']) ? (int) $_POST['id_product'] : 0;
                    $id_product_attribute = isset($_POST['id_product_attribute']) ? (int) $_POST['id_product_attribute'] : 0;
                    $id_customization = isset($_POST['id_customization']) ? (int) $_POST['id_customization'] : 0;
                    $quantity_wanted = isset($_POST['quantity_wanted']) ? (int) $_POST['quantity_wanted'] : 1;
                    */

                    $id_product = Tools::getIsset('id_product') ? (int) Tools::getValue('id_product') : 0;
                    $id_product_attribute = Tools::getIsset('id_product_attribute') ? (int) Tools::getValue('id_product_attribute') : 0;
                    $id_customization = Tools::getIsset('id_customization') ? (int) Tools::getValue('id_customization') : 0;
                    $quantity_wanted = Tools::getIsset('quantity_wanted') ? (int) Tools::getValue('quantity_wanted') : 1;

                    if ($quantity_wanted <= 1) {
                        $quantity_wanted = 1;
                    }

                    $this->template_values['productData'] = [
                        'discountTable' => Tools::getIsset('discountTable') ? Tools::getValue('discountTable') : '',
                        'printTable' => Tools::getIsset('printTable') ? Tools::getValue('printTable') : '',
                        'reference_description' => Tools::getIsset('reference_description') ? Tools::getValue('reference_description') : '',
                        'reference' => Tools::getIsset('reference') ? Tools::getValue('reference') : '',
                        'attribute_reference' => Tools::getIsset('attribute_reference') ? Tools::getValue('attribute_reference') : '',
                        'name' => Tools::getIsset('name') ? Tools::getValue('name') : '',
                        'description' => Tools::getIsset('description') ? Tools::getValue('description') : '',
                        'attributes' => Tools::getIsset('attributes') ? Tools::getValue('attributes') : '',
                        'imageUrl' => Tools::getIsset('imageUrl') ? Tools::getValue('imageUrl') : '',
                        'brand' => Tools::getIsset('brand') ? Tools::getValue('brand') : '',
                        'featuresTable' => Tools::getIsset('featuresTable') ? Tools::getValue('featuresTable') : '',
                        'printDetailsTable' => Tools::getIsset('printDetailsTable') ? Tools::getValue('printDetailsTable') : '',
                        'id_product' => $id_product,
                        'id_product_attribute' => $id_product_attribute,
                        'id_customization' => $id_customization,
                        'quantity_wanted' => $quantity_wanted,
                        'id_lang' => $id_lang,
                    ];

                    /*
                    $this->template_values['productData'] = [
                        'discountTable' => isset($_POST['discountTable']) ? $_POST['discountTable'] : '',
                        'printTable' => isset($_POST['printTable']) ? $_POST['printTable'] : '',
                        'reference_description' => isset($_POST['reference_description']) ? $_POST['reference_description'] : '',
                        'reference' => isset($_POST['reference']) ? $_POST['reference'] : '',
                        'attribute_reference' => isset($_POST['attribute_reference']) ? $_POST['attribute_reference'] : '',
                        'name' => isset($_POST['name']) ? $_POST['name'] : '',
                        'description' => isset($_POST['description']) ? $_POST['description'] : '',
                        'attributes' => isset($_POST['attributes']) ? $_POST['attributes'] : '',
                        'imageUrl' => isset($_POST['imageUrl']) ? $_POST['imageUrl'] : '',
                        'brand' => isset($_POST['brand']) ? $_POST['brand'] : '',
                        'featuresTable' => isset($_POST['featuresTable']) ? $_POST['featuresTable'] : '',
                        'printDetailsTable' => isset($_POST['printDetailsTable']) ? $_POST['printDetailsTable'] : '',
                        'id_product' => $id_product,
                        'id_product_attribute' => $id_product_attribute,
                        'id_customization' => $id_customization,
                        'quantity_wanted' => $quantity_wanted,
                        'id_lang' => $id_lang,
                    ];
                    */

                    $sql = '
                        SELECT *
                        FROM `' . _DB_PREFIX_ . 'product`
                        WHERE id_product = ' . (int) $id_product;
                    $product = Db::getInstance()->executeS($sql);

                    if (!$product) {
                        exit('The product cannot be found within your database.');
                    }

                    $this->template_values['shop_address'] = OrderInvoice::getCurrentFormattedShopAddress($id_shop);

                    require_once _PS_MODULE_DIR_ . 'mxb_tools/classes/pdf/HTMLTemplateProductPdf.php';
                    // header('Content-type: application/pdf');
                    // header('Content-Disposition: attachment; filename=order.pdf');
                    // MxbToolsDebug::writeLog('Gadgetcard', 'ProductPdfModuleFrontController', 'template_values='.print_r($this->template_values, true));
                    // Die (print_r($this->template_values, true));
                    // Die(print_r($product_for_template->id_product,true));

                    $pdf = new PDF(['product_object' => $this->template_values], 'ProductPdf', Context::getContext()->smarty);
                    $ret = MxbToolsUtils::tryRenderPdf($pdf);
                    if (is_string($ret)) {
                        exit($ret);
                    }
                    /*
                        try {
                            $pdf->render();
                        } catch (Exception $e) {
                            echo 'Something went wrong during the export : '. $e->getMessage();
                        }
                    */
                    exit;

                default:
                    break;
            }
        }
    }
}
