@echo off
cls
SETLOCAL EnableExtensions DisableDelayedExpansion

echo #########################################################
echo ## copyToSubfolders.bat: copy a file to all subfolders ##
echo # parameters: [filename]                                #
echo #   it accepts wildcards                                #
echo #########################################################
pause


rem set the name of the file: it will override [filename] parameter if missing.
set myfile=index.php

echo.
echo.

if "%1" equ "/?" goto :_HELP
if "%1" equ "/help" goto :_HELP
if "%1" equ "/HELP" goto :_HELP

set fname=%1
echo parameter: "%fname%"
echo default: "%myfile%"
echo.

if "%fname%" equ "" call :set_default
if "%fname%" equ "" goto :err_misspar
if not exist "%fname%" goto :err_missingfile

echo.
echo Copying file %fname% to all subfolders
echo.

rem FOR %%? IN ("C:\somefile\path\file.txt") DO (

rem echo --- SET variables under delayed expansion DISABLED
rem echo       and USE them with delayed expansion ENABLED as follows
rem Echo copy %fname% to %%~nxG in %%G

FOR /D /r %%G in (*.) DO (
	Echo copy %fname% to in %%G
	copy "%fname%" "%%G"
	ENDLOCAL
)
ENDLOCAL
goto :_EOF


:set_default
	set fname=%myfile%
	EXIT /B
	rem goto :continue1

:help
	echo ## copyToSubfolders.bat: copy a file to all subfolders ##
	echo # parameters: [filename]                                #
	echo #   it accepts wildcards                                #
	echo #########################################################
	goto :_EOF

:err_misspar
	echo ### error: parameter [filename] is missing !
	goto :_EOF
	
	
:err_missingfile
	echo ### error: file %1 not found !
	goto :_EOF
	
	
:_EOF
pause