<?php
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
$shop_root = dirname(__FILE__) . '/../../../';
require $shop_root . 'config/config.inc.php';
require $shop_root . 'init.php';
require_once _PS_MODULE_DIR_ . 'mxb_tools/classes/MxbToolsExport.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

if (!MxbToolsUtils::isAllowedIPOrDie()) {
    exit;
}

// https://www.amogadget.com/modules/mxb_tools/scripts/customers.php?date_from=30-09-2020&date_to=31-12-2023&id_order_state_list=0&id_order_state_list_not=0
// recover parameters and/or set defaults
$data = [];
$data['id_order_state_list'] = Tools::getIsset('id_order_state_list') ? Tools::getValue('id_order_state_list') : '';
$data['id_order_state_list_not'] = Tools::getIsset('id_order_state_list_not')
    ? Tools::getValue('id_order_state_list_not')
    : '';
$data['date_from'] = Tools::getIsset('date_from') ? Tools::getValue('date_from') : '01-01-2020';
$data['date_to'] = Tools::getIsset('date_to') ? Tools::getValue('date_to') : '01-01-2030';

// force international/database date format
// $data['date_from'] = MxbToolsUtils::getDateString($data['date_from']);
// $data['date_to'] = MxbToolsUtils::getDateString($data['date_to']);

// header('Content-Type: application/xml; charset=utf-8');
$ret = MxbToolsExport::exportCustomers($data);
if (isset($ret['download_url'])) {
    // header("Location: " . $ret['download_url']);
    Tools::redirect($ret['download_url']);
} else {
    exit('NO DATA');
}
