<?php
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
$shop_root = dirname(__FILE__) . '/../../../';
require $shop_root . 'config/config.inc.php';
require $shop_root . 'init.php';
require_once _PS_MODULE_DIR_ . 'mxb_tools/classes/MxbToolsExport.php';

if (!defined('_PS_VERSION_')) {
    exit;
}

if (!MxbToolsUtils::isAllowedIPOrDie()) {
    exit;
}

// https://www.amogadget.com/modules/mxb_tools/scripts/orders.php?output_type=orders&numbering=/WM&customer_prefix=WM&force_order_numeric=1&export_invoice=1&export_delivery_slip=1&date_from=30-09-2020&date_to=31-12-2022&id_from=0&id_to=10000&id_order_state=0&id_order_state_next=0&order_prefix_from=w&order_prefix_to=1
// recover parameters and/or set defaults
$data = [];
$data['size_tag'] = Tools::getIsset('size_tag') ? Tools::getValue('size_tag') : 0;
$data['color_tag'] = Tools::getIsset('color_tag') ? Tools::getValue('color_tag') : 0;
$data['date_from'] = Tools::getIsset('date_from') ? Tools::getValue('date_from') : '01-01-2020';
$data['date_to'] = Tools::getIsset('date_to') ? Tools::getValue('date_to') : '01-01-2030';
$data['force_order_numeric'] = Tools::getIsset('force_order_numeric')
    ? (bool) ((int) Tools::getValue('force_order_numeric'))
    : false;
$data['order_prefix_from'] = Tools::getIsset('order_prefix_from') ? Tools::getValue('order_prefix_from') : '';
$data['order_prefix_to'] = Tools::getIsset('order_prefix_to') ? Tools::getValue('order_prefix_to') : '';
$data['output_format'] = Tools::getIsset('output_format') ? Tools::getValue('output_format') : 'xml';
$data['output_type'] = Tools::getIsset('output_type') ? Tools::getValue('output_type') : 'orders';
$data['id_from'] = Tools::getIsset('id_from') ? (int) Tools::getValue('id_from') : 0;
$data['id_to'] = Tools::getIsset('id_to') ? (int) Tools::getValue('id_to') : 0;
$data['id_order_state'] = Tools::getIsset('id_order_state') ? (int) Tools::getValue('id_order_state') : 0;
$data['id_order_state_next'] = Tools::getIsset('id_order_state_next')
    ? (int) Tools::getValue('id_order_state_next')
    : 0;
$data['numbering'] = Tools::getIsset('numbering') ? Tools::getValue('numbering') : '';
$data['customer_prefix'] = Tools::getIsset('customer_prefix') ? Tools::getValue('customer_prefix') : '';
$data['export_invoice'] = Tools::getIsset('export_invoice')
    ? (int) Tools::getValue('export_invoice')
    : 0;
$data['export_delivery_slip'] = Tools::getIsset('export_delivery_slip')
    ? (int) Tools::getValue('export_delivery_slip')
    : 0;
$data['id_order_state_list'] = Tools::getIsset('id_order_state_list') ? Tools::getValue('id_order_state_list') : '';
$data['id_order_state_list_not'] = Tools::getIsset('id_order_state_list_not')
    ? Tools::getValue('id_order_state_list_not')
    : '';

// header('Content-Type: application/xml; charset=utf-8');
$ret = MxbToolsExport::exportOrders($data);
if (isset($ret['download_url'])) {
    // header("Location: " . $ret['download_url']);
    Tools::redirect($ret['download_url']);
} else {
    exit('NO DATA');
}
