<?php
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

$sql = [];
$sql[] = 'ALTER TABLE `' . _DB_PREFIX_ . 'customer`
    MODIFY `siret` varchar(32)';

/* EXECUTE QUERIES */
foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        echo "<script>console.log('INSTALL SQL error: " . $query . "');</script>";
        return false;
    }
}

function addColumnToTable($table_name, $column_name, $column_type)
{
    $sql = 'DESCRIBE ' . _DB_PREFIX_ . $table_name;
    $columns = Db::getInstance()->executeS($sql);
    $found = false;
    foreach ($columns as $col) {
        if ($col['Field'] == $column_name) {
            $found = true;
            break;
        }
    }
    if (!$found) {
        if (Db::getInstance()->execute('ALTER TABLE `' . _DB_PREFIX_ . $table_name . '` ADD `' . $column_name . '` ' . $column_type) == false) {
            return false;
        }
    }

    return true;
}
