<?php
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * This function updates your module from previous versions to the version 1.0.4,
 * usefull when you modify your database, or register a new hook ...
 * Don't forget to create one file per version.
 */
require_once _PS_MODULE_DIR_ . 'mxb_tools/classes/MxbToolsUtils.php';

function upgrade_module_1_0_4($module)
{
    /*
     * Do everything you want right there,
     * You could add a column in one of your module's tables
     */

    /* already done in mxb_tools->checkForUpdates() */

    // register new hooks
    $res = $module->registerHook('actionMailAlterMessageBeforeSend');
    $res &= $module->registerHook('actionCustomerAccountAdd');
    $res &= $module->registerHook('sendMailAlterTemplateVars');
    $res &= $module->registerHook('actionEmailSendBefore');
    $res &= $module->registerHook('actionAuthentication');
    $res &= $module->registerHook('displayAdminAfterHeader');

    // old controller format with underscore: remove tabs
    $rootController = 'AdminMxb_Tools';
    $tabs = [
        [
            'class_name' => $rootController,
        ],
        [
            'class_name' => $rootController . 'Configuration',
        ],
        [
            'class_name' => $rootController . 'Tools',
        ],
        [
            'class_name' => $rootController . 'Calculators',
        ],
        [
            'class_name' => $rootController . 'Import',
        ],
        [
            'class_name' => $rootController . 'Export',
        ],
        [
            'class_name' => $rootController . '_MTR',
        ],
        // invisible tabs
        [
            'class_name' => $rootController . 'ManageCombAttributes',
        ],
        [
            'class_name' => $rootController . 'ManageAttributes',
        ],
    ];
    if (!MxbToolsUtils::checkTabDontInstall()) {
        foreach ($tabs as $tab) {
            MxbToolsUtils::uninstallTab($tab['class_name']);
        }
    }

    // create new tabs
    $module->createAdminTabs();

    return true;
}
