/**
 * 2018-2023 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

var mxbt_cancelTransition = false;
var mxbt_cancelTransitionPending = false;

$( document ).ready(function()
{
    if ($("#export_product_form [name='export_last_record']").length) {
        $("#export_product_form").submit();
    }

    /* set actions for ajax forms */
    $("form").each(function(index) {
        if ($(this).find(".data-action-btn").length) {
            var $theForm = $(this);
            $theForm.find(".data-action-btn").each(function(index) {
                $(this).unbind("click.custom").bind( "click.custom", function(event) {
                    $theForm.find('input[name="action"]').val($(this).attr("data-action"));
                    $theForm.submit();
                });
            });
        }
    });

    /* set datepickers */
    $(".mxbt_datepicker, .mxbt_datetimepicker").each(function(index) {
        var hasTime = ($(this).hasClass('mxbt_datetimepicker'));
        var name = $(this).attr('name');
        var id = $(this).attr('id');
        var val = $(this).val();
        $(this).attr('name', name + '_dtpk');
        $(this).attr('id', id + '_dtpk');
        $('<input type="hidden" name="' + name + '" id="' + id + '" value="' + $(this).val() + '">').insertAfter(this);
        if (!hasTime) {
            $(this).datepicker({
                onSelect: function(dateText, inst) {
                    /*
                    //var dateAsString = dateText; //the first parameter of this function
                    var dateAsObject = $(this).datepicker('getDate'); //the getDate method
                    var newDate = dateAsObject.getFullYear()
                        + '-' + mxb_tools.zeroFill('00', dateAsObject.getMonth()+1)
                        + '-' + mxb_tools.zeroFill('00', dateAsObject.getDate());
                    var _id = $(this).attr('id').replace('_dtpk', '');
                    $('#' + _id).val(newDate);
                    */
                    $(this).change();
               }
            });

            $(this).unbind("change.dtpk").bind( "change.dtpk", function(event) {
                var dateAsObject = $(this).datepicker('getDate'); //the getDate method
                var newDate = dateAsObject.getFullYear()
                    + '-' + mxb_tools.zeroFill('00', dateAsObject.getMonth()+1)
                    + '-' + mxb_tools.zeroFill('00', dateAsObject.getDate());
                var _id = $(this).attr('id').replace('_dtpk', '');
                $('#' + _id).val(newDate);
            });
        } else {
            $(this).datetimepicker({
                onSelect: function(dateText, inst) {
                    /*
                    //var dateAsString = dateText; //the first parameter of this function
                    var dateAsObject = $(this).datepicker('getDate'); //the getDate method
                    var newDate = dateAsObject.getFullYear()
                        + '-' + mxb_tools.zeroFill('00', dateAsObject.getMonth()+1)
                        + '-' + mxb_tools.zeroFill('00', dateAsObject.getDate())
                        + ' ' + mxb_tools.zeroFill('00', dateAsObject.getHours())
                        + ':' + mxb_tools.zeroFill('00', dateAsObject.getMinutes())
                        + ':' + mxb_tools.zeroFill('00', dateAsObject.getSeconds());
                    var _id = $(this).attr('id').replace('_dtpk', '');
                    $('#' + _id).val(newDate);
                    */
                    $(this).change();
               }
            });

            $(this).unbind("change.dtpk").bind( "change.dtpk", function(event) {
                var dateAsObject = $(this).datepicker('getDate'); //the getDate method
                var newDate = dateAsObject.getFullYear()
                    + '-' + mxb_tools.zeroFill('00', dateAsObject.getMonth()+1)
                    + '-' + mxb_tools.zeroFill('00', dateAsObject.getDate())
                    + ' ' + mxb_tools.zeroFill('00', dateAsObject.getHours())
                    + ':' + mxb_tools.zeroFill('00', dateAsObject.getMinutes())
                    + ':' + mxb_tools.zeroFill('00', dateAsObject.getSeconds());
                var _id = $(this).attr('id').replace('_dtpk', '');
                $('#' + _id).val(newDate);
            });
        }
        var format = $(this).datepicker('option', 'dateFormat');
        if (format.indexOf("yyyy") === -1) {
            format = format.replace("yy", "yyyy");
        }
        if (hasTime) {
            var timeformat = $(this).datepicker('option', 'timeFormat');
            if (timeformat.indexOf("tt") > -1) {
                timeformat = timeformat.replace('tt', '').trimRight();
            }
            format += ' ' + timeformat;
        }
        //alert("format: " + format);
        $(this).val(mxb_tools.dateFormat(val, format));
    });

    // function used: mxbt_startBackAjaxTransition(element_prefix, command_url, command_name, double_confirmation, add_params, form_values, limit, simulate)
    formValues = ['source-category', 'target-category'];
    mxbt_startBackAjaxTransition('mxb_tools-add-category-product-to-category', 'addCategoryProductsToCategory.php', 'Add products to category', true, undefined, formValues);

    formValues = ['save_flag', 'source-category', 'target-category', 'reference'];
    mxbt_startBackAjaxTransition('mxb_tools-change-default-category-product', 'changeDefaultCategoryProduct.php', 'Change default product category', true, undefined, formValues);

    formValues = ['category'];
    mxbt_startBackAjaxTransition('mxb_tools-remove-product-from-category', 'removeProductsFromCategory.php', 'Remove products from category', true, undefined, formValues);

    formValues = ['source-group', 'target-group'];
    mxbt_startBackAjaxTransition('mxb_tools-change-customer-group', 'changeCustomerGroup.php', 'Change customer group', true, undefined, formValues, 50, 0);

    mxbt_startBackAjaxTransition('mxb_tools-import-csv-customer', 'importCustomerCsv', 'Import customer csv', false, undefined, undefined, 1, 0);
    mxbt_startBackAjaxTransition('mxb_tools-import-csv-cart_rule', 'importCartRuleCsv', 'Import cart rule csv', false, undefined, undefined, 1, 0);

    //formValues = ['id_attribute_group'];
    mxbt_startBackAjaxTransition('mxb_tools-import-csv-texture', 'importTextureCsv', 'Import colors attributes and textures', false, undefined, undefined, 1, 0);

    formValues = ['curpath'];
    mxbt_startBackAjaxTransition('mxb_tools-delete-orphan-images', 'deleteOrphanImages', 'Delete orphan products images', false, undefined, formValues, 100, 0);

    mxbt_startBackAjaxTransition('mxb_tools-delete-temp-images', 'deleteTempImages', 'Delete temporary images', false, undefined, undefined, 100, 0);
    mxbt_startBackAjaxTransition('mxb_tools-delete-all-products', 'deleteAllProducts', 'Delete all products', true, undefined, undefined, 100, 0);
    
    formValues = ['days', 'users', 'total'];
    mxbt_startBackAjaxTransition('mxb_tools-delete-all-abandoned-carts', 'deleteAllAbandonedCarts', 'Delete all abandoned carts', true, undefined, formValues, 20, 0);

    formValues = ['save_flag', 'file_idx', 'deleted_records', 'disabled_only_flag', 'analysis_result'];
    mxbt_startBackAjaxTransition('mxb_tools-analyze-disabled-products', 'analyzeDisabledProducts', 'Analyze and delete disabled products and related data', true, undefined, formValues, 100);

    formValues = ['save_flag', 'file_idx', 'patched_records', 'empty_only_flag', 'analysis_result'];
    mxbt_startBackAjaxTransition('mxb_tools-analyze-missing-link-rewrite', 'analyzeMissingLinkRewrite', 'Analyze products to find and correct empty link_rewrite', false, undefined, formValues, 100);

    formValues = ['save_flag', 'delete_cache_flag', 'file_idx', 'deleted_records', 'analysis_result'];
    mxbt_startBackAjaxTransition('mxb_tools-analyze-advimporter-supplierreference-db', 'analyzeAdvimporterSupplierreferenceDb', 'Analyze Advanced Importer supplier_reference database', true, undefined, formValues, 10000);

    formValues = ['save_flag', 'file_idx', 'deleted_records', 'analysis_result'];
    mxbt_startBackAjaxTransition('mxb_tools-analyze-product-attribute-shop-db', 'analyzeProductAttributeShopDb', 'Analyze product_attribute_shop database', true, undefined, formValues, 10000);

    $('.alert.alert-success').each(function() {
        var content = String( $(this).html() );
        content.replaceAll("\n", "<br>");
    });


    // correct order title problem for Ps 1.7.8.2
    if ($('#main-div .title-row h1.title').length) {
        var str = $('#main-div .title-row h1.title').html();
        if (mxb_tools.strContains(str, "&gt;")) {
            $('#main-div .title-row h1.title').html(mxb_tools.htmlDecode(str));
        }
    }

    if ($('#export_ordered_products_form').length) {
        $('#export_ordered_products_form input[type="submit"]').unbind( "click.custom").bind( "click.custom", function(event) {
            if (!mxb_checkOrderedProductsExportForm()) {
                if (event.stopPropagation) event.stopPropagation();
                  event.preventDefault();
                  return false;
            }
            return true;
        });


        $('#export_ordered_products_form .prestashop-switch').each(function(index) {
            $(this).find('label').unbind( "click.custom").bind( "click.custom", function(event) {
                var name = $(this).attr('for');
                var status = ($(this).attr('for').indexOf('_on') !== -1);
                //var status = (name.endsWidth('_on') !== -1);
                //alert('name='+name+' status='+(status?'true':'false'));
                //name = name.substring(0, name.length - (status?3:4));
                //alert('checked='+$(this).parent().find('#'+name).attr('checked'));
                var checked = $(this).parent().find('#'+name).attr('checked');
                if (checked === undefined)
                    $(this).parent().find('#'+name).attr('checked', 'checked');
                name = name.substring(0, name.length - (status?3:4))
                        + (status?'_off':'on');
                $(this).parent().find('#'+name).removeAttr('checked');
            });
        });

        $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').unbind("change.custom").bind("change.custom", function(event) {
            mxb_checkOrderedProductsIdState();
        });
        $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE').unbind("change.custom").bind("change.custom", function(event) {
            mxb_checkOrderedProductsIdState();
        });
        $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE"]').unbind("click.custom").bind("click.custom", function(event) {
            mxb_checkOrderedProductsIdState();
        });

        mxb_checkOrderedProductsIdState();
        // custom documents numbering: create link for direct xml extraction
        mxb_calculateExportLink();

    }

    if ($('#export_customers_form').length) {
        $('#export_customers_form input[type="submit"]').unbind( "click.custom").bind( "click.custom", function(event) {
            if (!confirm('Do you want to export customers ?')) {
                if (event.stopPropagation) event.stopPropagation();
                  event.preventDefault();
                  return false;
            }
            return true;
        });
    }

    if ($('#mxb_tools-change-status-cart-rules-form').length) {
        //alert('#mxb_tools-change-status-cart-rules-form');
        $('#mxb_tools-change-status-cart-rules-form input[type="submit"]').unbind( "click.custom").bind( "click.custom", function(event) {

            var ids = parseInt($('#MXB_TOOLS_CHANGE_STATUS_CART_RULES_START_ID').val());
            var ide = parseInt($('#MXB_TOOLS_CHANGE_STATUS_CART_RULES_END_ID').val());
            var status = parseInt($('#mxb_tools-change-status-cart-rules-form input[name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS"]:checked').val());
            var status_str = ( status==0 ? 'DISABLE' : 'ENABLE' );
            // if new status is "enabled", no need to delete rules from carts ...
            //var delete_cart = ( status==1 ? 0 : parseInt($('#MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART').val()) );
            var delete_cart = ( status==1 ? 0 : parseInt($('#mxb_tools-change-status-cart-rules-form input[name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART"]:checked').val()) );

            if (ids>0 || ide>0) {
                var limits = 'from ID ' + String(ids) + ' to ' + (ide>0 ? 'ID ' + String(ide) : 'THE LAST ID');
            } else {
                var limits = 'ALL VOUCHERS';
            }

            var str = 'Do you want to change the status of selected vouchers ? \n\n New status: ' + status_str + ' \n\n Filters: ' + limits;
            if (delete_cart === 1) {
                str += ' \n\n ATTENTION: you have selected to DELETE VOUCHERS from carts. Disabled vouchers will not longer available in user carts !';
            }

            if (!confirm(str)) {
                if (event.stopPropagation) event.stopPropagation();
                    event.preventDefault();
                    return false;
            }
            return true;
        });
    }

    // PAGE: view order
    var temp = location.href;
    if ((temp.indexOf("id_order") !== -1 && temp.indexOf("vieworder") !== -1) || (temp.indexOf("/orders/") !== -1 && temp.indexOf("/view") !== -1)) {
        // get id_order
        if (typeof(id_order) == "undefined") {
            if (temp.indexOf("id_order") !== -1) {
                // sample link: https://xxxxxxxx.com/Backoffice/index.php?controller=AdminOrders&vieworder=&id_order=188&token=0078f57f481f6ab676655ed5daad70c4
                temp = temp.substring(temp.indexOf("id_order=") + ("id_order=").length);
                temp = temp.split("&");
                var id_order = temp[0];
             }
            else if (temp.indexOf("/orders/") !== -1) {
                // sample link: https://www.xxxxxxxx.com/admin867jyoaaf/index.php/sell/orders/5/view?_token=3aUVFHdsrYcCM3bDf0w_l6gj8gYnP-uu1nfp5SI2av0


                temp = temp.substring(temp.indexOf("/orders/") + ("/orders/").length);
                temp = temp.split("/");
                var id_order = temp[0];
            }
        }

        // PRINT ORDER PDF, if not already managed by another mxb module
        if ( !$('#mxb-print-order-form').length && typeof(id_order) != "undefined" ) {
            var element = null;
            if ( $('.panel a[href="javascript:window.print()"]').length ) {
                // < prestashop_1.7.8.0
                element = '.panel a[href="javascript:window.print()"]';
            } else if ( $('button.js-print-order-view-page').length ) {
                // >= prestashop_1.7.8.0
                element = 'button.js-print-order-view-page';
            }

            if (element != null) {
                // create link to PDF
                if ($('#status form.hidden-print').length) {
                    var href = $('#status form.hidden-print').attr('action');
                    href = href.replace('AdminOrders&vieworder', 'AdminMxbToolsTools');
                }  else {
                    var href = $('body').attr('data-base-url') + '?token=' + $('body').attr('data-token') + '&controller=AdminMxbToolsTools';
                }
                $(element).each(function(index) {
                    // create print order pdf button
                    var link_text = $(this).html();
                    //$(this).html(link_text + ' PDF')
                    // create form
                    var form = '<form action="' + href + '" method="post" class="form-horizontal" id="mxb-print-order-form' + index + '" style="display:none;" target="_blank">'
                        + '<input type="hidden" name="id_order" value="' + id_order + '">'
                        + '<input type="hidden" name="action" value="generateOrderPdf">'
                        + '<input value="Download PDF" type="submit" class="btn btn-primary"/>'
                        + '</form>';

                    // insert hidden form after the a link element
                    $(this).after('<a style="margin-left: 5px" href="#" class="btn btn-default" id="mxb-print-order-pdf' + index + '">' + link_text + ' PDF' + '</a>');
                    $(this).after(form);
                    //$(this).prop('href', '#'); // < prestashop_1.7.8.0
                    //$(this).off("click"); // >= prestashop_1.7.8.0

                    // bind action on link click
                     $('#mxb-print-order-pdf' + index).bind('click.custom', function() {
                        $('#mxb-print-order-form' + index).submit();
                    });

                    // create cover job button
                    var form = '<form action="' + href + '" method="post" class="form-horizontal" id="mxb-print-covejob-form' + index + '" style="display:none;" target="_blank">'
                        + '<input type="hidden" name="id_order" value="' + id_order + '">'
                        + '<input type="hidden" name="action" value="generateCoverjobPdf">'
                        + '<input value="Download PDF" type="submit" class="btn btn-primary"/>'
                        + '</form>';

                    // insert hidden form after the a link element
                    $(this).after('<a style="margin-left: 5px" href="#" class="btn btn-default" id="mxb-print-covejob-pdf' + index + '">' + link_text + ' (Coverjob) PDF' + '</a>');
                    $(this).after(form);
                    //$(this).prop('href', '#'); // < prestashop_1.7.8.0
                    //$(this).off("click"); // >= prestashop_1.7.8.0

                    // bind action on link click
                    $('#mxb-print-covejob-pdf' + index).bind('click.custom', function() {
                        $('#mxb-print-covejob-form' + index).submit();
                    });

                    // create link to CSV
                    var filename = ($('.panel-heading span.badge').length ? 'Order-' + $('.panel-heading span.badge').first().text() : 'Order-' + id_order);
                    $(this).after('<a style="margin-left: 5px" href="#" class="btn btn-default" id="mxb-print-order-csv' + index + '">' + link_text + ' CSV' + '</a>');
                    $('#mxb-print-order-csv' + index).unbind( "click.custom").bind( "click.custom", function(event) {
                        var params_array = {};
                        params_array['url'] = 'generateOrderCsv';
                        params_array['id'] = 0;
                        params_array['type'] = 'text';
                        params_array['id_order'] = id_order;
                        params_array['filename'] = filename;
                        mxbt_postBackAjaxForm(
                            'ajax.php',
                            params_array,
                            function(data) {
                                //alert(typeof(data));
                                if (data.error !== undefined) {
                                    alert('Error: '+data.error);
                                } else {
                                    mxb_downloadCsv(filename, data);
                                }
                            }
                        );
                    });
                });
            }
        }
    }

    // check for parameters "target_menu" and go to requested function
    if ($('#mxbt-target_menu').length) {
        var f = $('#mxbt-target_menu').val();
        switch (f) {
            case 'analyzeMissingLinkRewrite':
                mxb_tools.goToCollapsedDiv('mxb_tools_tools_section', 'mxb_tools-analyze-missing-link-rewrite-form', 'mxb_tools_tools_section_categories')
                break;
        }
    }
    
    
});

// custom documents numbering: create link for direct xml extraction
function mxb_calculateExportLink()
{
    //alert("mxb_calculateExportLink");
    //alert ("ok");
    var output_format = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_FORMAT"]').val();
    var output_type = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE"]:checked').val();
    var numbering = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_NUMBERING"]').val();
    var customer_prefix = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_CUSTOMER_PREFIX"]').val();
    

    var force_order_numeric = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC"]:checked').val();
    var export_invoice = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE"]:checked').val();
    var export_delivery_slip = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP"]:checked').val();
    var export_product_discount = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT"]:checked').val();

    var date_from = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_FROM"]').val();
    var date_to = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_TO"]').val();

    var id_from = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_FROM"]').val();
    var id_to = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_TO"]').val();

    var id_order_state = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE').val();
    var id_order_state_next = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').val();

    var order_prefix_from = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_FROM"]').val();
    var order_prefix_to = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_TO"]').val();

    var id_order_state_list = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST"]').val();
    var id_order_state_list_not = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST_NOT"]').val();

    // alert(export_product_discount);
    var params_base =
        (date_from.length>0 ? '&date_from=' + date_from : '')
        + (date_to.length>0 ? '&date_to=' + date_to : '')
        + (id_order_state_list.length>0 ? '&id_order_state_list=' + id_order_state_list : '')
        + (id_order_state_list_not.length>0 ? '&id_order_state_list_not=' + id_order_state_list_not : '');

    var params_orders =
        (numbering.length>0 ? '&numbering=' + numbering : '')
        + (customer_prefix.length>0 ? '&customer_prefix=' + customer_prefix : '')
        + (force_order_numeric == "1" ? '&force_order_numeric=' + force_order_numeric : '')
        + (order_prefix_from.length>0 ? '&order_prefix_from=' + order_prefix_from : '')
        + (order_prefix_to.length>0 ? '&order_prefix_to=' + order_prefix_to : '');

    var xml_link = 'orders.php?output_type=' + output_type + params_base + params_orders
        // + (numbering.length>0 ? '&numbering=' + numbering : '')
        // + (force_order_numeric == "1" ? '&force_order_numeric=' + force_order_numeric : '')
        + (export_invoice == "1" ? '&export_invoice=' + export_invoice : '')
        + (export_delivery_slip == "1" ? '&export_delivery_slip=' + export_delivery_slip : '')
        + (export_product_discount == "1" ? '&export_product_discount=' + export_product_discount : '')
        // + (date_from.length>0 ? '&date_from=' + date_from : '')
        // + (date_to.length>0 ? '&date_to=' + date_to : '')
        + (parseInt(id_from)>0 ? '&id_from=' + id_from : '')
        + (parseInt(id_to)>0 ? '&id_to=' + id_to : '')
        + (parseInt(id_order_state)>0 ? '&id_order_state=' + id_order_state : '')
        + (parseInt(id_order_state_next)>0 ? '&id_order_state_next=' + id_order_state_next : '')
        // + (order_prefix_from.length>0 ? '&order_prefix_from=' + order_prefix_from : '')
        // + (order_prefix_to.length>0 ? '&order_prefix_to=' + order_prefix_to : '')
        // + (id_order_state_list.length>0 ? '&id_order_state_list=' + id_order_state_list : '')
        // + (id_order_state_list_not.length>0 ? '&id_order_state_list_not=' + id_order_state_list_not : '')
        ;

    var orders_link = 'orders.php?output_type=orders&output_format=csv' + params_base + params_orders;
    var ordered_product_link = 'orders.php?output_type=ordered_products&output_format=csv' + params_base + params_orders;
    var group_totals_link = 'orders.php?output_type=group_totals&output_format=csv' + params_base + params_orders;

    var customers_link = 'customers.php?output_type=customers&output_format=csv' + params_base;
    var vouchers_link = 'vouchers.php?output_type=vouchers&output_format=csv';

    var baseUrl = $('#mxb_tools_base_url').val() + 'scripts/';
    var smart_links = '<table>'
        + mxb_getSmartLinkRow('Orders', 'smart_link_orders', baseUrl + orders_link, 1)
        + mxb_getSmartLinkRow('Ordered products', 'smart_link_ordered_products', baseUrl + ordered_product_link, 2)
        + mxb_getSmartLinkRow('Group totals', 'smart_link_group_totals', baseUrl + group_totals_link, 3)
        + mxb_getSmartLinkRow('Customers', 'smart_link_customers', baseUrl + customers_link, 4)
        + mxb_getSmartLinkRow('Vouchers', 'smart_link_vouchers', baseUrl + vouchers_link, 5)
        // + '<tr class="odd"><td>Orders</td><td><a href="' + baseUrl + orders_link + '" target="_new">' + baseUrl + orders_link + '</a></td><td><input id="smart_link_orders" type="hidden" value="' + baseUrl + orders_link + '" /><span class="lite-link" onClick="mxb_tools.copyContentToClipboard(\'smart_link_orders\');">clipboard</span></td></tr>'
        // + '<tr><td>Ordered products</td><td><a id="smart_link_ordered_products" href="' + baseUrl + ordered_product_link + '" target="_new">' + baseUrl + ordered_product_link + '</a></td><td><span class="lite-link" onClick="mxb_tools.copyContentToClipboard(\'smart_link_ordered_products\');">clipboard</span></td></tr>'
        // + '<tr class="odd"><td>Group totals</td><td><a id="smart_link_group_totals" href="' + baseUrl + group_totals_link + '" target="_new">' + baseUrl + group_totals_link + '</a></td><td><span class="lite-link" onClick="mxb_tools.copyContentToClipboard(\'smart_link_group_totals\');">clipboard</span></td></tr>'
        // + '<tr><td>Customers</td><td><a id="smart_link_customers" href="' + baseUrl + customers_link + '" target="_new">' + baseUrl + customers_link + '</a></td><td><span class="lite-link" onClick="mxb_tools.copyContentToClipboard(\'smart_link_customers\');">clipboard</span></td></tr>'
        + '<table>';
    
    //alert (xml_link);
    //$('#mxb_tools_export_orders_link').val($('#mxb_tools_base_url').val() + '/modules/mxb_tools/scripts/orders.php' + xml_link);
    $('#mxb_tools_export_orders_link').val(baseUrl + xml_link);
    $('#mxb_tools_export_smart_links').html(smart_links);
    // alert(smart_links);
}

function mxb_getSmartLinkRow(title, input_id, link, row_id) {
    if (row_id == undefined) {
        row_id = 1;
    }
    var cl = '';
    if (row_id % 2 != 0) {
        cl = 'odd';
    }
    return '<tr class="' + cl + '"><td>' + title + '</td>'
        + '<td><a href="' + link + '" target="_new">' + link + '</a></td>'
        + '<td><input id="' + input_id + '" type="hidden" value="' + link + '" />'
        + '<span class="btn btn-success" onClick="mxb_tools.copyContentToClipboard(\'' + input_id + '\');">Clipboard</span></td></tr>';
}

function mxb_checkOrderedProductsExportForm()
{
    var id_order_state = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE').val();
    var id_order_state_next = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').val();
    var output_type = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE"]:checked').val();

    if (parseInt(id_order_state) > 0 && parseInt(id_order_state_next) > 0 && output_type == "orders") {
        return confirm($('#mxb_tools_text_confirm_export_orders_alert').val());
    } else {
        return confirm($('#mxb_tools_text_confirm_export_orders').val());
    }
}

function mxb_checkOrderedProductsIdState()
{
    var id_order_state = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE').val();
    var id_order_state_next = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').val();
    var output_type = $('#export_ordered_products_form input[name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE"]:checked').val();

    //alert("id_order_state="+id_order_state+", id_order_state_next="+id_order_state_next+", output_type="+output_type);
    if (parseInt(id_order_state) > 0 && parseInt(id_order_state_next) > 0 && output_type == "orders") {
        //alert("RED");
        $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').css('background-color', 'red');
        $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').css('color', 'white');
    } else {
        //alert("WHITE");
        var bgcol = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE').css('background-color');
        var col = $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE').css('color');
        $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').css('background-color', bgcol);
        $('#MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT').css('color', col);
    }
}

function mxbt_startBackAjaxTransition(element_prefix, command_url, command_name, double_confirmation, add_params, form_values, limit, simulate)
{
    //alert("mxbt_startBackAjaxTransition url=" + command_url + ", prefix=" + element_prefix);
    if ($('#' + element_prefix + '-form').length) {
        if (!$('#' + element_prefix + '-records').length) {
            $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-records" value="0">');
            $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-tot_records" value="0">');
            $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-loops" value="0">');
            $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-id" value="0">');
            $('#' + element_prefix + '-form').after('<span id="' + element_prefix + '-message"></span>'
                + '<div><button class="btn btn-warning" id="' + element_prefix + '-cancel-btn" onClick="mxbt_stopBackAjaxTransition();" style="display:none;">STOP</button></div>'
                + '<div class="ajax-form-logarea" id="' + element_prefix + '-logarea" style="display:none;"></div>'
            );
        }

        if (typeof limit === 'undefined') {
            limit = 50;
        }
        if (typeof simulate === 'undefined') {
            simulate = 0;
        }
        if (add_params !== undefined) {
            $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-num-params" value="' + add_params.length + '">');
            for (var i=0; i<add_params.length; i++) {
                $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-par' + (i+1) + '" value="' + add_params[i] + '">');
            }
        }

        if (double_confirmation === undefined) {
            double_confirmation = false;
        }

        $('#' + element_prefix + '-form').submit(function(e) {
            e.preventDefault();

            var loops = parseInt($('#' + element_prefix + '-loops').val());
            var proceed = true;
            if (loops == 0) {
                proceed = confirm(command_name + ' == Execute command ?');
            }
            if (proceed && loops == 0 && double_confirmation) {
                proceed = confirm('CONFIRMATION #2 FOR ' + command_name + ' == THIS OPERATION IS IRREVERSIBLE: DO YOU REALLY WANT TO PROCEED ?');
            }
            //alert(window.location.origin + ' - ' + baseDir);
            if (proceed) {
                // first time only operation
                if (loops == 0) {
                    $('#' + element_prefix + '-cancel-btn').show();
                    $('#' + element_prefix + '-logarea').show();
                    $('#' + element_prefix + '-logarea').html('');('');
                    $('#' + element_prefix + '-message').text('')

                    // backup initial form_values values
                    if (form_values !== undefined) {
                        if (!$('#' + element_prefix + '-num-form_values').length) {
                            $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-num-form_values" value="' + form_values.length + '">');
                            for (var i=0; i<form_values.length; i++) {
                                $('#' + element_prefix + '-form').append('<input type="hidden" id="' + element_prefix + '-ini_val' + (i+1) + '" data-name="' + form_values[i] + '" value="' + $('#' + element_prefix + '-' + form_values[i]).val() + '">');
                            }
                        } else {
                            for (var i=0; i<form_values.length; i++) {
                                // alert(element_prefix + '-ini_val' + (i+1) + '=' + $('#' + element_prefix + '-' + form_values[i]).val());
                                $('#' + element_prefix + '-ini_val' + (i+1)).val($('#' + element_prefix + '-' + form_values[i]).val());
                            }
                        }
                    }
                }

                loops++;
                $('#' + element_prefix + '-form .ajax-form-alert').each(function() {
                    $(this).show();
                });
                //$('#' + element_prefix + '-alert').show();
                var params_array = {};
                params_array['simulate'] = simulate;
                params_array['limit'] = limit;
                params_array['id'] = $('#' + element_prefix + '-id').val();
                params_array['url'] = command_url;
                params_array['tot_records'] = $('#' + element_prefix + '-tot_records').val();

                if (add_params !== undefined) {
                    for (var i=0; i<add_params.length; i++) {
                        params_array['par' + (i+1)] = add_params[i];
                    }
                }

                // add some form values to params
                if (form_values !== undefined) {
                    for (var i=0; i<form_values.length; i++) {
                        if ($('#' + element_prefix + '-' + form_values[i]).length) {
                        //    alert ('form_values['+i+'] = ' + form_values[i] + ' = ' + $('#' + element_prefix + '-' + form_values[i]).val());
                            params_array['val' + (i+1)] = $('#' + element_prefix + '-' + form_values[i]).val();
                        }// else alert('#' + element_prefix + '-' + form_values[i] + ' is undefined');
                    }
                } // else alert('form_values is undefined');
                // alert("ajax call: url="+params_array['url']);

                mxbt_postBackAjaxForm(
                    'ajax.php',
                    params_array,
                    function(data) {
                        if (data.error !== undefined) {
                            alert('error='+data.error);
                            //$('#' + element_prefix + '-form .ajax-form-alert').each(function() {
                            //    $(this).show();
                            //});
                            // $('#' + element_prefix + '-message').text('error='+data.error);
                            $('#' + element_prefix + '-logarea').html($('#' + element_prefix + '-logarea').html() + '<span style="color:red;">ERROR: ' + data.error + '</span>');
                            
                            // reset initial fields
                            mxbt_resetBackAjaxTransitionFormValues(element_prefix, data);
                        } else {
                            //alert('record='+data.records+', id_product='+data.id_product);
                            var records = parseInt($('#' + element_prefix + '-records').val()) + parseInt(data.records);
                            $('#' + element_prefix + '-records').val(records);
                            $('#' + element_prefix + '-id').val(data.id);

                            // check if some params has to be stored into the form input fields
                            if (form_values !== undefined) {
                                for (var i=0; i<form_values.length; i++) {
                                    if ($('#' + element_prefix + '-' + form_values[i]).length && typeof(data['val' + (i+1)]) !== "undefined") {
                                        //alert ('form_values['+i+'] = ' + form_values[i] + ' = ' + $('#' + element_prefix + '-' + form_values[i]).val());
                                        $('#' + element_prefix + '-' + form_values[i]).val(data['val' + (i+1)]);
                                    }// else alert('#' + element_prefix + '-' + form_values[i] + 'is undefined');
                                }
                            }

                            var tot_records = parseInt(data.tot_records);
                            if (tot_records == 0) {
                                tot_records = $('#' + element_prefix + '-tot_records').val();
                            } else {
                                $('#' + element_prefix + '-tot_records').val(tot_records);
                            }
                            $('#' + element_prefix + '-loops').val(loops);

                            var text = 'loop ' + loops + ', records: '+(records+1)+'/' + tot_records + ', last id: '+data.id;
                            $('#' + element_prefix + '-message').text(text);

                            // manage log area
                            if (data.errors !== undefined || data.success !== undefined) {
                                var logarea = document.getElementById(element_prefix + '-logarea');
                                if (typeof(data.clear_log) !== "undefined" && data.clear_log == 1) {
                                    logarea.innerHTML = '';
                                }
                                logarea.innerHTML = logarea.innerHTML
                                    + (data.errors !== undefined ? '<span style="color:orange;">' + data.errors.replaceAll("|", "<br>") + '</span><br>' : '')
                                    + (data.success !== undefined ? '<span style="color:green;">' + data.success.replaceAll("|", "<br>") + '</span><br>' : '');
                                // scroll to the end of logarea div
                                logarea.scrollTop = logarea.scrollHeight;
                            }

                            mxbt_continueBackAjaxTransition(element_prefix, data);
                        }
                    }
                );
            } else {
                event.stopPropagation();
            }
            return false;
        });
    }
}


function mxbt_postBackAjaxForm(page_name, params_array, on_success_callback)
{
    //alert('mxbt_postBackAjaxForm() :: page: ' + page_name);
    mxbt_cancelTransition = false;
    var data = {};
    if (typeof(baseDir) !== 'undefined') {
        // back
        var formActionAttribute_url = window.location.origin + baseDir + '/modules/mxb_tools/ajax/' + page_name;
    } else {
        // front
        var formActionAttribute_url = prestashop.urls['base_url'] + '/modules/mxb_tools/ajax/' + page_name;
    }

    if (typeof(params_array['simulate']) === 'undefined') {
        params_array['simulate'] = 1;
    }
    if (typeof(params_array['limit']) === 'undefined') {
        params_array['limit'] = 50;
    }
    if (typeof(params_array['type']) === 'undefined') {
        params_array['type'] = 'json';
    }
    data = params_array;

    //data[submitCustomizedData]     = 1;
    data['ajax'] = 1;
    $.post(formActionAttribute_url, data,
        function(retdata, status, xhr) {
            //alert('returned');
            // save id_customization into html field if any customization stills exist
            /*
            var val = '';
            if ($(".product-customization form product-customization-item a.remove-image").length)
                val = '1';
            else {
                $(".product-customization form product-customization-item textarea, .product-customization form product-customization-item select").each(function(index) {
                    val += $( this ).val();
                });
            }
            // val contains something if any customization exist
            $(".product-actions #product_customization_id").val(val.length>0 ? data.id_customization : '0');
            */
            //setProductCustomizationId(data.id_customization);

            //alert("postCustomizationFormValue success_callback: reload=" + reload + ", data.id_customization=" + data.id_customization);
            // reloading the page mxb_tools will set every field that depends on the current customization (expecially the "print_option" customization field)

            //if (reload===true)
            //       $(".product-customization form").submit();
        },
        params_array['type']).always(function(retdata) {
            if (on_success_callback !== undefined) {
                on_success_callback(retdata);
            }
        }
    );
}

function mxbt_stopBackAjaxTransition()
{
    mxbt_cancelTransitionPending = true;
    if (confirm('Do you really want to STOP this operation ?')) {
        mxbt_cancelTransition = true;
    }
    mxbt_cancelTransitionPending = false;
}

function mxbt_resetBackAjaxTransitionFormValues(element_prefix, data) {
    $('#' + element_prefix + '-records').val(0);
    $('#' + element_prefix + '-tot_records').val(0);
    $('#' + element_prefix + '-id').val(0);
    $('#' + element_prefix + '-loops').val(0);

    if ($('#' + element_prefix + '-num-form_values').length) {
        var max = parseInt($('#' + element_prefix + '-num-form_values').val());
        for (var i=0; i<max; i++) {
            var name = $('#' + element_prefix + '-ini_val' + (i+1)).attr('data-name');
            $('#' + element_prefix + '-' + name).val($('#' + element_prefix + '-ini_val' + (i+1)).val());
        }
    }
}

function mxbt_continueBackAjaxTransition(element_prefix, data)
{
    if (mxbt_cancelTransitionPending) {
        setTimeout(function() {
            mxbt_continueBackAjaxTransition(element_prefix, data);
        }, 1000, element_prefix, data);
        return;
    }
    if (mxbt_cancelTransition || parseInt(data.records) <= 0) {
        $('#' + element_prefix + '-message').text($('#' + element_prefix + '-message').text() + ' - OPERATION END');

        // reset form values
        mxbt_resetBackAjaxTransitionFormValues(element_prefix, data);

        $('#' + element_prefix + '-form .ajax-form-alert').each(function() {
            $(this).hide();
        });
        $('#' + element_prefix + '-cancel-btn').hide();
        //$('#' + element_prefix + '-btn').show();

        mxbt_cancelTransition = false;
        var txt = (parseInt(data.records) <= 0 ? 'Operation END' : 'Operation cancelled by user');
        var logarea = document.getElementById(element_prefix + '-logarea');

        logarea.innerHTML = logarea.innerHTML + '<span style="color:green;">' + txt + '</span>';
        logarea.scrollTop = logarea.scrollHeight;
        alert(txt);

    } else {
        $('#' + element_prefix + '-form').submit();
    }
}

function mxb_downloadCsv(filename, data)
{
    //var blob = new Blob([data], {type: "application/pdf"});
    //FileSaver.saveAs(blob, filename);
    var blob = data;
    var match = /\r|\n/.exec(data);
    if (match) {
        // Found one, look at `match` for details, in particular `match.index`
        //alert("found line break! data:" + blob);
        blob = blob.replace(/\r\n/g, "%0D%0A");
        blob = blob.replace(/\r/g, "%0D%0A");
        blob = blob.replace(/\n/g, "%0D%0A");
    }
    var element = document.createElement('a');
    //element.setAttribute('href', 'data:text/plain;charset=utf-8,' + encodeURIComponent(text));
    element.setAttribute('href', 'data:text/csv,' + blob);
    element.setAttribute('download', filename + '.csv');
    element.style.display = 'none';
    document.body.appendChild(element);
    element.click();
    document.body.removeChild(element);
}

function mxbt_getMyIpAddress()
{
    var params_array = {};
    params_array['simulate'] = 0;
    params_array['limit'] = 1;
    params_array['id'] = 0;
    params_array['url'] = 'myip';

    mxbt_postBackAjaxForm(
        'ajax.php',
        params_array,
        function(data) {
            if (data === undefined) {
                return;
            }
            if (data.error !== undefined) {
                alert('error>: ' + data.error);
            }
            if (typeof(data.result) === 'undefined') {
                alert('error: no data available');
            }
            var ret = data.result.toString();
            var exists = false;

            // don't konw why but... indexOf on 2 ip address doesn't work. Loop trought ip array and check if equal strings doesn't work...
            // so I loop trought ip array but I first convert IPs into numbers without dots, and compare the returned IP as integer
            var value = document.getElementById("MXB_TOOLS_SCRIPTS_ALLOWED_IP_ADDRESS").value;
            var empty = mxb_tools.isEmpty(value);
            if (!empty) {
                check = value.replaceAll(" ", "");
                check = check.replaceAll(";", ",");
                check = check.replaceAll(".", "");
                var values = check.split(",");
                check = ret.replaceAll(".", "");
                for (var i=0; i<values.length; i++) {
                    if (parseInt(values[i]) == parseInt(check)) {
                        //alert("val="+values[i]+", ret="+ret+": manco lo split...");
                        exists = true;
                        break;
                    }
                }
            }
            if (!exists) {
                document.getElementById("MXB_TOOLS_SCRIPTS_ALLOWED_IP_ADDRESS").value = (empty ? '' : value + ",") + ret;
            } else {
                alert("IP address " + ret + " is already listed.");
            }
        }
    );
}

function mxbt_openOrderPage(delete_order)
{
    var order_id = parseInt(document.getElementById('MXB_TOOLS_GENERATE_PDF_ORDER_ID').value);
    //var base_url = document.getElementById('mxb_tools_base_url').value;
    var base_url = "" + document.location;

    if (base_url.indexOf("?") > -1) {
        base_url = base_url.split("?")[0];
    } else {
        return false;
    }

    var the_token = (typeof(token_admin_orders) !== "undefined"
        ? token_admin_orders
        : ($('#admin_token').length ? $('#admin_token').val() : token));

    //alert("token: " + token + ", order_id: " + order_id + ", base_url: " + base_url);
    if (order_id <= 0) {
        return false;
    }
    if (delete_order === true) {
        if (!confirm('Do you really want to delete order with ID = ' + order_id + ' ? The operation is definitive and cannot be canceled')) {
            return false;
        }
        var destination = "deleteorder";
    } else {
        var destination = "vieworder";
    }

    window.open(base_url + '?controller=AdminOrders&' + destination + '=&id_order=' + order_id + '&token=' + the_token, '_new');
    return true;
}

function mxb_calculate_convertCharge2perc(source, value)
{
    var wholesale = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_charge2perc_wholesale').value);
    if (wholesale === 0) {
        wholesale = 10;
        document.getElementById('mxb_tools_calc_charge2perc_wholesale').value = wholesale;
    }

    if (source == 'wholesale') {
        var c = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_charge2perc_charge').value);
        var p = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_charge2perc_profit').value);
        if (c > 0) {
            source = "charge";
        } else if (p > 0) {
            source = "profit";
        } else {
            return;
        }
    }

    if (source == 'charge') {
        // charge 2 profit
        var charge_perc = mxb_tools.parseFloatOrZero(value);
        //alert ('charge_perc='+charge_perc);
        var price = mxb_tools.addChargePerc(wholesale, charge_perc);
        var profit = price - wholesale;
        var profit_perc = 100-((wholesale*100)/price);
        document.getElementById('mxb_tools_calc_charge2perc_profit').value = profit_perc;
    } else if (source == 'profit') {
        // profit 2 charge
        var profit_perc = mxb_tools.parseFloatOrZero(value);
        var price = mxb_tools.addProfitPerc(wholesale, profit_perc);
        var profit = price - wholesale;
        var charge_perc = ((price-wholesale) * 100)/wholesale; // ( (PV - PA) * 100) / PA
        //var charge_perc = wholesale/((100-profit_perc)/100); // ( (PV - PA) * 100) / PA
        document.getElementById('mxb_tools_calc_charge2perc_charge').value = charge_perc;
    }

    document.getElementById('mxb_tools_calc_charge2perc_results').innerHTML =
        '<table>'
        + '<tr><td>FOR WHOLESALE PRICE:</td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(wholesale, 3) + '&euro;</td></tr>'
        + '<tr><td>Charge: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(charge_perc, 3) + '%</td></tr>'
        + '<tr><td>Profit: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(profit_perc, 3) + '%</td></tr>'
        + '<tr><td>Price: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(price, 3) + '&euro;</td></tr>'
        + '<tr><td>Profit: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(profit, 3) + '&euro;</td></tr>'
        + '</table>';
}

function mxb_calculate_splitPerc(source, value)
{
    var wholesale = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_splitPerc_wholesale').value);
    if (wholesale === 0) {
        wholesale = 10;
        document.getElementById('mxb_tools_calc_splitPerc_wholesale').value = wholesale;
    }

    var charge_tot_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_splitPerc_charge_tot').value);
    var charge_1_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_splitPerc_charge_1').value);
    var charge_2_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_splitPerc_charge_2').value);

    if (charge_tot_perc === 0) {
        return
    }
    if (source == 'wholesale' || source == 'charge_tot') {
        if (charge_1_perc > 0) {
            source = "charge_1";
        } else if (charge_2_perc > 0) {
            source = "charge_2";
        } else {
            return;
        }
    }

    // charge 2 profit
    if (source == 'charge_1') {
        var known_charge_perc = charge_1_perc;
        var target_field = document.getElementById('mxb_tools_calc_splitPerc_charge_2');
    } else if (source == 'charge_2') {
        var known_charge_perc = charge_2_perc;
        var target_field = document.getElementById('mxb_tools_calc_splitPerc_charge_1');
    }
    var price = mxb_tools.addChargePerc(wholesale, charge_tot_perc);
    var price_1 = mxb_tools.addChargePerc(wholesale, known_charge_perc);
    var profit = price - price_1;
    //var profit_perc_dec = price_1 / price;
    var target_charge_perc = (profit*100)/price_1;
    var check_price = mxb_tools.addChargePerc(price_1, target_charge_perc);
    var profit_perc = 100-((wholesale*100)/price);
    target_field.value = target_charge_perc;

    document.getElementById('mxb_tools_calc_splitPerc_results').innerHTML =
        '<table>'
        + '<tr><td>FOR WHOLESALE PRICE:</td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(wholesale, 3) + '&euro;</td></tr>'
        + '<tr><td>Target charge: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(charge_tot_perc, 3) + '%</td></tr>'
        + '<tr><td>Target profit: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(profit_perc, 3) + '%</td></tr>'
        + '<tr><td>Price: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(price, 3) + '&euro;</td></tr>'
        //+ '<tr><td>Profit: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(profit, 3) + '&euro;</td></tr>'
        + '<tr><td>Charge 1: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(known_charge_perc, 3) + '%</td></tr>'
        + '<tr><td>Charge 2: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(target_charge_perc, 3) + '%</td></tr>'
        + '<tr><td>Price check (c1%+c2%): </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(check_price, 3) + '&euro;</td></tr>'
        + '</table>';
}

function mxb_calculate_convertChargeFromPrices(source, value)
{
    var price = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeFromPrices_price').value);
    var wholesale = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeFromPrices_wholesale').value);
    var charge_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeFromPrices_charge').value);
    var discount_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeFromPrices_discount').value);
    var profit_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeFromPrices_profit').value);

    if (source == "charge" || source == "discount"  || source == "profit") {
        if (wholesale > 0 && source != "discount") {
            if (source == "charge" && charge_perc > 0) {
                profit_perc     = mxb_tools.charge2profit(charge_perc);
                price = mxb_tools.addChargePerc(wholesale, charge_perc);
            } else if (source == "profit" && profit_perc > 0) {
                charge_perc     = mxb_tools.profit2charge(profit_perc);
                price = mxb_tools.addChargePerc(wholesale, charge_perc);
            }
        } else if (price > 0) {
            if (discount_perc > 0) {
                wholesale = mxb_tools.applyDiscountPerc(price, discount_perc);
                //charge_perc     = mxb_tools.calculateCharge(wholesale, price);
            }
        }
    }

    if (wholesale > 0 && price > 0) {
        charge_perc = mxb_tools.calculateCharge(wholesale, price);
        discount_perc = mxb_tools.calculateDiscount(wholesale, price);
        profit_perc = mxb_tools.charge2profit(charge_perc);
    }

    document.getElementById('mxb_tools_calc_chargeFromPrices_price').value = price;
    document.getElementById('mxb_tools_calc_chargeFromPrices_wholesale').value = wholesale;
    document.getElementById('mxb_tools_calc_chargeFromPrices_charge').value = charge_perc;
    document.getElementById('mxb_tools_calc_chargeFromPrices_discount').value = discount_perc;
    document.getElementById('mxb_tools_calc_chargeFromPrices_profit').value = profit_perc;


    document.getElementById('mxb_tools_calc_chargeFromPrices_results').innerHTML =
        '<table>'
        + '<tr><td>FOR WHOLESALE PRICE:</td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(wholesale, 3) + '&euro;</td></tr>'
        + '<tr><td>AND PRICE: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(price, 3) + '&euro;</td></tr>'
        + '<tr><td>Charge: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(charge_perc, 3) + '%</td></tr>'
        + '<tr><td>Profit: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(profit_perc, 3) + '%</td></tr>'
        + '<tr><td>Discount: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(discount_perc, 3) + '%</td></tr>'
        + '</table>';
}

function mxb_calculate_chargeAndDiscount(source, value)
{
    var wholesale = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeAndDiscount_wholesale').value);
    if (wholesale === 0) {
        wholesale = 10;
        document.getElementById('mxb_tools_calc_chargeAndDiscount_wholesale').value = wholesale;
    }
    var charge_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeAndDiscount_charge').value);
    var discount_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeAndDiscount_discount').value);
    var total_price = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeAndDiscount_finalPrice').value);
    var total_charge_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeAndDiscount_finalCharge').value);
    var total_discount_perc = mxb_tools.parseFloatOrZero(document.getElementById('mxb_tools_calc_chargeAndDiscount_finalDiscount').value);
    var price = wholesale;
    var public_price = wholesale;

    if (charge_perc > 0) {
        price = mxb_tools.addChargePerc(price, charge_perc);
        public_price = price;
    }
    if (discount_perc > 0) {
        price = mxb_tools.applyDiscountPerc(price, discount_perc);
    }

    total_price = price;
    total_discount_perc = 100-((wholesale/total_price)*100);
    total_charge_perc = ((total_price-wholesale)/wholesale)*100;

    document.getElementById('mxb_tools_calc_chargeAndDiscount_charge').value = charge_perc;
    document.getElementById('mxb_tools_calc_chargeAndDiscount_discount').value = discount_perc;
    document.getElementById('mxb_tools_calc_chargeAndDiscount_finalPrice').value = total_price;
    document.getElementById('mxb_tools_calc_chargeAndDiscount_finalCharge').value = total_charge_perc;
    document.getElementById('mxb_tools_calc_chargeAndDiscount_finalDiscount').value = total_discount_perc;

    document.getElementById('mxb_tools_calc_chargeAndDiscount_results').innerHTML =
        '<table>'
        + '<tr><td>FOR WHOLESALE PRICE:</td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(wholesale, 3) + '&euro;</td></tr>'
        + '<tr><td>Charge: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(charge_perc, 3) + '%</td></tr>'
        + '<tr><td>Public price: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(public_price, 3) + '&euro;</td></tr>'
        + '<tr><td>Discount: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(discount_perc, 3) + '%</td></tr>'
        + '<tr><td>Price: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(price, 3) + '&euro;</td></tr>'
        + '<tr><td>Total charge: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(total_charge_perc, 3) + '%</td></tr>'
        + '<tr><td>Total discount: </td><td align="right" style="padding-left:10px;">' + mxb_tools.roundDecimal(total_discount_perc, 3) + '%</td></tr>';
        + '</table>';
}
