/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

$(document).ready(function() {
    var el = null;
    if ($('#customer-form input[name="email"]').length) {
        el = '#customer-form input[name="email"]';
    } else if ($( '#login-form input[name="email"]' ).length) {
        el = '#login-form input[name="email"]';
    }

    if (el !== null) {
        $( el ).unbind( "blur.custom").bind("blur.custom", function() {
            $( el ).val($( el ).val().toString().toLowerCase());
        });
    }

    if (($( '#history' ).length || $( '#order-detail' ).length) && $('#MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING').length) {
        if ($('#MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING').val() == "1") {
            $('#history td span.label-pill, #order-detail td span.label-pill').each(function(index) {
                var content = $(this).html().trim();
                var pos = content.indexOf(')');
                if (pos > -1 && pos < 5) {
                    content = content.substring(pos + 1).trim();
                    $(this).html(content);
                }
            });
        }
    }

    /* 
    redirect to cart or other specified page after a product was added to it
    */
    if ($('#product').length && $('#MXB_TOOLS_REDIRECT_ADD_TO_CART_URL').length && $('#MXB_TOOLS_REDIRECT_ADD_TO_CART_URL').val()) {
        const style = document.createElement("style");
        style.textContent = "#blockcart-modal .cart-content { display: none !important; }";
        document.head.appendChild(style);
        mxb_tools.startObservingNewDOMElement(
            document.body,
            'blockcart-modal',
            function() {
                if ($('#add-to-cart-or-refresh').length) {
                    // var url = $('#add-to-cart-or-refresh').attr('action') + '?action=show';
                    var url = $('#MXB_TOOLS_REDIRECT_ADD_TO_CART_URL').val();
                    window.location.href = url;
                }
            }
        );
    }

    // manipulation of CMS index page
    if ($('#cms').length) {
        // manipulate content
        $('#content ul>li').each(function(index) {
            var lnk = $(this).find('a').attr('href');
            // alert (lnk);
            var html = $(this).find('a').html();
            html = html.replaceAll('[(', '<');
            html = html.replaceAll(')]', '>');
            html = html.replaceAll('[ecom]', '&');
            $(this).html(html);
        });
    }

    // Print PDF product sheet
    mxb_tools_createProductPdfForm();

    // ad "empty cart" button
    mxb_tools_createEmptyCartForm()

    // set pagination with every page
    mxb_tools_setPaginationLink();

    // sometimes clicking on the product image too soon cause the visualization of this overlay div 
    // that is used as background for modal dialog, like the image zoom
    // the div is added and removed eveytime an overlay dialog is shown
    // so I check if this div exists too soon, I) close it
    setTimeout(
        function() {
            if ($('body#product').length) {
                if ($('.modal-backdrop.fade').length && !$('#product-modal:visible').length) {
                    // alert('remove .modal-backdrop.fade');
                    $('.modal-backdrop.fade').remove();
                }
            }
        },
        2000
    );
});



    // set pagination with every page
    function mxb_tools_setPaginationLink() {
        if (!$('#MXB_TOOLS_PAGINATION_LIST_ENABLED').length) {
            return false;
        }
        if ($('#MXB_TOOLS_PAGINATION_LIST_ENABLED').val() != '1') {
            return false;
        }
        
        if (!$('nav.pagination').length) {
            return false;
        }

        // domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
        mxb_tools.domReadyEvent_add('nav.pagination', null, 'ul.page-list a.js-search-link', function() { mxb_tools_setPaginationLink(); }, 'click');

        if (!$('nav.pagination ul.page-list li span.spacer').length) {
            return false;
        }

        var linkArray = [];
        var baseUrl = null;
        $('nav.pagination ul.page-list a.js-search-link:not(".previous, .next")').each(function() {
            var txt = $(this).html();
            var url = $(this).attr('href');
            if (!url.includes('page=')) {
                // return; // continue
                page = 1;
            } else {
                var urlSplitted = url.split('page=');
                var page = urlSplitted[1];
                if (page.includes('&')) {
                    page = page.split('&')[0];
                }
                if (!baseUrl) {
                    baseUrl = url.replace('page=' + page, 'page=[PAGE]');
                }
            }
            linkArray.push({
                page: page,
                url: url,
                txt: txt,
                element: $(this).parent() // <li>
            });
        });
        if (linkArray.length === 0) {
            return;
        }

        /* debug 
        var alertText = 'pages: ';
        for (var i=0; i<linkArray.length;i++) {
            alertText += linkArray[i].page + ', ';
        }
        alert(baseUrl + ' \n\ ' + alertText);
        */
        
        /*
        var firstPage = parseInt(linkArray[0].page);
        var lastPage = parseInt(linkArray[linkArray.length-1].page) - 1;
        // var firstPage = parseInt(linkArray[linkArray.length-2].page) + 1;
        for (var i=1; i<linkArray.length; i++) {
            // alert('page=' + linkArray[i].page + ' \nfirstPage=' + firstPage + ' \n\lastPage=' + lastPage);
            if (parseInt(linkArray[i].page) > firstPage+1) {
                lastPage = parseInt(linkArray[i].page) - 1;
                break;
            }
            firstPage = parseInt(linkArray[i].page);
        }
        firstPage++;
        */


        var firstPage = parseInt(linkArray[0].page);
        var lastPage = parseInt(linkArray[linkArray.length-1].page);
        //for (var i=1; i<linkArray.length-1; i++) {
        for (var i=0; i<linkArray.length-1; i++) {
            linkArray[i].element.hide();
        }

        // firstPage++;
        // lastPage--;


        /* debug 
        alert('firstPage=' + firstPage + ' \nlastPage=' + lastPage);
        */

        var curPage = $('nav.pagination ul.page-list li.current a.js-search-link').html();
        if (curPage) {
            curPage = parseInt(curPage);
        }
        var html = ' <select rel="nofollow" name="pagination-selector" onchange="mxb_tools_openLink(this)">'
            // + '<option value="" selected="selected">&hellip;</option>'
            ;
        for (var i=firstPage; i<=lastPage; i++) {
            var url = baseUrl.replace('[PAGE]', i);
            var opt = '<option value="' + url + '"' + (curPage == i ? ' selected="selected"' : '') + '>' + i + '</option>';
            html += opt;
        }
        html += '</select> / ';

        // set select into first spacer span and hide other
        $('nav.pagination ul.page-list li span.spacer').each(function(index, value) {
            if (index === 0) {
                $(this).html(html);
            } else {
                $(this).hide();
            }
        });
    }

    function mxb_tools_openLink(el) {
        url = el.value;
        if (url.length > 0) {
            mxbt_waitLayer_show();
            window.open(url, '_self');
        }
    }

    // Print PDF product sheet
    function mxb_tools_submitProductPdfForm() {
        //alert('mxb_tools_submitProductPdfForm()');
        if (mxb_tools_updateProductPdfForm()) {
            //if ( $('#product_pdf_link_form').length )
                $('#product_pdf_link_form').submit();
        }
    }

    // ad "empty cart" button
    function mxb_tools_createEmptyCartForm() {
        // alert('mxb_tools_createEmptyCartForm()');
        if (!$('#cart').length) {
            // alert('#cart');
            return false;
        }
        if (!$('#MXB_TOOLS_ENABLE_EMPTY_CART').length) {
            // alert('#cart');
            return false;
        }
        if ($('#MXB_TOOLS_ENABLE_EMPTY_CART').val() != '1') {
            // alert('#MXB_TOOLS_ENABLE_EMPTY_CART is 0');
            return false;
        }
        if (!$('#cart .card.cart-container .card-block').length) {
            // alert('#cart .card.cart-container .card-block');
            return false;
        }

        if (!$('#cart .card.cart-container .cart-item').length) {
            // alert('#cart .card.cart-container .card-block');
            return false;
        }

        var btntext = $('#MXB_TOOLS_MSG_EMPTY_CART_BTN').val();

        // append form
        var url = document.getElementById('mxb_tools_ajax_link').value;
        var btn = '<button class="btn btn-light mxbt_front_btn empty_cart_btn'
            + (btntext.length > 0 ? '' : ' icon-only')
            + '" onClick="mxb_tools_submitEmptyCartForm();">'
            + '<i class="material-icons float-xs-left">delete</i>'
            + (btntext.length > 0 ? ' ' + btntext : '') + '</button>'
            // + '<form action="' + url + '" method="post" class="form-horizontal" id="empty_cart_link_form" style="display:none;">'
            // + '<input type="hidden" value="emptyCart" name="emptyCart" />'
            // + '</form>';
        $('#cart .card.cart-container .card-block').append(btn);
        return true;
    }


    function mxb_tools_submitEmptyCartForm() {
        // alert('mxb_tools_submitEmptyCartForm()');
        // $('#empty_cart_link_form').submit();
        // confirmMessage(dialogType, title, message, function_onConfirm, function_onCancel)
        mxb_tools.confirmMessage('alert', $('#MXB_TOOLS_MSG_EMPTY_CART_BTN').val(), $('#MXB_TOOLS_MSG_EMPTY_CART_CONFIRM').val(),
            function() {
                mxbt_waitLayer_show();
                var params = {
                    action: "emptyCart"
                };
                mxb_tools.frontAjaxCall(
                    null,
                    params,
                    function(data) {
                        // alert(data.success);
                        // reload cart
                        location.reload();
                        // If you are refreshing after an onclick then you'll need to return false directly after
                        return false;
                    }
                );
            },
            function() {} // onCancel
        );
    }

    function mxb_tools_createProductPdfForm() {
        //alert('mxb_tools_createProductPdfForm()');
        if (!$('#product').length) {
            return false;
        }
        if (!$('#MXB_TOOLS_ENABLE_PRODUCT_PDF').length) {
            return false;
        }
        if ($('#MXB_TOOLS_ENABLE_PRODUCT_PDF').val() != '1') {
            return false;
        }

        // set action on variants reload
        // 1) product variants: color
        //$( '.product-variants-item .input-color').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
        if ($( '.product-variants-item .input-color').length) {
            mxb_tools.domReadyEvent_add('.product-variants', null, '.product-variants-item .input-color[data-product-attribute="' + $(this).attr('data-product-attribute') + '"]', function() { mxb_tools_createProductPdfForm(); }, 'change', 'mxbtfrontevent');
        }

        // product variants: select list
        if ($('.product-variants-item select.form-control-select').length) {
            mxb_tools.domReadyEvent_add('.product-variants', '.product-variants-item select.form-control-select', '.product-variants-item select.form-control-select', function() { mxb_tools_createProductPdfForm(); }, 'change', 'mxbtfrontevent');
        }

        var highligh = $('#mxb_tools_highligh').val();
        //var showPrices = ($('#MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES').val() == '1');

        if (highligh != '1') {
            var excludeGroups = $('#MXB_TOOLS_PRODUCT_PDF_EXCLUDE_GROUP_IDS').val();
            var id_group = $('#mxb_tools_id_group').val();

            if ( excludeGroups.indexOf('[' + id_group + ']') !== -1 ) {
                //alert('id_group='+id_group+', excludeGroups='+excludeGroups + ', check: ' + excludeGroups.indexOf('[' + id_group + ']'));
                return false;
            }
        }
        //else showPrices = true;

        if ( !$('#product_pdf_link_form').length ) {
            if ($('#main div.product-reference').length)  {
                var url = document.getElementById('mxb_tools_product_pdf_link').value;
                var btntext = document.getElementById('MXB_TOOLS_PRODUCT_PDF_BTN_TEXT').value;
                //alert('div for form found - form url='+url);
                var btn = '<button class="btn btn-secondary float-xs-right mxbt_front_btn product_pdf_btn'
                    + (btntext.length > 0 ? '' : ' icon-only')
                    + '" onClick="mxb_tools_submitProductPdfForm();">'
                    + '<i class="material-icons picture_as_pdf">&#xE415;</i>'
                    + (btntext.length > 0 ? ' ' + btntext : '') + '</button>'
                    + '<form action="' + url + '" method="post" class="form-horizontal" id="product_pdf_link_form" target="_blank" style="display:none;">'
                    + '</form>';
                //alert($('#main h1.h1').length);
                $(btn).insertBefore('#main h1.h1').first();
                /*
                if ($('#gadgetcard_product_attribute_summary').length) {
                    $("#main div.product-reference").first().append(btn);
                } else {
                    $("#main div.product-reference").first().append(btn);
                }
                */
            }
        }
        return true;
    }


    // add values to pdf form
    function mxb_tools_updateProductPdfForm() {
        /*
        alert('mxb_tools_updateProductPdfForm - ENABLE:' + $('#MXB_TOOLS_ENABLE_PRODUCT_PDF').val()
                + ', PRICES:' + $('#MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES').val()
                + ', GROUP_IDS:' + $('#MXB_TOOLS_PRODUCT_PDF_EXCLUDE_GROUP_IDS').val()
                + ', id_group:' + $('#mxb_tools_id_group').val()
        );
        */

        if (!mxb_tools_createProductPdfForm())
            return false;
        if ( !$('#product_pdf_link_form').length )
            return false;

        //var highligh = (highligh != '1') ? $('#mxb_tools_highligh').val() : true;
        var highligh = ($('#mxb_tools_highligh').val() == '1');
        var showPrices = (highligh || $('#MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES').val() == '1');

        $('#product_pdf_link_form').html('');

        var productData = { jsonData: null,
                            discountTable: null,
                            printTable: null,
                            reference_description: null,
                            dataSheet: null,
                            name: null,
                            description: null,
                            reference: null,
                            attribute_reference: null,
                            attributes: null,
                            imageUrl: null,
                            brand: null,
                            featuresTable: null,
                            printDetailsTable: null
        };

        var current = null;
        var productDataArray = null;

        // json data and product reference / brand
        if ($('#product-details').length) {
            // json data
            productData.jsonData = $('#product-details').attr('data-product');
            productDataArray = JSON.parse(productData.jsonData);
            // reference
            if ($('#product-details .product-reference').length) {
                current = '';
                if ($('#product-details .product-reference label').length) {
                    current += $('#product-details .product-reference label').text() + ': ';
                }
                if ($('#product-details .product-reference span').length) {
                    current += $('#product-details .product-reference span').text();
                }
                if (current.length)
                    productData.reference_description = current;
            }

            // brand
            if ($('#product-details .product-manufacturer a').length) {
                productData.brand = $('#product-details .product-manufacturer a').html();
            }

        }

        // reference
        if (productDataArray && productDataArray.reference !== undefined)
            productData.reference = productDataArray.reference;

        // name
        if (productDataArray && productDataArray.name !== undefined)
            productData.name = productDataArray.name;

        // description
        if (productDataArray && productDataArray.description !== undefined)
            productData.description = productDataArray.description;

        /*
        if ($('#description .product-description p').length) {
            productData.description = $('#description .product-description p').text();
        }
        */

        // selected attributes
        /*
        productDataArray >
                    "attributes":
                        {"151":
                            {    "id_attribute":"2299",
                                "id_attribute_group":"151",
                                "name":"blu",
                                "group":"Colore",
                                "reference":"39431442",
                                "ean13":"8713159519096",
                                "isbn":"",
                                "upc":""
                            },
                        "152":
                            {    "id_attribute":"2309",
                                "id_attribute_group":"152",
                                "name":"M",
                                "group":"Taglia",
                                "reference":"39431442",
                                "ean13":"8713159519096",
                                "isbn":"",
                                "upc":""
                            },
                        "154":
                            {    "id_attribute":"2722",
                                "id_attribute_group":"154",
                                "name":"Male",
                                "group":"Genere",
                                "reference":"39431442",
                                "ean13":"8713159519096",
                                "isbn":"",
                                "upc":""
                            }
                    },
        */

        /*
        if ($('.product-variants-item').length) {
            current = '';
            $('.product-variants-item').each(function(index) {
                // get selected attribute description
                if ( $( this ).find('span').length) {
                    current += $( this ).find('span').text() + ', ';
                }
            });

            if (current.length) {
                current = current.slice(0, -2);
                productData.attributes = current;
            }
        }
        */
        if (productDataArray.attributes !== undefined) {
            //alert(JSON.stringify(productDataArray.attributes));
            current = '';
            var ref = null;
            //for (const key in productDataArray.attributes) {
            //productDataArray.attributes.foreach ((element) => {
            Object.entries(productDataArray.attributes).forEach ( ([key, value]) => {

                //alert(JSON.stringify(value));
                current += value['group'] + ' ' + value['name'] + ', ';
                ref = value['reference'];
            });
            if (current.length) {
                current = current.slice(0, -2);
                productData.attributes = current;
                productData.attribute_reference = ref;
            }
        }

        if (productData.attribute_reference === null)
            productData.attribute_reference = productData.reference;

        // discount table
        if (showPrices && $('section.product-discounts').length) {
            productData.discountTable = $('section.product-discounts').html();
            // if no specific discounts: put the normal product price
            if (!productData.discountTable.trim().length) {
                productData.discountTable = '<div>' + $('div.product-prices').html() + '</div>';
            }
        }

        // gadgetcard: print data table (gadgetcard)
        if (showPrices && $('#gadgetcard_print_options_list_table').length) {
            productData.printTable = $('#gadgetcard_print_options_list_table').html();
        }

        // image
        if ($('#content .images-container .product-cover img').length) {
            productData.imageUrl = $('#content .images-container .product-cover img').attr('src');
        }


        // featuresTable / datasheet
        //if ($('section.product-features').length) {
        if ($('section.product-features').not('.product-print-options').length) {
            //alert('OK section.product-features: len='+$('section.product-features').length);
            current = '';
            $('section.product-features').not('.product-print-options').each(function(index) {
                current += '<div>' + $( this ).html() + '</div>';
                //alert($( this ).html() );
            });
            if (current.length)
                productData.featuresTable = current;
            //alert(current);
        }
        //else alert('no section.product-features');

        /*
        // gadgetcard: print options list
        if ($('#select-print-option').length) {
            current = '';
            $('#select-print-option option').each(function(index) {
                if ($( this ).val() != '') {
                    current += $( this ).html();
                }
            });
        }
        */



        // gadgetcard: printDetailsTable: print options tab
        if ($('section.product-features.product-print-options').length) {
            //alert('OK section.product-features: len='+$('section.product-features').length);
            current = '';
            $('section.product-features.product-print-options').each(function(index) {
                current += '<div>' + $( this ).html() + '</div>';
                //alert($( this ).html() );
            });
            if (current.length)
                productData.printDetailsTable = current;
            //alert(current);
        }




        var el = null;
        if (productDataArray !== null) {
            mxb_tools.addItemToForm('product_pdf_link_form', 'id_product', 'hidden', productDataArray.id_product);
            mxb_tools.addItemToForm('product_pdf_link_form', 'id_product_attribute', 'hidden', productDataArray.id_product_attribute);
            mxb_tools.addItemToForm('product_pdf_link_form', 'id_customization', 'hidden', productDataArray.id_customization);
            mxb_tools.addItemToForm('product_pdf_link_form', 'quantity_wanted', 'hidden', productDataArray.quantity_wanted);
            mxb_tools.addItemToForm('product_pdf_link_form', 'name', 'hidden', productDataArray.name);
        }

        mxb_tools.addItemToForm('product_pdf_link_form', 'jsonData', 'hidden', productData.jsonData);
        mxb_tools.addItemToForm('product_pdf_link_form', 'discountTable', 'hidden', productData.discountTable);
        mxb_tools.addItemToForm('product_pdf_link_form', 'printTable', 'hidden', productData.printTable);
        mxb_tools.addItemToForm('product_pdf_link_form', 'reference_description', 'hidden', productData.reference_description);
        mxb_tools.addItemToForm('product_pdf_link_form', 'dataSheet', 'hidden', productData.dataSheet);
        mxb_tools.addItemToForm('product_pdf_link_form', 'reference', 'hidden', productData.reference);
        mxb_tools.addItemToForm('product_pdf_link_form', 'attribute_reference', 'hidden', productData.attribute_reference);
        mxb_tools.addItemToForm('product_pdf_link_form', 'description', 'hidden', productData.description);
        mxb_tools.addItemToForm('product_pdf_link_form', 'attributes', 'hidden', productData.attributes);
        mxb_tools.addItemToForm('product_pdf_link_form', 'imageUrl', 'hidden', productData.imageUrl);
        mxb_tools.addItemToForm('product_pdf_link_form', 'brand', 'hidden', productData.brand);
        mxb_tools.addItemToForm('product_pdf_link_form', 'featuresTable', 'hidden', productData.featuresTable);
        mxb_tools.addItemToForm('product_pdf_link_form', 'printDetailsTable', 'hidden', productData.printDetailsTable);

        mxb_tools.addItemToForm('product_pdf_link_form', 'action', 'hidden', 'generateProductPdf');


        //alert(JSON.stringify(productData));

        return true;

    }







/*
(function($) {
    $( ".product-information .add-to-cart" ).on( "click", function(event) {
        if ($('.product-customization form').length){
            event.preventDefault();
            addcustomizationcart();
        }
});

function addcustomizationcart(){
        var formActionAttribute_url = $(".product-customization form").attr('action');
        var dat = new FormData($('.product-customization form')[0]);

        $.ajax({
          type: "POST",
          enctype: 'multipart/form-data',
          url : formActionAttribute_url,
          data : dat,
          contentType: false,
          cache: false,
          processData:false,
          success: function(data){
            if (typeof(data.errors) !== 'undefined')
             {

             }
             let query = $('#add-to-cart-or-refresh').serialize() + '&add='+$('#quantity_wanted').val()+'&action=update';
              $.post($("#add-to-cart-or-refresh").attr('action'), query, null, 'json').then((resp) => {
                prestashop.emit('updateCart', {
                reason: {
                  idProduct: resp.id_product,
                  idProductAttribute: resp.id_product_attribute,
                  idCustomization: resp.id_customization,
                  linkAction: 'add-to-cart',
                  cart: resp.cart
                },
                resp: resp
                });
              }).fail((resp) => {
                prestashop.emit('handleError', {eventType: 'addProductToCart', resp: resp});
              });
           },
           error : function(resultat, statut, erreur){
             //"errors...";
            },
            complete: function(resultat, statut){
              //important. update customization_id
            }
         })
    }

}(jQuery));
*/
