/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

    $( document ).ready(function() {
        setTimeout(mxbt_waitLayer_setActionOnElements, 2000);
    });


    function mxbt_waitLayer_setActionOnElements()
    {
        if (!$('#mxbt_waitLayer').length) {
            // create wait layer 
            var bgcolor = $('#MXB_TOOLS_WAIT_LAYER_BG_COLOR').val();
            var bgopacity = $('#MXB_TOOLS_WAIT_LAYER_OPACITY').val();
            var useicon = !($('#MXB_TOOLS_WAIT_LAYER_USE_LOGO').val() == '1');
            var rotate = ($('#MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO').val() == '1');
            var useprodimg = ($('#MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE').val() == '1');

            if (bgcolor !== undefined && bgcolor.length) {
                bgcolor = 'background: ' + bgcolor + ';';
            } else {
                bgcolor = 'background: black;';
            }
            if (bgopacity.length) {
                bgopacity = 'opacity: ' + bgopacity + ';';
            } else {
                bgopacity = 'opacity: 0.4;';
            }
            $('body').prepend(
                '<div class="mxbt_waitLayer" id="mxbt_waitLayer" style="display: none;" onClick="mxbt_waitLayer_hide();">'
                + ' <div class="mxbt_waitLayerBackground" style="' + bgcolor + ' ' + bgopacity + '"></div>'
                + ' <div id="mxbt_waitLayerContent">'
                // + '  <span id="mxbt_waitLayerContent">Please wait</span>'
                + ' </div>'
                // + ' <div class="mxbt_waitLayerContent cover'
                // + (useicon ? ' cover' : '')
                // + '" style="position:absolute; z-index:1; width:100%;"></div>'
                + '</div>');
            
            var href = "";
            if (!useicon) {
                if (useprodimg && $('.js-qv-product-cover').length) {
                    href = $('.js-qv-product-cover').attr('src');
                }
                else if ($('.header-logo .logo.img-responsive').length) {
                    href = $('.header-logo .logo.img-responsive').attr('src');
                }
                else if ($('#_desktop_logo .logo.img-responsive').length) {
                    href = $('#_desktop_logo .logo.img-responsive').attr('src');
                }
                else if ($('#_desktop_logo .logo.img-fluid').length) {
                    href = $('#_desktop_logo .logo.img-fluid').attr('src');
                }
            }
            if (!useicon && href.length) {
                $('#mxbt_waitLayerContent').html('<img class="mxbt_waitLayer-image logo-image' + (rotate ? ' rotate' : '') + '" width="200px" src="' + href + '" border="0">');
            } else {
                $('#mxbt_waitLayerContent').html('<div class="mxbt_waitLayer-image wait-image' + (rotate ? ' rotate' : '') + '"></div>');
            }
        }

        // open wait window on click of many elements when a click causes a page reload
        $( ".product-miniature .thumbnail-container a, .featured-products .all-product-link, .block-categories .category-top-menu a, #_desktop_logo a, .product-line-grid .product-line-grid-body a, .checkout.cart-detailed-actions a, a.remove-image" ).not('[data-link-action="quickview"],[data-toggle="modal"],[target="_new"],[target="_blank"]').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
            //alert("1");
            if ( !$(this).attr("checked") ) {// && !$(this).attr("data-toggle") == 'modal' ) {
                //alert("1 ok");
                mxbt_waitLayer_show();
            }
        });
        $( ".mxb-menu li" ).not('.has-children').find('.mxb-menu-item a').not('[data-toggle="modal"]').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
            //alert("2");
            if ( !$(this).attr("checked") ) {// && !$(this).attr("data-toggle") == 'modal' ) {
                //alert("2 ok");
                mxbt_waitLayer_show();
            }
        });
        
        
        
        
        
        if ( !$("#GADGETCARD_DEBUG").length ) { // not managed if gadgetcard module is present
            mxbt_waitLayer_setActionOnVariant();
            /*
            $( '.product-variants-item .input-color').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
                //alert("3");
                if ( !$(this).attr("checked") ) {
                    var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                    $('.product-prices').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                    //alert(html);
                    $('#clonemxbt_waitLayer').show();
                }
                //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
                mxb_tools.domReadyEvent_add('.product-variants', null, '.product-variants-item .input-color[data-product-attribute="' + $(this).attr('data-product-attribute') + '"]', function() { alert('back!'); });

            });
            */
        }
        
    }


    function mxbt_waitLayer_setActionOnVariant() {
        
        // product variants: color
        $( '.product-variants-item .input-color').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
            //alert("3");
            if ( !$(this).attr("checked") ) {
                var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                $('.product-prices').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                //alert(html);
                $('#clonemxbt_waitLayer').show();
            }
            //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
            mxb_tools.domReadyEvent_add('.product-variants', null, '.product-variants-item .input-color[data-product-attribute="' + $(this).attr('data-product-attribute') + '"]', function() { mxbt_waitLayer_setActionOnVariant(); });
        });
        
        // product variants: select list
        if ( $( '.product-variants-item select.form-control-select').length ) {
            $( '.product-variants-item select.form-control-select').unbind( "change.mxbtcustom").bind( "change.mxbtcustom", function() {
                //alert("3");
                    var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                    $('.product-prices').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                    //alert(html);
                    $('#clonemxbt_waitLayer').show();
            });
            //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
            //mxb_tools.domReadyEvent_add('.product-variants', null, '.product-variants-item .input-color[data-product-attribute="' + $(this).attr('data-product-attribute') + '"]', function() { mxbt_waitLayer_setActionOnVariant(); });
            mxb_tools.domReadyEvent_add('.product-variants', '.product-variants-item select.form-control-select', '.product-variants-item select.form-control-select', function() { mxbt_waitLayer_setActionOnVariant(); });
        }
        
        // add voucher
        $( '.cart-voucher .mxb-add-voucher-block').each(function(index) {
            $( '.cart-voucher .mxb-add-voucher-block').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
                //alert("mxb-add-voucher-block");
                if ( !$(this).is(":hidden") ) {
                    var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                    $('.card-block.cart-summary-totals').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                    $('#clonemxbt_waitLayer').show();
                    //alert(html);
                }
            });
            //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
            mxb_tools.domReadyEvent_add('#mxb-add-voucher-form', 'input[name="discount_name"]', $(this), function() { mxbt_waitLayer_setActionOnVariant(); }, 'click');
        });
        
        // remove voucher
        $( '.cart-voucher a[data-link-action="remove-voucher"]').each(function(index) {
            $( '.cart-voucher a[data-link-action="remove-voucher"]').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
                //alert("mxb-add-voucher-block");
                if ( !$(this).is(":hidden") ) {
                    var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                    $('.card-block.cart-summary-totals').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                    $('#clonemxbt_waitLayer').show();
                    //alert(html);
                }
            });
            //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
            mxb_tools.domReadyEvent_add('#mxb-add-voucher-form', 'input[name="discount_name"]', $(this), function() { mxbt_waitLayer_setActionOnVariant(); }, 'click');
        });
        
        // cart icon
        $( '#_desktop_cart a').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
            //alert("3");
            mxbt_waitLayer_show();
        });
        
        
        
        // remove from cart
        if ($( '.product-line-grid a.remove-from-cart' ).length) {
            $( '.product-line-grid a.remove-from-cart' ).each( function() {
                $( this ).unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
                    //mxbt_waitLayer_show();
                    var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                    $('.product-line-grid').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                    $('#clonemxbt_waitLayer').show();
                } );
                // the dom element will be created only once, but the check action will be triggered on click of every button
                mxb_tools.domReadyEvent_add( '#_desktop_cart', '.cart-products-count', $(this), function() { mxbt_waitLayer_setActionOnVariant(); }, 'click' );
            } );
            //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
        }
        
        
        // add to cart
        if ($( '#add-to-cart-or-refresh button[data-button-action="add-to-cart"]' ).length) {
            $('#add-to-cart-or-refresh button[data-button-action="add-to-cart"]').unbind( "click.mxbtcustom").bind( "click.mxbtcustom", function() {
                var html = mxb_tools.cloneHtml( $('#mxbt_waitLayer').html(), 'clone' );
                $('#_desktop_cart .blockcart.cart-preview').append( '<div class="mxbt_waitLayer" id="clonemxbt_waitLayer" style="display: block;" onClick="mxbt_waitLayer_hide();">' + html + '</div>' );
                $('#clonemxbt_waitLayer').show();
                //mxbt_waitLayer_show();
                
            });
            // the dom element will be created and the check action will be triggered on click of the button
            //mxb_tools.domReadyEvent_add( '#_desktop_cart', '.cart-products-count', $( '#add-to-cart-or-refresh button[data-button-action="add-to-cart"]' ), function() { mxbt_waitLayer_setActionOnVariant(); }, 'click' );
            mxb_tools.domReadyEvent_add( '#add-to-cart-or-refresh', 'button[data-button-action="add-to-cart"]', $( '#add-to-cart-or-refresh button[data-button-action="add-to-cart"]' ), function() { mxbt_waitLayer_setActionOnVariant(); }, 'click' );
            
            //domReadyEvent_add(container_name, dom_element_name, listener_element_name, callback) {
            //mxb_tools.domReadyEvent_add('#_desktop_cart', null, '.cart-products-count', function() { mxbt_waitLayer_setActionOnVariant(); });
        }
        
    }



    function mxbt_waitLayer_show() {
        //alert('#mxbt_waitLayer SHOW');
        $('#mxbt_waitLayer').show();
    }
    function mxbt_waitLayer_hide() {
        $('#mxbt_waitLayer').hide();
    }




