{*
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- MXB TOOLS MODULE LIST -->
            <table width="100%">
                <tr height="50px">
                    <th colspan="2">{l s='Module name' mod='mxb_tools'}</th>
                    <th>{l s='Version' mod='mxb_tools'}</th>
                    <th>{l s='Enabled' mod='mxb_tools'}</th>
                    <th>{l s='Visible to groups' mod='mxb_tools'}</th>
                    <th>{l s='Installed in hooks' mod='mxb_tools'}</th>
                    <th>{l s='Configure' mod='mxb_tools'}</th>
                    <th>{l s='Documentation' mod='mxb_tools'}</th>
                </tr>
                {foreach from=$modules key=akey item=module}
                    <tr{if $module.odd == '1'} class="odd"{/if}>
                        <td>
                            {if $module.full_data.thumbnail}
                                <img src="{$module.full_data.thumbnail|cleanHtml nofilter}" style="width:30px; height:30px;"/>
                            {else}
                                <!-- <div style="display:table-cell; width:40px; height:40px; text-align:center; vertical-align:middle; border:1px solid grey;">&raquo;</div> -->
                                <img src="{$mxb_tools_base_url|cleanHtml nofilter}views/img/generic_logo.png" style="width:30px; height:30px;">
                            {/if}
                        </td>
                        <td>
                            <div class="lite-link one-line" href="#name_module_{$module.id_module|escape:'htmlall':'UTF-8'}_section" data-toggle="collapse" class="lite-link">
                                {$module.full_data.display_name|escape:'htmlall':'UTF-8'}
                            </div>
                            <div id="name_module_{$module.id_module}_section" class="collapse">
                                {$module.full_data.description|escape:'htmlall':'UTF-8'}
                            </div>
                        </td>
                        <td>
                            <span>{if $module.full_data.version}{$module.full_data.version|escape:'htmlall':'UTF-8'}{else}-{/if}</span>
                        </td>
                        <td>
                            {if $module.full_data.enabled}
                                <span style="color:green;">enabled</span>
                            {else}
                                <span style="color:orange;">disabled</span>
                            {/if}
                        </td>
                        <td>
                            {if $module.full_data.groups}
                                <div style="max-width: 200px;">
                                    <div href="#groups_module_{$module.id_module|escape:'htmlall':'UTF-8'}_section" data-toggle="collapse" class="lite-link one-row">
                                        {foreach from=$module.full_data.groups key=gkey item=group}
                                            {$group.name|escape:'htmlall':'UTF-8'},
                                        {/foreach}
                                    </div>
                                    <div id="groups_module_{$module.id_module|escape:'htmlall':'UTF-8'}_section" class="collapse">
                                        {foreach from=$module.full_data.groups key=gkey item=group}
                                            <br>{$group.name|escape:'htmlall':'UTF-8'}
                                        {/foreach}
                                    </div>
                                </div>
                            {/if}
                        </td>
                        <td>
                            {if $module.full_data.hooks}
                                <div style="max-width: 200px;">
                                    <div href="#hooks_module_{$module.id_module|escape:'htmlall':'UTF-8'}_section" data-toggle="collapse" class="lite-link one-row">
                                        {foreach from=$module.full_data.hooks key=gkey item=hook}
                                            {$hook.name|escape:'htmlall':'UTF-8'},
                                        {/foreach}
                                    </div>
                                    <div id="hooks_module_{$module.id_module|escape:'htmlall':'UTF-8'}_section" class="collapse">
                                        {foreach from=$module.full_data.hooks key=gkey item=hook}
                                            <br>{$hook.name|escape:'htmlall':'UTF-8'}
                                        {/foreach}
                                    </div>
                                </div>
                            {/if}
                        </td>
                        <td>
                            <a href="{$module.link|cleanHtml nofilter}" target="_new">{l s='configure' mod='mxb_tools'}</a>
                        </td>
                        <td>
                            {if $module.full_data.url}
                                <a href="{$module.full_data.url|cleanHtml nofilter}" target="_new">{l s='documentation' mod='mxb_tools'}</a>
                            {/if}
                        </td>
                    </tr>
                {/foreach}
            </table>
