{*
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- MXB TOOLS MENU -->
{include file=$admin_menu_tpl}

<!-- CALCULATORS TAB -->
<div class="panel mxb-panel mxb-panel-calculator">
    <h3 href="#mxb_tools_calculators_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Calculators' mod='mxb_tools'}</h3>
    <div id="mxb_tools_calculators_section" class="mxb-panel-content collapse in">
        <h2>{l s='Convert charge % into profit %.' mod='mxb_tools'}</h2>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label col-lg-3">{l s='Sample wholesale price' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_charge2perc_wholesale" value="10" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertCharge2perc('wholesale', this.value);">
                <br><label class="control-label col-lg-3">{l s='Charge %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_charge2perc_charge" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertCharge2perc('charge', this.value);">
                <br><label class="control-label col-lg-3">{l s='Profit %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_charge2perc_profit" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertCharge2perc('profit', this.value);">
            </div>
            <div class="col-md-6">
                <label id="mxb_tools_calc_charge2perc_results"></label>
            </div>
        </div>
        <br /><br />



        <h2>{l s='Calculate charge % and discount % from wholesale and public prices.' mod='mxb_tools'}</h2>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label col-lg-3">{l s='Not charged price' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeFromPrices_wholesale" value="10" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertChargeFromPrices('wholesale', this.value);">
                <br><label class="control-label col-lg-3">{l s='Charged price' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeFromPrices_price" value="10" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertChargeFromPrices('price', this.value);">
                <br><label class="control-label col-lg-3">{l s='Discount %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeFromPrices_discount" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertChargeFromPrices('discount', this.value);">
                <br><label class="control-label col-lg-3">{l s='Charge %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeFromPrices_charge" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertChargeFromPrices('charge', this.value);">

                <br><label class="control-label col-lg-3">{l s='Profit %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeFromPrices_profit" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_convertChargeFromPrices('profit', this.value);">
            </div>
            <div class="col-md-6">
                <label id="mxb_tools_calc_chargeFromPrices_results"></label>
            </div>
        </div>
        <br /><br />




        <h2>{l s='Split charge % into 2 values %.' mod='mxb_tools'}</h2>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label col-lg-3">{l s='Sample wholesale price' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_splitPerc_wholesale" value="10" class="" size="20" style="width:200px;" onChange="mxb_calculate_splitPerc('wholesale', this.value);">
                <br><label class="control-label col-lg-3">{l s='Total charge %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_splitPerc_charge_tot" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_splitPerc('charge_tot', this.value);">
                <br><label class="control-label col-lg-3">{l s='Charge 1 %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_splitPerc_charge_1" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_splitPerc('charge_1', this.value);">
                <br><label class="control-label col-lg-3">{l s='Charge 2 %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_splitPerc_charge_2" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_splitPerc('charge_2', this.value);">
            </div>
            <div class="col-md-6">
                <label id="mxb_tools_calc_splitPerc_results"></label>
            </div>
        </div>
        <br /><br />


        <h2>{l s='Calculate charge % plus discount %' mod='mxb_tools'}</h2>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label col-lg-3">{l s='Sample wholesale price' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeAndDiscount_wholesale" value="10" class="" size="20" style="width:200px;" onChange="mxb_calculate_chargeAndDiscount('wholesale', this.value);">
                <br><label class="control-label col-lg-3">{l s='Charge %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeAndDiscount_charge" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_chargeAndDiscount('charge', this.value);">
                <br><label class="control-label col-lg-3">{l s='Discount %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeAndDiscount_discount" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_chargeAndDiscount('discount', this.value);">
                <br><label class="control-label col-lg-3">{l s='Final price' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeAndDiscount_finalPrice" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_chargeAndDiscount('final_price', this.value);">
                <br><label class="control-label col-lg-3">{l s='Final charge %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeAndDiscount_finalCharge" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_chargeAndDiscount('final_charge', this.value);">
                <br><label class="control-label col-lg-3">{l s='Final discount %' mod='mxb_tools'}</label>
                <input type="text" id="mxb_tools_calc_chargeAndDiscount_finalDiscount" value="" class="" size="20" style="width:200px;" onChange="mxb_calculate_chargeAndDiscount('final_discount', this.value);">
            </div>
            <div class="col-md-6">
                <label id="mxb_tools_calc_chargeAndDiscount_results"></label>
            </div>
        </div>
    </div>
</div>




<br /><br />








{if isset($iframe)}
    <script src="{$iframe|escape:'htmlall':'UTF-8'}"></script>
{/if}