{*
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- MXB TOOLS MENU -->
{include file=$admin_menu_tpl}

<!-- DOCUMENTATION TAB -->
<div class="panel">
    <h3><i class="icon icon-tags"></i> {l s='Documentation' mod='mxb_tools'}</h3>
    {if isset($module_name_and_version)}
        <h4 class="h4">{$module_name_and_version|cleanHtml nofilter}</h4>
    {/if}
    <p>
        &raquo; {l s='You can get the documentation to use this module' mod='mxb_tools'} :
        <ul>
            <li><a href="https://www.mxbinformatica.it/en/prestashop-mxb-tools/" target="_blank">English</a></li>
            {*<!-- <li><a href="{$base_url|cleanHtml nofilter}/modules/mxb_tools/docs/Mxb_Tools-manual-it.pdf" target="_blank">Italiano</a></li> -->*}
            <li><a href="https://www.mxbinformatica.it/prestashop-mxb-tools/" target="_blank">Italiano</a></li>
        </ul>
    </p>
</div>

<!-- MXB MODULES DOWNLOAD -->
{if isset($mxb_modules_download)}
    <div class="panel mxb-panel-mxb-modules-download">
        <h3 href="#mxb_tools_mxb_modules_download_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Download MXB Modules' mod='mxb_tools'}</h3>

        <div id="mxb_tools_mxb_modules_download_section" class="row collapse in" style="height: auto;">
            {foreach from=$mxb_modules_download key=akey item=module}
                <div class="col-md-3">
                    <div class="mxb-module-box">
                        <div style="position: relative;">
                            <a href="{$module.url|cleanHtml nofilter}" target="_new" title="{l s='Go to module details page and download it' mod='mxb_tools'}">
                                <img src="{$module.thumbnail|cleanHtml nofilter}" class="module-thumb" {if $module.installed}style="opacity:0.6;"{/if}/>
                                {if $module.installed}
                                    <div class="floating-label installed">
                                        {if isset($module.upgrade_available)}
                                            <img src="{$mxb_tools_base_url|cleanHtml nofilter}views/img/upgrade_available.png">
                                        {else}
                                            <img src="{$mxb_tools_base_url|cleanHtml nofilter}views/img/installed.png">
                                        {/if}
                                    </div>
                                {/if}
                            </a>
                        </div>
                        <p>
                            <a href="{$module.url|cleanHtml nofilter}" target="_new" title="{l s='Go to module details page and download it' mod='mxb_tools'}">{$module.display_name}</a>
                            <br>Ver. {$module.version|escape:'htmlall':'UTF-8'}
                        </p>
                        <p>
                            {$module.description|escape:'htmlall':'UTF-8'}
                        </p>
                        
                    </div>
                </div>
            {/foreach}
            <br /><br />
        </div>
    </div>
{/if}

<!-- MXB MODULES CONFIGURATION -->
{if isset($mxb_modules)}
    <div class="panel mxb-panel-mxb-modules">
        <h3 href="#mxb_tools_mxb_modules_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Configure MXB Modules' mod='mxb_tools'}</h3>

        <div id="mxb_tools_mxb_modules_section" class="collapse">
            
            <!-- MXB TOOLS MODULE LIST -->
            {include file=$admin_module_list_tpl modules=$mxb_modules}
            <br /><br />
        </div>
    </div>
{/if}

<!-- COMMON MODULES CONFIGURATION -->
{if isset($common_modules)}
    <div class="panel mxb-panel-common-modules">
        <h3 href="#mxb_tools_common_modules_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Configure Common Prestashop Modules' mod='mxb_tools'}</h3>

        <div id="mxb_tools_common_modules_section" class="collapse">
            
            <!-- COMMON MODULE LIST -->
            {include file=$admin_module_list_tpl modules=$common_modules}
            <br /><br />
        </div>
    </div>
{/if}

<!-- CONFIGURATION -->
<form action="{$form_action|escape:'html':'UTF-8'}" method="post" id="mxb_tools_configuration_form" class="defaultForm form-horizontal" enctype="multipart/form-data" novalidate="">
    <input type="hidden" name="action" value="">
    <fieldset class="panel">
        <h3><i class="material-icons settings">&#xe8b8;</i> {l s='Configuration' mod='mxb_tools'}</h3>
        <div{*if $MXB_TOOLS_DEBUG eq '0'} class="mxbt_hidden"{/if*}>
            <h2 href="#mxbt_developer_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Developers tools' mod='mxb_tools'}</h2>
            <div id="mxbt_developer_section" class="collapse">
                <div class="form-group">
                    <label class="control-label col-lg-3 required" for="MXB_TOOLS_DEBUG">{l s='Enable mxb_tools DEBUG' mod='mxb_tools'}</label>
                    <div class="col-lg-9">
                        <div class="row">
                            <div class="input-group col-lg-2">
                                <span class="switch prestashop-switch fixed-width-lg">
                                <input type="radio" name="MXB_TOOLS_DEBUG" id="MXB_TOOLS_DEBUG_on" value="1" {if $MXB_TOOLS_DEBUG}checked="checked"{/if}>
                                <label class="radioCheck" for="MXB_TOOLS_DEBUG_on">{l s='Yes' mod='mxb_tools'}</label>
                                <input type="radio" name="MXB_TOOLS_DEBUG" id="MXB_TOOLS_DEBUG_off" value="0" {if !$MXB_TOOLS_DEBUG}checked="checked"{/if}>
                                <label class="radioCheck" for="MXB_TOOLS_DEBUG_off">{l s='No' mod='mxb_tools'}</label>
                                    <a class="slide-button btn"></a>
                                </span>
                            </div>
                        </div>
                        <p class="help-block">{l s='Enable this option to produce log file, show additional costs in cart and other debug features' mod='mxb_tools'} (path: prestashop/modules/mxb_tools/log/debug.log) </p>
                    </div>
                </div>
                <br><br>

                <div class="form-group">
                    <label class="control-label col-lg-3 required">{l s='CALL METHOD: updateMxbToolsProcedures()' mod='mxb_tools'}</label>
                    <div class="col-lg-9">
                        <input data-action="updateMxbToolsProcedures" value="Call update procedures (developers only)" type="button" class="btn btn-primary data-action-btn"/>
                        <p class="help-block">{l s='The method AdminMxbToolsConfigurationController::updateMxbToolsProcedures() will be called. You can put there some operations to execute once. File "AdminMxb_ToolsConfigurationController.php" found in folder "modules/mxb_tools/controllers/admin/".' mod='mxb_tools'}</p>
                    </div>
                </div>
                <br><br>
            </div>
        </div>

        <h2 href="#mxbt_generic_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Generic settings' mod='mxb_tools'}</h2>
        <div id="mxbt_generic_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_SCRIPTS_ALLOWED_IP_ADDRESS">{l s='Allowed IP addresses for Danea scripts' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_SCRIPTS_ALLOWED_IP_ADDRESS" id="MXB_TOOLS_SCRIPTS_ALLOWED_IP_ADDRESS" value="{$MXB_TOOLS_SCRIPTS_ALLOWED_IP_ADDRESS|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='Insert IP addresses separated by a ";" that have access to Danea export functions (see Tools section for more infos).' mod='mxb_tools'}</p>
                    <input value="Add my IP" type="button" class="btn btn-primary" onClick="mxbt_getMyIpAddress();"/>
                </div>
            </div>
            <br><br>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_PRICE_NUMBER_OF_DIGITS">{l s='Products price: number of digits' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_PRICE_NUMBER_OF_DIGITS" id="MXB_TOOLS_PRICE_NUMBER_OF_DIGITS" value="{$MXB_TOOLS_PRICE_NUMBER_OF_DIGITS|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='All product prices will be displayed with this number of digits.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN">{l s='Open home page after the log in' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN" id="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN_on" value="1" {if $MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN" id="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN_off" value="0" {if !$MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_CUSTOMER_REDIRECT_AFTER_LOGIN_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to redirect the user to the home page after he have logged in.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_PAGINATION_LIST_ENABLED">{l s='Show page list in pagination footer' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_PAGINATION_LIST_ENABLED" id="MXB_TOOLS_PAGINATION_LIST_ENABLED_on" value="1" {if $MXB_TOOLS_PAGINATION_LIST_ENABLED}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_PAGINATION_LIST_ENABLED_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_PAGINATION_LIST_ENABLED" id="MXB_TOOLS_PAGINATION_LIST_ENABLED_off" value="0" {if !$MXB_TOOLS_PAGINATION_LIST_ENABLED}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_PAGINATION_LIST_ENABLED_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to to sho a list box with all pages in search results and product listing.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>
        </div>


        <h2 href="#mxbt_redirect_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Redirect URLs' mod='mxb_tools'}</h2>
        <div id="mxbt_redirect_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_REDIRECT_404_URL">{l s='Redirect url for "page not found 404"' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_REDIRECT_404_URL" id="MXB_TOOLS_REDIRECT_404_URL" value="{$MXB_TOOLS_REDIRECT_404_URL|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='This URL will be used to redirect the user to a customized page when a non existing link is requested.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_REDIRECT_SEARCH_NOT_FOUND_URL">{l s='Redirect url for "search not found"' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_REDIRECT_SEARCH_NOT_FOUND_URL" id="MXB_TOOLS_REDIRECT_SEARCH_NOT_FOUND_URL" value="{$MXB_TOOLS_REDIRECT_SEARCH_NOT_FOUND_URL|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='This URL will be used to redirect the user to a customized page when the search has no results.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_REDIRECT_ADD_TO_CART_URL">{l s='Redirect url on "add to cart" action' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_REDIRECT_ADD_TO_CART_URL" id="MXB_TOOLS_REDIRECT_ADD_TO_CART_URL" value="{$MXB_TOOLS_REDIRECT_ADD_TO_CART_URL|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='This URL will be used to redirect the user to a specific page after adding a product in cart. NOTE: "ajax cart" option in ps_shoppingcart module must be enabled.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>
        </div>


        <h2 href="#mxbt_cart_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Cart' mod='mxb_tools'}</h2>
        <div id="mxbt_cart_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_ENABLE_EMPTY_CART">{l s='Show empty cart button in cart page' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_ENABLE_EMPTY_CART" id="MXB_TOOLS_ENABLE_EMPTY_CART_on" value="1" {if $MXB_TOOLS_ENABLE_EMPTY_CART}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_EMPTY_CART_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_ENABLE_EMPTY_CART" id="MXB_TOOLS_ENABLE_EMPTY_CART_off" value="0" {if !$MXB_TOOLS_ENABLE_EMPTY_CART}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_EMPTY_CART_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to show a wait layer when user clicks on links that cause a page change or long data loading.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>
        </div>


        <h2 href="#mxbt_wait_layer_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Wait layer' mod='mxb_tools'}</h2>
        <div id="mxbt_wait_layer_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_ENABLE_WAIT_LAYER">{l s='Show wait layer on clicks' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_ENABLE_WAIT_LAYER" id="MXB_TOOLS_ENABLE_WAIT_LAYER_on" value="1" {if $MXB_TOOLS_ENABLE_WAIT_LAYER}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_WAIT_LAYER_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_ENABLE_WAIT_LAYER" id="MXB_TOOLS_ENABLE_WAIT_LAYER_off" value="0" {if !$MXB_TOOLS_ENABLE_WAIT_LAYER}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_WAIT_LAYER_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to show a wait layer when user clicks on links that cause a page change or long data loading.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>

             <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_WAIT_LAYER_USE_LOGO">{l s='Use shop logo as wait icon' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_WAIT_LAYER_USE_LOGO" id="MXB_TOOLS_WAIT_LAYER_USE_LOGO_on" value="1" {if $MXB_TOOLS_WAIT_LAYER_USE_LOGO}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_WAIT_LAYER_USE_LOGO_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_WAIT_LAYER_USE_LOGO" id="MXB_TOOLS_WAIT_LAYER_USE_LOGO_off" value="0" {if !$MXB_TOOLS_WAIT_LAYER_USE_LOGO}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_WAIT_LAYER_USE_LOGO_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to show the shop logo in the center of the wait layer.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE">{l s='Use the product thumbnail as wait icon when possible' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE" id="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE_on" value="1" {if $MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE" id="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE_off" value="0" {if !$MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_WAIT_LAYER_USE_PRODUCT_IMAGE_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to show the product thumbnail in the center of the wait layer. Only for product pages, instead the shop logo.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO">{l s='Rotate the logo' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO" id="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO_on" value="1" {if $MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO" id="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO_off" value="0" {if !$MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_WAIT_LAYER_ROTATE_LOGO_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to show a rolling logo in the center of the wait layer.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_WAIT_LAYER_BG_COLOR">{l s='Background color' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_WAIT_LAYER_BG_COLOR" id="MXB_TOOLS_WAIT_LAYER_BG_COLOR" value="{$MXB_TOOLS_WAIT_LAYER_BG_COLOR|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='Insert the background color in css color definitions (red, white, black, green, darkgreen, lightgrey ...), in hex format (i.e. for white insert: #FFFFFF, for black: #000000) or RGB format (white: rgb(255,255,255), black: rgb(0,0,0)).' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_WAIT_LAYER_OPACITY">{l s='Background opacity' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_WAIT_LAYER_OPACITY" id="MXB_TOOLS_WAIT_LAYER_OPACITY" value="{$MXB_TOOLS_WAIT_LAYER_OPACITY|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='Insert the opacity of the background in decimal format, from 0.0 to 1.0' mod='mxb_tools'}</p>
                </div>
            </div>
            <br><br>
            
        </div>



        <h2 href="#mxbt_pdf_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='PDF documents' mod='mxb_tools'}</h2>
        <div id="mxbt_pdf_section" class="collapse">
            {l s='Mxb Tools has added new buttons to the admin order detail page: "Download order PDF", "Download order CSV" and "Download Order Cover Job". Also, you can enable the special button "Download product sheet PDF" into product page (client side) to allow the customer to download the product details in PDF format.' mod='mxb_tools'}
            <br><br>
            <h5 class="h4">&raquo; {l s='Product sheet PDF in product page' mod='mxb_tools'}:</h4>
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_ENABLE_PRODUCT_PDF">{l s='PDF product sheet download' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_ENABLE_PRODUCT_PDF" id="MXB_TOOLS_ENABLE_PRODUCT_PDF_on" value="1" {if $MXB_TOOLS_ENABLE_PRODUCT_PDF}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_PRODUCT_PDF_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_ENABLE_PRODUCT_PDF" id="MXB_TOOLS_ENABLE_PRODUCT_PDF_off" value="0" {if !$MXB_TOOLS_ENABLE_PRODUCT_PDF}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_PRODUCT_PDF_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Allow customers to download a PDF of product data sheet. The related button will show up on the right of the product name in product page.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES">{l s='Show prices in PDF product datasheet' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES" id="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES_on" value="1" {if $MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES" id="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES_off" value="0" {if !$MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_PRODUCT_PDF_SHOW_PRICES_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Enable to show prices tables in downlodable PDF of product datasheet.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_PRODUCT_PDF_EXCLUDE_GROUP_IDS">{l s='Disable product PDF for following customer groups ID' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_PRODUCT_PDF_EXCLUDE_GROUP_IDS" id="MXB_TOOLS_PRODUCT_PDF_EXCLUDE_GROUP_IDS" value="{$MXB_TOOLS_PRODUCT_PDF_EXCLUDE_GROUP_IDS|escape:'htmlall':'UTF-8'}" class="" size="92">
                    <p class="help-block">{l s='Insert the group id separated by a comma (,) for which the download of the PDF product datasheet will be disabled.' mod='mxb_tools'}</p>
                </div>
            </div>


            <!-- MXB_TOOLS_PRODUCT_PDF_BTN_TEXT -->
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_PRODUCT_PDF_BTN_TEXT">{l s='Text on "download PDF" button' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="form-group">
                        {foreach from=$languages item=language}
                            {if $languages|count > 1}
                                <div class="translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
                            {/if}
                            <div class="col-lg-9">
                                <input type="text" id="MXB_TOOLS_PRODUCT_PDF_BTN_TEXT{$language.id_lang|escape:'htmlall':'UTF-8'}" name="MXB_TOOLS_PRODUCT_PDF_BTN_TEXT{$language.id_lang|escape:'htmlall':'UTF-8'}" class="" value="{$MXB_TOOLS_PRODUCT_PDF_BTN_TEXT[$language.id_lang|escape:'htmlall':'UTF-8']|escape:'htmlall':'UTF-8'}" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
                            </div>
                            {if $languages|count > 1}
                                <div class="col-lg-2">
                                    <button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
                                        {$language.iso_code|escape:'htmlall':'UTF-8'}
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu">
                                        {foreach from=$languages item=lang}
                                            <li><a href="javascript:hideOtherLanguage({$lang.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$lang.name|escape:'htmlall':'UTF-8'}</a></li>
                                        {/foreach}
                                    </ul>
                                </div>
                            {/if}
                            {if $languages|count > 1}
                                </div>
                            {/if}
                            <script>
                                $(document).ready(function(){
                                    $('#MXB_TOOLS_PRODUCT_PDF_BTN_TEXT{$language.id_lang|escape:'htmlall':'UTF-8'}').change(function(e){
                                        var val = $(this).val();
                                        var file = val.split(/[\\/]/);
                                        $('#MXB_TOOLS_PRODUCT_PDF_BTN_TEXT{$language.id_lang|escape:'htmlall':'UTF-8'}-name').val(file[file.length-1]);
                                    });
                                });
                            </script>
                        {/foreach}
                    </div>
                    <p class="help-block">{l s='Insert a text for the download PDF button. IF empty, button will be a PDF icon.' mod='mxb_tools'}</p>
                </div>
            </div>


            <br><br>
            <h4 class="h4">&raquo; {l s='Cover job PDF in order admin page' mod='mxb_tools'}:</h4>
            {l s='With this button, found in admin order page, you can download a special version of the order in PDF format, dedicated to the post-order actions. The sheet will follow the product during preparation, packaging, possible printing, shipping stages.' mod='mxb_tools'}
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_COVERJOB_TYPE">{l s='Cover job minimal' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_COVERJOB_TYPE" id="MXB_TOOLS_COVERJOB_TYPE_on" value="1" {if $MXB_TOOLS_COVERJOB_TYPE}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_COVERJOB_TYPE_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_COVERJOB_TYPE" id="MXB_TOOLS_COVERJOB_TYPE_off" value="0" {if !$MXB_TOOLS_COVERJOB_TYPE}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_COVERJOB_TYPE_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Enable to create cover jobs without detailed fields.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br>

            <!-- MXB_TOOLS_COVERJOB_LOGO -->
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_COVERJOB_LOGO">{l s='Cover job PDF logo' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input id="MXB_TOOLS_COVERJOB_LOGO" type="file" name="MXB_TOOLS_COVERJOB_LOGO" class="hide">

                    <div class="dummyfile input-group">
                        <span class="input-group-addon"><i class="icon-file"></i></span>
                        <input id="MXB_TOOLS_COVERJOB_LOGO-name" type="text" class="disabled" name="filename" readonly="">
                        <span class="input-group-btn">
                            <button id="MXB_TOOLS_COVERJOB_LOGO-selectbutton" type="button" name="submitAddAttachments" class="btn btn-default">
                                <i class="icon-folder-open"></i> {l s='Select an image file' mod='mxb_tools'}
                            </button>
                        </span>
                    </div>
                    <script>
                        $(document).ready(function(){
                            $('#MXB_TOOLS_COVERJOB_LOGO-selectbutton').click(function(e){
                                //alert('#MXB_TOOLS_COVERJOB_LOGO click');
                                $('#MXB_TOOLS_COVERJOB_LOGO').trigger('click');
                            });
                            $('#MXB_TOOLS_COVERJOB_LOGO').change(function(e){
                                var val = $(this).val();
                                var file = val.split(/[\\/]/);
                                $('#MXB_TOOLS_COVERJOB_LOGO-name').val(file[file.length-1]);
                            });
                        });
                    </script>
                    <p class="help-block">{l s='Select an image to use as header logo for cover job PDF. This document is downlodable in order details page near the [Print order PDF] button.' mod='mxb_tools'}</p>

                    <span class="">
                        <input style="float:left;" type="checkbox" name="MXB_TOOLS_COVERJOB_LOGO_DELETE" value="1" id="MXB_TOOLS_COVERJOB_LOGO_DELETE" />
                        <p style="text-align: left; display: block; overflow: hidden; padding-left: 1rem;">
                            {l s='Remove images on save.' mod='mxb_tools'}
                        </p>
                    </span>
                </div>
            </div>
        </div>

         <h2 href="#mxbt_emails_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='E-mails' mod='mxb_tools'}</h2>
         <div id="mxbt_emails_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT">{l s='Remove shop name from e-mails subject' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT" id="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT_on" value="1" {if $MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT" id="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT_off" value="0" {if !$MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_REMOVE_SHOP_NAME_FROM_EMAIL_SUBJECT_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to remove the shop name from the subject of e-mails sent to users.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING">{l s='Remove order status numbering' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING" id="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING_on" value="1" {if $MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING" id="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING_off" value="0" {if !$MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_REMOVE_ORDER_STATUS_NUMBERING_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to remove all the text before a pharentesys from order status names.' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: this option will cut the numeric (or alphanumentic) prefix of the order status name. This way you can call each status with a number and a text, to order it as your needings. For example, you can call the status "shipped" as "5) Shipped" and "Online payment accepted" as "2) Online payment accepted" and so on.' mod='mxb_tools'}</p>
                </div>
            </div>




            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_NEW_CUSTOMER_EMAIL_ADDRESS">{l s='Recipient(s) email for new user notification' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_NEW_CUSTOMER_EMAIL_ADDRESS" id="MXB_TOOLS_NEW_CUSTOMER_EMAIL_ADDRESS" value="{$MXB_TOOLS_NEW_CUSTOMER_EMAIL_ADDRESS|escape:'htmlall':'UTF-8'}" class="" size="92" placeholder="first-man@email.com,second@mymail.com,third@....">
                    <p class="help-block">{l s='Insert the recipient(s) email address to send a notification when a new user has been registered. Separate addresses by a comma. Ex: "first-man@email.com,second@mymail.com,third@...."' mod='mxb_tools'}</p>
                </div>
            </div>

             <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER">{l s='Don\'t send "new voucher released" e-mail to customer' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER" id="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER_on" value="1" {if $MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER" id="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER_off" value="0" {if !$MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_BLOCK_EMAIL_ORDER_NEW_VOUCHER_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to avoid to send the automatic message to customer when he finalyze an order and a new voucher is released.' mod='mxb_tools'}</p>
                </div>
            </div>

             <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED">{l s='Don\'t send "Order shipped" e-mail to customer' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED" id="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED_on" value="1" {if $MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED" id="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED_off" value="0" {if !$MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_BLOCK_EMAIL_ORDER_TRACKING_ADDED_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='Check this option to avoid to send the automatic message to customer when a tracking number is added via back-office.' mod='mxb_tools'}</p>
                </div>
            </div>
        </div>


        <h2 href="#mxbt_google_tags_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Google tags' mod='mxb_tools'}</h2>
        <div id="mxbt_google_tags_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_GOOGLE_ANALYTICS_CODE">{l s='Google Analytics' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_GOOGLE_ANALYTICS_CODE" id="MXB_TOOLS_GOOGLE_ANALYTICS_CODE" value="{$MXB_TOOLS_GOOGLE_ANALYTICS_CODE|escape:'htmlall':'UTF-8'}" class="" size="92" placeholder="G-XXXXX or UG-XXXX">
                    <p class="help-block">{l s='Insert your Google Analytics code to add related script to header and body"' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_GOOGLE_TAG_MANAGER_CODE">{l s='Google Tag Manager' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <input type="text" name="MXB_TOOLS_GOOGLE_TAG_MANAGER_CODE" id="MXB_TOOLS_GOOGLE_TAG_MANAGER_CODE" value="{$MXB_TOOLS_GOOGLE_TAG_MANAGER_CODE|escape:'htmlall':'UTF-8'}" class="" size="92" placeholder="GT-XXXXX or GTM-XXXX">
                    <p class="help-block">{l s='Insert your Google Tag Manager code to add related script to header and body"' mod='mxb_tools'}</p>
                </div>
            </div>
        </div>


        <h2 href="#mxbt_custom_css_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Custom CSS' mod='mxb_tools'}</h2>
        <div id="mxbt_custom_css_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS">{l s='Enable the custom css for Prestashop' mod='mxb_tools'} :</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS" id="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS_on" value="1" {if $MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS" id="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS_off" value="0" {if !$MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_CSS_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='If enabled, following css will be inserted in the head of every Prestashop page' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_GLOBAL_CUSTOM_CSS">{l s='Custom css file for Prestashop' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <textarea name="MXB_TOOLS_GLOBAL_CUSTOM_CSS" id="MXB_TOOLS_GLOBAL_CUSTOM_CSS" value="{$MXB_TOOLS_GLOBAL_CUSTOM_CSS|escape:'htmlall':'UTF-8':TRUE}" class="textarea-autosize" style="overflow: hidden; overflow-wrap: break-word; resize: none; height: 400px;">{$MXB_TOOLS_GLOBAL_CUSTOM_CSS|escape:'htmlall':'UTF-8':TRUE}</textarea>
                    <p class="help-block">{l s='Remember to check class names to avoid unwanted effects.' mod='mxb_tools'}
                        <br>{l s='Download default css file' mod='mxb_tools'} : <a href="{$default_global_css_link|cleanHtml nofilter}" target="_new">{$default_global_css_link|escape:'htmlall':'UTF-8'}</a>
                    </p>
                </div>
            </div>
        </div>

        <h2 href="#mxbt_custom_js_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='Custom JS' mod='mxb_tools'}</h2>
        <div id="mxbt_custom_js_section" class="collapse">
            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS">{l s='Enable the custom javascript' mod='mxb_tools'} :</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <span class="switch prestashop-switch fixed-width-lg">
                            <input type="radio" name="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS" id="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS_on" value="1" {if $MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS_on">{l s='Yes' mod='mxb_tools'}</label>
                            <input type="radio" name="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS" id="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS_off" value="0" {if !$MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS}checked="checked"{/if}>
                            <label class="radioCheck" for="MXB_TOOLS_ENABLE_GLOBAL_CUSTOM_JS_off">{l s='No' mod='mxb_tools'}</label>
                                <a class="slide-button btn"></a>
                            </span>
                        </div>
                    </div>
                    <p class="help-block">{l s='If enabled, following javascript will be inserted just before the end of the body of every front page' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required" for="MXB_TOOLS_GLOBAL_CUSTOM_JS">{l s='Custom Javascript' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <textarea name="MXB_TOOLS_GLOBAL_CUSTOM_JS" id="MXB_TOOLS_GLOBAL_CUSTOM_JS" value="{$MXB_TOOLS_GLOBAL_CUSTOM_JS|escape:'htmlall':'UTF-8':TRUE}" class="textarea-autosize" style="overflow: hidden; overflow-wrap: break-word; resize: none; height: 400px;">{$MXB_TOOLS_GLOBAL_CUSTOM_JS|escape:'htmlall':'UTF-8':TRUE}</textarea>
                    <p class="help-block">{l s='Write your javascript code without [script] tags: it will be stored into the JS file "custom.js". Remember to check for errors to avoid unwanted effects.' mod='mxb_tools'}</p>
                </div>
            </div>
        </div>

        <h2 href="#mxbt_cms_section" class="" data-toggle="collapse" style="cursor: pointer;">{l s='CMS pages' mod='mxb_tools'}</h2>
        <div id="mxbt_cms_section" class="collapse">
        
            <div class="form-group">
                <label class="control-label col-lg-3 required">{l s='Create preview paragraph into cms pages' mod='mxb_tools'} :</label>
                <div class="col-lg-9">
                    <div class="row">
                        <div class="input-group col-lg-2">
                            <code><pre>&lt;div class=&quot;cms-preview-content cmsdate-2024-01-05-cmsdate&quot;&gt;
    &lt;a&gt;&lt;img src=&quot;https://www.mysite.com/where-you-put-cms-images/my-image.jpg&quot; alt=&quot;&quot; title=&quot;&quot;/&gt;&lt;/a&gt;
    &lt;p&gt;Your text preview. End it with this to link to the page: &lt;a&gt;(...continue)&lt;/a&gt; &lt;/p&gt;
&lt;/div&gt;
                            </pre></code>
                        </div>
                    </div>
                    <p class="help-block">{l s='You can show a CMS page preview into CMS category index page: copy the code above as first code into CMS page description, and customize it with a preview image and text.' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='CONTINUE TAG (optional): put a "continue" tag at the end of the preview text using an empty <a> tag: <a>(... continue)</a>. Use the same a tag around the image or other elements to create a direct link to the page' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='ARTICLE DATE (optional): add a special class to cms-preview-content div to set the article date and show it into the index page. Use this form: cmsdate-[date-time]-cmsdate. For example: class="cms-preview-content cmsdate-2024-01-05-cmsdate".' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required">{l s='Usefull CSS for your CMS pages' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <button href="#mxbt_cms_section_css_code" data-toggle="collapse" style="cursor: pointer;">{l s='Show code' mod='mxb_tools'}</button>
                    <div id="mxbt_cms_section_css_code" class="collapse">
                        <pre>{$cms_csv_content|escape:'htmlall':'UTF-8':TRUE}"</pre>
                    </div>
                    <p class="help-block">{l s='You can use this CSS for your CMS pages, and override it with the area "Custom CSS" above.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="form-group">
                <label class="control-label col-lg-3 required">{l s='Try this code into a cms page' mod='mxb_tools'}</label>
                <div class="col-lg-9">
                    <button href="#mxbt_cms_section_html_code" data-toggle="collapse" style="cursor: pointer;">{l s='Show code' mod='mxb_tools'}</button>
                    <div id="mxbt_cms_section_html_code" class="collapse">
                        <pre>{$cms_html_content|escape:'htmlall':'UTF-8':TRUE}"</pre>
                    </div>
                    <p class="help-block">{l s='This is a sample of formatted CMS page using the CSS above. When you duplicate and customize it, you must manually put your images into a folder (for example "prestashop/cms/myImages") and then link it into img element of your cms html content.' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='Click to this link to open it in stand alone browser window. It already include the CSS file cms.css and offer a preview of CMS page format' mod='mxb_tools'}:
                    <a href="https://www.mxbinformatica.it/ps_modules/samples/cms-sample.html" target="_blank">cms-sample.html</a></p>
                    
                    https://www.mxbinformatica.it/ps_modules/samples/cms-sample.html
                </div>
            </div>
            
        </div>

        <br>
        <div class="panel-footer">
            <button type="submit" value="1" id="mxb_tools_configuration_form_submit_btn" name="submitAddmxb_tools_configuration" class="button btn btn-default">
                <i class="process-icon-save"></i> {l s='Save' mod='mxb_tools'}
            </button>
        </div>
    </fieldset>
</form>
<BR><BR><BR>

{if isset($iframe)}
    <script src="{$iframe|escape:'htmlall':'UTF-8'}"></script>
{/if}
