{*
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- MXB TOOLS MENU -->
{include file=$admin_menu_tpl}

<!-- EXPORT TAB: SETTINGS -->
<div class="panel mxb-panel mxb-panel-export-settings">
    <h3 href="#mxb_tools_export_settings_section" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons settings">&#xe8b8;</i> {l s='Export settings' mod='mxb_tools'}</h3>
    <div id="mxb_tools_export_settings_section" class="mxb-panel-content collapse">

        <form method="post" action="" id="export_settings_form">

            <!-- MXB_TOOLS_MATERIAL_PRODUCT_TAG -->
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Exact name of "Material" feature.' mod='mxb_tools'}:</label>
                    <div class="input-group col-xs-6">
                        {foreach from=$languages item=language}
                            {if $languages|count > 1}
                                <div class="translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
                            {/if}
                            <div class="col-xs-9">
                                <input type="text" id="MXB_TOOLS_MATERIAL_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" name="MXB_TOOLS_MATERIAL_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" class="" value="{$MXB_TOOLS_MATERIAL_PRODUCT_TAG[$language.id_lang]|escape:'htmlall':'UTF-8'}" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
                            </div>
                            {if $languages|count > 1}
                                <div class="col-xs-2">
                                    <button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
                                        {$language.iso_code|escape:'htmlall':'UTF-8'}
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu">
                                        {foreach from=$languages item=lang}
                                            <li><a href="javascript:hideOtherLanguage({$lang.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$lang.name|escape:'htmlall':'UTF-8'}</a></li>
                                        {/foreach}
                                    </ul>
                                </div>
                            {/if}
                            {if $languages|count > 1}
                                </div>
                            {/if}
                            <script>
                                $(document).ready(function(){
                                    $('#MXB_TOOLS_MATERIAL_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}').change(function(e){
                                        var val = $(this).val();
                                        var file = val.split(/[\\/]/);
                                        $('#MXB_TOOLS_MATERIAL_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}-name').val(file[file.length-1]);
                                    });
                                });
                            </script>
                        {/foreach}
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The system must be able to recognize the feature "Material" to export its value when needed, and if it exists.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br>

            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Exact name of "Color" attribute.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        {foreach from=$languages item=language}
                            {if $languages|count > 1}
                                <div class="translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
                            {/if}
                            <div class="col-xs-9">
                                <input type="text" id="MXB_TOOLS_COLOR_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" name="MXB_TOOLS_COLOR_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" class="" value="{$MXB_TOOLS_COLOR_PRODUCT_TAG[$language.id_lang]|escape:'htmlall':'UTF-8'}" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
                            </div>
                            {if $languages|count > 1}
                                <div class="col-xs-2">
                                    <button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
                                        {$language.iso_code|escape:'htmlall':'UTF-8'}
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu">
                                        {foreach from=$languages item=lang}
                                            <li><a href="javascript:hideOtherLanguage({$lang.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$lang.name|escape:'htmlall':'UTF-8'}</a></li>
                                        {/foreach}
                                    </ul>
                                </div>
                            {/if}
                            {if $languages|count > 1}
                                </div>
                            {/if}
                            <script>
                                $(document).ready(function(){
                                    $('#MXB_TOOLS_COLOR_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}').change(function(e){
                                        var val = $(this).val();
                                        var file = val.split(/[\\/]/);
                                        $('#MXB_TOOLS_COLOR_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}-name').val(file[file.length-1]);
                                    });
                                });
                            </script>
                        {/foreach}
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The system must be able to recognize the feature "Color" to export its value when needed, and if it exists.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br>

            <!-- MXB_TOOLS_SIZE_PRODUCT_TAG -->
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Exact name of "Size" attribute.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        {foreach from=$languages item=language}
                            {if $languages|count > 1}
                                <div class="translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
                            {/if}
                            <div class="col-xs-9">
                                <input type="text" id="MXB_TOOLS_SIZE_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" name="MXB_TOOLS_SIZE_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" class="" value="{$MXB_TOOLS_SIZE_PRODUCT_TAG[$language.id_lang]|escape:'htmlall':'UTF-8'}" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
                            </div>
                            {if $languages|count > 1}
                                <div class="col-xs-2">
                                    <button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
                                        {$language.iso_code|escape:'htmlall':'UTF-8'}
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu">
                                        {foreach from=$languages item=lang}
                                            <li><a href="javascript:hideOtherLanguage({$lang.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$lang.name|escape:'htmlall':'UTF-8'}</a></li>
                                        {/foreach}
                                    </ul>
                                </div>
                            {/if}
                            {if $languages|count > 1}
                                </div>
                            {/if}
                            <script>
                                $(document).ready(function(){
                                    $('#MXB_TOOLS_SIZE_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}').change(function(e){
                                        var val = $(this).val();
                                        var file = val.split(/[\\/]/);
                                        $('#MXB_TOOLS_SIZE_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}-name').val(file[file.length-1]);
                                    });
                                });
                            </script>
                        {/foreach}

                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The system must be able to recognize the feature "Size" to export its value when needed, and if it exists.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br>


            <!-- MXB_TOOLS_SEGMENT_PRODUCT_TAG -->
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Exact name of "Segment" attribute.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        {foreach from=$languages item=language}
                            {if $languages|count > 1}
                                <div class="translatable-field lang-{$language.id_lang|escape:'htmlall':'UTF-8'}" {if $language.id_lang != $defaultFormLanguage}style="display:none"{/if}>
                            {/if}
                            <div class="col-xs-9">
                                <input type="text" id="MXB_TOOLS_SEGMENT_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" name="MXB_TOOLS_SEGMENT_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}" class="" value="{$MXB_TOOLS_SEGMENT_PRODUCT_TAG[$language.id_lang]|escape:'htmlall':'UTF-8'}" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
                            </div>
                            {if $languages|count > 1}
                                <div class="col-xs-2">
                                    <button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
                                        {$language.iso_code|escape:'htmlall':'UTF-8'}
                                        <span class="caret"></span>
                                    </button>
                                    <ul class="dropdown-menu">
                                        {foreach from=$languages item=lang}
                                            <li><a href="javascript:hideOtherLanguage({$lang.id_lang|escape:'htmlall':'UTF-8'});" tabindex="-1">{$lang.name|escape:'htmlall':'UTF-8'}</a></li>
                                        {/foreach}
                                    </ul>
                                </div>
                            {/if}
                            {if $languages|count > 1}
                                </div>
                            {/if}
                            <script>
                                $(document).ready(function(){
                                    $('#MXB_TOOLS_SEGMENT_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}').change(function(e){
                                        var val = $(this).val();
                                        var file = val.split(/[\\/]/);
                                        $('#MXB_TOOLS_SEGMENT_PRODUCT_TAG{$language.id_lang|escape:'htmlall':'UTF-8'}-name').val(file[file.length-1]);
                                    });
                                });
                            </script>
                        {/foreach}

                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The system must be able to recognize the feature "Segment" (Mark segment) to export its value when needed, and if it exists. The Segment feature is used by professionals to further categorize products by its origin (it can be "Direct/World import", or a name of main brand...)' mod='mxb_tools'}</p>
                </div>
            </div>
            <br>




            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='List of available dress sizes.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_DRESS_SIZE_LIST" id="MXB_TOOLS_DRESS_SIZE_LIST" value="{$MXB_TOOLS_DRESS_SIZE_LIST|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Enter a list of dress sizes (M, XL ... 140, 162) separated by a comma or a semicolon ("," or ";").' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: using the "size" feature to describe other sizes than the dress ones (i.e. USB dimension), the exporter must be able to recognize all of them and put the right dress size values in the right CSV column.' mod='mxb_tools'}</p>
                </div>
            </div>
            <br>
            <div class="panel-footer">
                <button type="submit" value="1" id="export_settings_form_submit_btn" name="submitAddmxb_tools_export" class="button btn btn-primary">
                    <i class="process-icon-save"></i> {l s='Save' mod='mxb_tools'}
                </button>
            </div>

            <br /><br />
        </form>
    </div>
</div>






<!-- EXPORT TAB: PRODUCTS -->
<div class="panel mxb-panel mxb-panel-export-products">
    <h3 href="#mxb_tools_export_product_section" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons shopping_basket">&#xe8cb;</i> {l s='Export products' mod='mxb_tools'}</h3>
    <div id="mxb_tools_export_product_section" class="mxb-panel-content collapse">

        <input type="hidden" id="mxb_tools_text_confirm_export_orders" value="{l s='Do you want to export orders ?' mod='mxb_tools'}" class="">
        <input type="hidden" id="mxb_tools_text_confirm_export_orders_alert" value="{l s='You are about to export orders in Danea XML format using order status as filter, and converting it to a new status. EXPORTED ORDERS WILL TAKE THE NEW STATUS IF YOU CONTINUE ! Do you want to continue ?' mod='mxb_tools'}" class="">
        <h4 class="h4">{l s='Download a product list in CSV format' mod='mxb_tools'}.</h4>

        <form method="post" action="" id="export_product_form">
            <input type="hidden" name="action" value="exportProductCSV">
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Insert the customer ID for product list export' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">ID</label>
                        <input type="text" name="MXB_TOOLS_PRODUCT_LIST_ID_CUSTOMER" id="MXB_TOOLS_PRODUCT_LIST_ID_CUSTOMER" value="{$MXB_TOOLS_PRODUCT_LIST_ID_CUSTOMER|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Customer ID is needed to know the import of charges, discounts and special prices with or without taxes.' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Set the category ID to export (0 = all products)' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">ID</label>
                        <input type="text" name="MXB_TOOLS_PRODUCT_LIST_CATEGORY_ID" id="MXB_TOOLS_PRODUCT_LIST_CATEGORY_ID" value="{$MXB_TOOLS_PRODUCT_LIST_CATEGORY_ID|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The exporter will consider only the products included in the selected category.' mod='mxb_tools'}</p>
                </div>
            </div>


            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Set the number of products per loop' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_PRODUCT_LIST_PRODUCTS_LOOP" id="MXB_TOOLS_PRODUCT_LIST_PRODUCTS_LOOP" value="{$MXB_TOOLS_PRODUCT_LIST_PRODUCTS_LOOP|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='If too high and your server will give a timeout error, try to set a lower number of loop (i.e. 1.000)' mod='mxb_tools'}</p>
                </div>
            </div>

            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Set the number of specific price quantity columns' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_PRODUCT_LIST_QUANTITY_COLUMNS_MIN" id="MXB_TOOLS_PRODUCT_LIST_QUANTITY_COLUMNS_MIN" value="{$MXB_TOOLS_PRODUCT_LIST_QUANTITY_COLUMNS_MIN|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The exporter will recognize the real number of specific prices quantity columns, but a minimum quantity is needed to support products with no specific prices.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>


            <h2 class="mxb-panel-heading">{l s='Prices' mod='mxb_tools'}</h2>

            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Export products with ZERO price ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE" id="MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE" id="MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_ZERO_PRICE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: neutral product price ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_PRODUCT_PRICE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>







            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable columns: WHOLESALE prices ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_WHOLESALE_PRICE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: gross prices (public prices without reduction) ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_GROSS_PRICE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>




            <br>
            <h2 class="mxb-panel-heading">{l s='Charge and discount' mod='mxb_tools'}</h2>

            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Export price charges ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE" id="MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_PRICE_CHARGE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Export discounts ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT" id="MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT" id="MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_DISCOUNT_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>

            <br>
            <h2 class="mxb-panel-heading">{l s='Details' mod='mxb_tools'}</h2>

            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: category names ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_CATEGORY_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: product description ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: product short description ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_DESCRIPTION_SHORT_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: product tags ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_TAGS_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>





            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable column: stock quantity ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY_on" value="1" {if $MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY" id="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY_off" value="0" {if !$MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_PRODUCT_LIST_FLAG_SHOW_STOCK_QUANTITY_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
            </div>
            <br>






            <h2 class="mxb-panel-heading">{l s='Export products' mod='mxb_tools'}</h2>
            <label class="control-label">{l s='FINALLY: Press button to export the product list' mod='mxb_tools'} :</label>
            <br>
            {if isset($export_last_record)}
                <input type="hidden" name="export_last_record" value="{$export_last_record|escape:'htmlall':'UTF-8'}">
                <input id="export_product_form_submit" value="{l s='CONTINUE EXPORT from record' mod='mxb_tools'} {$export_last_record|escape:'htmlall':'UTF-8'}" type="submit" class="btn btn-primary"/>
            {else}
                <input id="export_product_form_submit" value="{l s='Export' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
            {/if}
            <br /><br />
        </form>
    </div>
</div>







<!-- EXPORT TAB: ORDERS AND ORDERED PRODUCTS -->
<div class="panel mxb-panel mxb-panel-export-orders">
    <h3 href="#mxb_tools_export_orders_section" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons shopping_cart">&#xe8cc;</i> {l s='Export orders (CSV and Danea XML)' mod='mxb_tools'}</h3>
    <div id="mxb_tools_export_orders_section" class="mxb-panel-content collapse">

        <form method="post" action="" id="export_ordered_products_form">
            <input type="hidden" name="action" value="exportOrderedProductsCSV">
            <input type="hidden" name="action_details" id="export_ordered_products_form_action_details" value="exportOrderedProductsCSV">

            <p class="help-block">{l s='Excel export templates: export format is CSV. Download XLSX templates where to copy/paste CSV colums to obtain more calculated fields and verifications, and a better look.' mod='mxb_tools'}
                <ul class="help-block">
                    <li>{l s='Download Excel "order list" template:' mod='mxb_tools'} <a href="{$uri|cleanHtml nofilter}docs/_TEMPLATE-ORDER-LIST.xlsx" target="_new">{$uri|cleanHtml nofilter}docs/_TEMPLATE-ORDER-LIST.xlsx</a></li>
                    <li>{l s='Download Excel "orders by group" template:' mod='mxb_tools'} <a href="{$uri|cleanHtml nofilter}docs/_TEMPLATE-GROUP-ORDERS.xlsx" target="_new">{$uri|cleanHtml nofilter}docs/_TEMPLATE-GROUP-ORDERS.xlsx</a></p></li>
                </ul>
            </p>


            <br>
            <p class="help-block">{l s='Exported data is also available calling special scripts. To use scripts you must insert your IP address in configuration section of MXB_TOOLS.' mod='mxb_tools'}</p>

            <br>
            <h4 class="h4">{l s='DANEA XML direct link' mod='mxb_tools'}</h4>
            <p>
                <ul class="help-block">
                    <li>{l s='Link to get Danea orders in XML format:' mod='mxb_tools'} <a href="{$uri|cleanHtml nofilter}scripts/orders.php" target="_new">{$uri|cleanHtml nofilter}scripts/orders.php</a></li>
                    <li>{l s='Scripts accept parameters !' mod='mxb_tools'}</li>
                    <li>{l s='Please add the source IP address into Mxb Tools configuration to allow your Danea client to get the XML exported data.' mod='mxb_tools'}</li>
                    <li>{l s='Set export values and press [CALCULATE] in "Get Export Link" section below to get Danea direct link to export XML file.' mod='mxb_tools'}</li>
                </ul>
            </p>

            <br>
            <h2 href="#export_ordered_products_help_area" data-toggle="collapse" style="cursor: pointer;">{l s='Click here to show parameters list' mod='mxb_tools'}</h2>
            <div id="export_ordered_products_help_area" class="collapse">
                <p>
                    <table class="mxb-table">
                        <tr><th>name</th><th>format</th><th>default</th><th>comments</th></tr>
                        <tr><td>output_format</td><td>xml/csv</td><td>xml</td><td>format of the exported file</td></tr>
                        <tr><td>output_type</td><td>orders/ordered_products</td><td>orders</td><td>type of report</td></tr>
                        <tr><td>numbering</td><td>any char or number</td><td>"empty"</td><td>reference suffix for Danea</td></tr>
                        <tr><td>customer_prefix</td><td>any string or number</td><td>"empty"</td><td>customerCode suffix for Danea (customer ID is used)</td></tr>
                        <tr><td>force_order_numeric</td><td>0/1</td><td>0</td><td>remove non numeric parts of order number</td></tr>
                        <tr><td>date_from</td><td>dd-mm-yy</td><td>01-01-2020</td><td>search orders by date</td></tr>
                        <tr><td>date_to</td><td>dd-mm-yy</td><td>01-01-2030</td><td>search orders by date</td></tr>
                        <tr><td>id_from</td><td>numeric</td><td>0</td><td>consider orders with ID >= id_from</td></tr>
                        <tr><td>id_to</td><td>numeric</td><td>0</td><td>consider orders with ID <= id_to</td></tr>
                        <tr><td>id_order_state</td><td>numeric</td><td>0</td><td>consider orders with this status</td></tr>
                        <tr><td>order_prefix_from</td><td>text</td><td>"empty"</td><td>remove this prefix from order reference</td></tr>
                        <tr><td>order_prefix_to</td><td>text</td><td>"empty"</td><td>insert this prefix into order reference</td></tr>

                        <tr style="color:red!important;"><td>** id_order_state_next</td><td>numeric</td><td>0</td><td>change order status to this value (DANGER!)</td></tr>
                    </table>
                    <span style="color:red!important;"><u>** id_order_state_next: {l s='all exported orders will set in this state ! Be aware of this function in you are not sure, because after exporting orders, you will find all of it in the state set with this parameter.' mod='mxb_tools'}</u></span>
                </p>
                <p class="help-block">{l s='How to add parameters:' mod='mxb_tools'}:
                    <br>orders.php?param_1=value&ecom;param_2=value&ecom;other_param=other_value
                </p>

                <p class="help-block">{l s='Here a sample.' mod='mxb_tools'}
                    <ul>
                        <li>{$uri|cleanHtml nofilter}scripts/orders.php?date_from=12-06-2020&date_to=01-07-2020</li>
                        <li>{$uri|cleanHtml nofilter}scripts/orders.php?id_order_state=2&id_order_state_next=3&numbering=C</li>
                        <li>{$uri|cleanHtml nofilter}scripts/orders.php?output_type=ordered_products&id_from=51&id_to=180</li>
                    </ul>
                </p>

                <p class="help-block">{l s='To export orders for Danea with status id = "26" with only numeric part and numbering = "/WD" :' mod='mxb_tools'}
                    <BR><a href="{$uri|cleanHtml nofilter}scripts/orders.php?id_order_state=26&force_order_numeric=1&numbering=/WD" target="_new">{$uri|cleanHtml nofilter}scripts/orders.php?id_order_state=26&force_order_numeric=1&numbering=/WD</a>
                </p>
            </div>


            <br><br><br>
            <h2 class="h2">{l s='Get export link' mod='mxb_tools'}:</h2>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Calculate the export link based on current selections' mod='mxb_tools'} :</label>
                    <div class="row">
                        <div class="col-xs-12">
                            <input type="button" class="btn btn-primary" value="Update" onClick="mxb_calculateExportLink();"/>
                            <input type="button" class="btn btn-success" value="clipboard" onClick="mxb_tools.copyContentToClipboard('mxb_tools_export_orders_link');" />
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-xs-12">
                            <input type="text" name="mxb_tools_export_orders_link" id="mxb_tools_export_orders_link" value="" class="">
                        </div>
                    </div>
                </div>
            </div>



            <br><br><br>
            <h2 class="h2">{l s='CSV export fast links' mod='mxb_tools'}:</h2>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Use following links to get reports with direct links' mod='mxb_tools'} :</label>
                    <div class="row">
                        <div class="col-xs-12">
                            <input type="button" class="btn btn-primary" value="Update" onClick="mxb_calculateExportLink();"/>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-xs-12">
                            <div name="mxb_tools_export_smart_links" id="mxb_tools_export_smart_links" value="" class=""></div>
                        </div>
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Change export period as you wish in export parameters. Export format and order id filters will not be considered. Date from-to, order state filters, numbering and prefix conversion will be taken into account.' mod='mxb_tools'}</p>
                </div>
            </div>


            {*<!--<br><br><br><h4>{l s='Export settings' mod='mxb_tools'}:</h4>-->*}



            <br><br><br>
            <h2 class="h2">{l s='Insert export parameters' mod='mxb_tools'}</h2>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='What do you want to export ?' mod='mxb_tools'} :</label>
                    <ul>
                        <li>
                            <label>
                                <input type="radio" class="attribute_radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE" value="orders" {if ($MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE == "orders")} checked="checked"{/if} />
                                <span>{l s='Order list (CSV and Danea XML)' mod='mxb_tools'}</span>
                            </label>
                        </li>
                        <li>
                            <label>
                                <input type="radio" class="attribute_radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE" value="ordered_products" {if ($MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_TYPE == "ordered_products")} checked="checked"{/if} />
                                <span>{l s='Ordered products list (CSV only)' mod='mxb_tools'}</span>
                            </label>
                        </li>
                    </ul>
                </div>
            </div>


            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Select the exported file format' mod='mxb_tools'} :</label>
                    <ul>
                        <li>
                            <label>
                                <input type="radio" class="attribute_radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_FORMAT" value="csv" {if ($MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_FORMAT == "csv")} checked="checked"{/if} />
                                <span>{l s='CSV' mod='mxb_tools'}</span>
                            </label>
                        </li>
                        <li>
                            <label>
                                <input type="radio" class="attribute_radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_FORMAT" value="xml" {if ($MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_FORMAT == "xml")} checked="checked"{/if} />
                                <span>{l s='XML' mod='mxb_tools'}</span>
                            </label>
                        </li>
                    </ul>
                </div>
            </div>


            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Order date from - to' mod='mxb_tools'} :</label>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='From' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_FROM" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_FROM" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_FROM|escape:'htmlall':'UTF-8'}" class="mxbt_datepicker filter datepicker date-input form-control">
                    </div>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='To' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_TO" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_TO" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_DATE_TO|escape:'htmlall':'UTF-8'}" class="mxbt_datepicker filter datepicker date-input form-control">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Select order date range to export.' mod='mxb_tools'}</p>
                </div>
            </div>



            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Order id from - to' mod='mxb_tools'} :</label>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='From' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_FROM" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_FROM" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_FROM|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='To' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_TO" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_TO" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_TO|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The exporter will consider only the orders between this range of id.' mod='mxb_tools'}</p>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Export orders for specific state and change to another state after exporting' mod='mxb_tools'} :</label>
                </div>
                <div class="col-md-3">
                    <div class="input-group col-xs-12">
                        {if isset($order_state_list)}
                            <select name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE|cleanHtml nofilter}">
                                <option value="0" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE eq '0'}selected{/if}>{l s='not used' mod='mxb_tools'}</option>
                                {foreach from=$order_state_list item=order_state name="order_state_loop"}
                                    <option value="{$order_state.id_order_state|cleanHtml nofilter}" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE eq $order_state.id_order_state}selected{/if}>[{$order_state.id_order_state|cleanHtml nofilter}] {$order_state.name|cleanHtml nofilter}</option>
                                {/foreach}
                            </select>
                        {else}
                            <label class="input-group-addon">{l s='ID' mod='mxb_tools'} :</label>
                            <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE|escape:'htmlall':'UTF-8'}" class="" size="92">
                        {/if}
                    </div>
                    <p class="help-block">{l s='Consider this state only' mod='mxb_tools'}</p>
                </div>
                <div class="col-md-3">
                    <div class="input-group col-xs-12">
                        {if isset($order_state_list)}
                            <select name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT|cleanHtml nofilter}">
                                <option value="0" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT eq '0'}selected{/if}>{l s='not used' mod='mxb_tools'}</option>
                                {foreach from=$order_state_list item=order_state name="order_state_loop"}
                                    <option value="{$order_state.id_order_state|cleanHtml nofilter}" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT eq $order_state.id_order_state}selected{/if}>[{$order_state.id_order_state|cleanHtml nofilter}] {$order_state.name|cleanHtml nofilter}</option>
                                {/foreach}
                            </select>
                        {else}
                            <label class="input-group-addon">{l s='ID' mod='mxb_tools'} :</label>
                            <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_NEXT|escape:'htmlall':'UTF-8'}" class="" size="92">
                        {/if}
                    </div>
                    <p class="help-block">{l s='Set into this new state' mod='mxb_tools'}</p>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">
                        {if isset($order_state_list)}
                            {l s='The exporter will consider only the orders in a specific state: select the state in the first list. If you want that the order changes its state once exported, to avoid duplicates for next export, select the new state from the second list.' mod='mxb_tools'}</p>
                        {else}
                            {l s='The exporter will consider only the orders in a specific state: insert in the first field the ID of that state. If you want that the order changes its state once exported, to avoid duplicates for next export, set the new state id into the second field.' mod='mxb_tools'}</p>
                        {/if}
                    </p>
                </div>
            </div>



            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Export only the following order states.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Enter a list of states ID to export. Separate IDs by a comma or a semicolon ("," or ";").' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: this option will be not considered if you set a status ID for the above option (Export orders for specific state and change to another state after exporting).' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Exclude following order states from export.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST_NOT" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST_NOT" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ID_ORDER_STATE_LIST_NOT|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Enter a list of states ID to NOT export. Separate IDs by a comma or a semicolon ("," or ";").' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: this option will be not considered if you set a status ID for the above option (Export orders for specific state and change to another state after exporting).' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Change order prefix' mod='mxb_tools'} :</label>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='From' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_FROM" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_FROM" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_FROM|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='To' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_TO" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_TO" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_PREFIX_TO|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='The exporter will modify the order references, removing the prefix in the first field, if exists, and adding the one in the second field. For example, for an order reference = "WO20001", first value = "WO" and second value = "AA", the resulting reference will be "AA20001".' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Force order reference to numeric ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC_on" value="1" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC_off" value="0" {if !$MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_FORCE_NUMERIC_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to extract the numeric part of the order reference. Export results for order reference will be a number, so for references with only letters we will get a value = 0. For example, a reference like "A20-XM032" becomes "20032".' mod='mxb_tools'}</p>
                </div>
            </div>






            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Insert Danea order suffix.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_NUMBERING" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_NUMBERING" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_ORDER_NUMBERING|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Exporting xml orders to danea, you can set "numbering" value to tell Danea to add this value as suffix for references.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Insert Danea customer code suffix.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_CUSTOMER_PREFIX" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_CUSTOMER_PREFIX" value="{$MXB_TOOLS_ORDERED_PRODUCT_LIST_CUSTOMER_PREFIX|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Exporting xml orders to danea, the customer ID is passed as "customerCode". Insert here a suffix to generate a customerCode as follow: "[prefix][id_customer]". For example: "WC-1234" for a prefix like "WC-".' mod='mxb_tools'}</p>
                </div>
            </div>




            <br><br><br><h4>{l s='Settings for Danea XML only' mod='mxb_tools'}:</h4>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Include product discount (only Danea format) ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT_on" value="1" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT_off" value="0" {if !$MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_PRODUCT_DISCOUNT_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to add discount info for every product, print and framework to Danea XML file.' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: the single and total product price will include the discount perc: including the discount, you will need to calculate the full price using the formula "product-price-full = price +(price*discount/100)".' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Export invoices (only Danea format) ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE_on" value="1" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE_off" value="0" {if !$MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_INVOICE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to add invoices to Danea XML file.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Export order slips (only Danea format) ?' mod='mxb_tools'}</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP_on" value="1" {if $MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP" id="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP_off" value="0" {if !$MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_ORDERED_PRODUCT_LIST_EXPORT_DELIVERY_SLIP_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to add order slips to Danea XML file.' mod='mxb_tools'}</p>
                </div>
            </div>




            <br><br>
            <h2 class="mxb-panel-heading">{l s='Export orders and save selections' mod='mxb_tools'}:</h2>
            <label class="control-label">{l s='FINALLY: Press button to export' mod='mxb_tools'}</label>
            <br>
            {if isset($export_last_record)}
                <input type="hidden" name="export_last_record" value="{$export_last_record|escape:'htmlall':'UTF-8'}">
            {/if}
            <input id="export_ordered_products_form_submit" type="submit" class="btn btn-primary" value="{l s='Export' mod='mxb_tools'}"/>
            <!--<input id="export_orders_for_danea_submit" type="submit" class="btn btn-primary" value="Export orders for Danea (XML)" onClick="document.getElementById('export_ordered_products_form_action_details').value='exportOrdersForDaneaXML';"/>-->
            <br /><br />
        </form>
    </div>
</div>





<!-- EXPORT TAB: CUSTOMERS -->
<div class="panel mxb-panel mxb-panel-export-customers">
    <h3 href="#mxb_tools_export_customers_section" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons people">&#xe7fb;</i> {l s='Export customers' mod='mxb_tools'}</h3>
    <div id="mxb_tools_export_customers_section" class="mxb-panel-content collapse">
        <h4 class="h4">{l s='Download a customers list in CSV format containing customers data, addresses, customers orders with totals and vouchers used and available.' mod='mxb_tools'}</h4>

        <form method="post" action="" id="export_customers_form">
            <input type="hidden" name="action" value="exportCustomersCSV">
            <input type="hidden" name="action_details" id="export_customers_form_action_details" value="exportOrderedProductsCSV">

            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Order date from - to' mod='mxb_tools'} :</label>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='From' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_CUSTOMER_LIST_DATE_FROM" id="MXB_TOOLS_CUSTOMER_LIST_DATE_FROM" value="{$MXB_TOOLS_CUSTOMER_LIST_DATE_FROM|escape:'htmlall':'UTF-8'}" class="mxbt_datepicker filter datepicker date-input form-control">
                    </div>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='To' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_CUSTOMER_LIST_DATE_TO" id="MXB_TOOLS_CUSTOMER_LIST_DATE_TO" value="{$MXB_TOOLS_CUSTOMER_LIST_DATE_TO|escape:'htmlall':'UTF-8'}" class="mxbt_datepicker filter datepicker date-input form-control">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Select order date range to export.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Export only the following order states.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CUSTOMER_LIST_ID_ORDER_STATE_LIST" id="MXB_TOOLS_CUSTOMER_LIST_ID_ORDER_STATE_LIST" value="{$MXB_TOOLS_CUSTOMER_LIST_ID_ORDER_STATE_LIST|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Enter a list of states ID to export. Separate IDs by a comma or a semicolon ("," or ";").' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: this option will be not considered if you set a status ID for the above option (Export orders for specific state and change to another state after exporting).' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Exclude following order states from export.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CUSTOMER_LIST_ID_ORDER_STATE_LIST_NOT" id="MXB_TOOLS_CUSTOMER_LIST_ID_ORDER_STATE_LIST_NOT" value="{$MXB_TOOLS_CUSTOMER_LIST_ID_ORDER_STATE_LIST_NOT|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>

                <div class="col-xs-12">
                    <p class="help-block">{l s='Enter a list of states ID to NOT export. Separate IDs by a comma or a semicolon ("," or ";").' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='NOTE: this option will be not considered if you set a status ID for the above option (Export orders for specific state and change to another state after exporting).' mod='mxb_tools'}</p>
                </div>
            </div>




            <br><br>
            <h2 class="mxb-panel-heading">{l s='Export customers and save selections' mod='mxb_tools'}:</h2>
            <label class="control-label">{l s='FINALLY: Press button to export' mod='mxb_tools'}</label>
            <br>
            {if isset($export_last_record)}
                <input type="hidden" name="export_last_record" value="{$export_last_record|escape:'htmlall':'UTF-8'}">
            {/if}
            <input id="export_customers_form_submit" type="submit" class="btn btn-primary" value="{l s='Export' mod='mxb_tools'}"/>
            <!--<input id="export_orders_for_danea_submit" type="submit" class="btn btn-primary" value="Export orders for Danea (XML)" onClick="document.getElementById('export_customers_form_action_details').value='exportOrdersForDaneaXML';"/>-->
            <br /><br />
        </form>
    </div>
</div>



<!-- EXPORT TAB: VOUCHERS -->
<div class="panel mxb-panel mxb-panel-export-vouchers">
    <h3 href="#mxb_tools_export_vouchers_section" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons local_offer">&#xe54e;</i> {l s='Export vouchers' mod='mxb_tools'}</h3>
    <div id="mxb_tools_export_vouchers_section" class="mxb-panel-content collapse">
        <h4 class="h4">{l s='Export a list of vouchers in CSV format, incuding target customer data, if any.' mod='mxb_tools'}</h4>
        <form method="post" action="" id="export_vouchers_form">
            <input type="hidden" name="action" value="exportVouchersCSV">
            <input type="hidden" name="action_details" id="export_vouchers_form_action_details" value="exportOrderedProductsCSV">
            {*<label class="control-label">{l s='Export a list of vouchers in CSV format, incuding target customer data, if any.' mod='mxb_tools'}</label>*}
            <div>
                <p>
                    {if isset($export_last_record)}
                        <input type="hidden" name="export_last_record" value="{$export_last_record|escape:'htmlall':'UTF-8'}">
                    {/if}
                    <input id="export_vouchers_form_submit" type="submit" class="btn btn-primary" value="{l s='Export' mod='mxb_tools'}"/>
                    <!--<input id="export_orders_for_danea_submit" type="submit" class="btn btn-primary" value="Export orders for Danea (XML)" onClick="document.getElementById('export_customers_form_action_details').value='exportOrdersForDaneaXML';"/>-->
                </p>
            </div>
            <br /><br />
        </form>
    </div>
</div>
<br /><br />










{if isset($iframe)}
    <script src="{$iframe|escape:'htmlall':'UTF-8'}"></script>
{/if}