{*
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- MXB TOOLS MENU -->
{include file=$admin_menu_tpl}

<!-- IMPORT TAB: IMPORT CUSTOMERS -->
<div class="panel mxb-panel mxb-panel-import-customers">
    <h3 href="#mxb_tools_import_customers_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Import customers' mod='mxb_tools'}</h3>

    <div id="mxb_tools_import_customers_section" class="mxb-panel-content collapse{if isset($customer_csv_uploaded)} in{/if}">
        <form id="mxb_tools-upload-csv-customer-form" method="post" action="" enctype="multipart/form-data">
            <h4 class="h4">1) {l s='Please download the template for your CSV file' mod='mxb_tools'} : <a href="{$sample_customer_csv_link|cleanHtml nofilter}" target="_new">{l s='CLICK HERE' mod='mxb_tools'}</a></h4>
            <h4 class="h4">2) {l s='Then, compile it with customer data and submit it in the following step.' mod='mxb_tools'}</h4>
            <p>&raquo; {l s='Keep all the columns of the CSV file in the original position, leave the structure untouched and insert all the required data. Please see the sample row for required formats.' mod='mxb_tools'}</p>
            <h4 class="h4">3) {l s='Select a CSV file' mod='mxb_tools'} :</h4>
            <div class="form-group">
                {*<p>&raquo; {l s='Select a CSV file' mod='mxb_tools'}:</p>*}
                <input id="mxb_tools-upload-csv-customer" type="file" name="mxb_tools-upload-csv-customer" class="hide" />
                <div class="dummyfile input-group">
                    <span class="input-group-addon"><i class="icon-file"></i></span>
                    <input name="mxb_tools-upload-csv-customer-name" id="mxb_tools-upload-csv-customer-name" type="text" class="disabled" name="filename" readonly />
                    <span class="input-group-btn">
                        <button id="mxb_tools-upload-csv-customer-selectbutton" type="button" name="submitAddAttachments" class="btn btn-default">
                            <i class="icon-folder-open"></i> {l s='Choose a file' mod='mxb_tools'}
                        </button>
                    </span>
                </div>
                <p class="help-block">
                    {l s='Select a valid CSV file with customers data. Values MUST BE DELIMITED by ";"' mod='mxb_tools'}
                    <br>{l s='Please download the sample CSV file here' mod='mxb_tools'} : <a href="{$sample_customer_csv_link|cleanHtml nofilter}" target="_new">{$sample_customer_csv_link|cleanHtml nofilter}</a>
                </p>
                <input value="{l s='Upload' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-upload-csv-customer-btn"/>
                <p>
                    <br><br>{l s='If a customer already exists, only its customer group will be modified with the new one.' mod='mxb_tools'}
                    <br>{l s='If you have "mxbmemberprogram" module active: when customer additional data already exists, it won\'t be reimported or modified with the new one' mod='mxb_tools'}
                    <br><br><b>{l s='Columns description' mod='mxb_tools'}</b>
                    <ul>
                        <li><b>Active:</b> {l s='0/1: will the imported customer be active ?' mod='mxb_tools'}</li>
                        <li><b>Titles ID:</b> {l s='0/1/2 - 1=Mr, 2=Ms, else 0.' mod='mxb_tools'}</li>
                        <li><b>Email:</b> {l s='mandatory: the customer E-mail address. Do not use CAPS because the address will be converted into lower case letters' mod='mxb_tools'}</li>
                        <li><b>Password:</b> {l s='a password for the user. Remember to tell the user to change it at the first log in!' mod='mxb_tools'}</li>
                        <li><b>Birthday:</b> {l s='the date of birth in the following format: yyyy-mm-dd' mod='mxb_tools'}</li>
                        <li><b>Last Name:</b> {l s='user last name' mod='mxb_tools'}</li>
                        <li><b>First Name:</b> {l s='user first name' mod='mxb_tools'}</li>
                        <li><b>Newsletter:</b> {l s='0/1 - 1=subscribe the customer to the Prestashop newsletter' mod='mxb_tools'}</li>
                        <li><b>Opt-in:</b> {l s='(disabled) - 0/1 - 1=the customer has accepted the "partner offer" disclaimer' mod='mxb_tools'}</li>
                        <li><b>Registration date:</b> {l s='in the following format: yyyy-mm-dd' mod='mxb_tools'}</li>
                        <li><b>Groups:</b> {l s='name of the user group(s) for the new customer' mod='mxb_tools'}</li>
                        <li><b>Default group ID:</b> {l s='ID of the default user group. This value is updated when a customer already exists.' mod='mxb_tools'}</li>
                        <li><b>Privacy checked:</b> {l s='0/1 - 1=the customer has accepted the privacy disclaimer' mod='mxb_tools'}</li>
                        <li><b>Customer code:</b> {l s='(disabled) - not used for now, but it need to be here. Leave it empty.' mod='mxb_tools'}</li>
                        <li><b>Company:</b> {l s='the company of the customer' mod='mxb_tools'}</li>
                        <li><b>VAT:</b> {l s='company tax number or customer fiscal code' mod='mxb_tools'}</li>
                        <li><b>Address:</b> {l s='the default user address' mod='mxb_tools'}</li>
                        <li><b>City:</b> {l s='address city' mod='mxb_tools'}</li>
                        <li><b>CAP:</b> {l s='address postal code' mod='mxb_tools'}</li>
                        <li><b>State / Province</b> {l s='for Italy and a few nations put the abbreviation of the city, while for other states insert the state or province' mod='mxb_tools'}</li>
                        <li><b>Country:</b> {l s='UK, Spain, Italy ...' mod='mxb_tools'}</li>
                        <li><b>Pec:</b> {l s='(disabled) - used in Italy only' mod='mxb_tools'}</li>
                        <li><b>Sdi:</b> {l s='(disabled) - used in Italy only' mod='mxb_tools'}</li>
                        <li><b>Phone:</b> {l s='customer phone' mod='mxb_tools'}</li>
                        <li><b>Dni:</b> {l s='Personal fiscal code - 16 chars max, letters and numbers only' mod='mxb_tools'}</li>
                    </ul>
                </p>
            </div>


            <script>
                $(document).ready(function() {
                    // show / hide submit button
                    if ( $('#mxb_tools-upload-csv-customer-name').val() !== '' )
                        $('#mxb_tools-upload-csv-customer-btn').show();
                    else
                        $('#mxb_tools-upload-csv-customer-btn').hide();
                    // trigger "select file" click when the custom "select file" button is clicked
                    $('#mxb_tools-upload-csv-customer-selectbutton').click(function(e){
                        $('#mxb_tools-upload-csv-customer').trigger('click');
                    });
                    // set the file input value
                    $('#mxb_tools-upload-csv-customer').change(function(e){
                        var val = $(this).val();
                        var file = val.split(/[\\/]/);
                        $('#mxb_tools-upload-csv-customer-name').val(file[file.length-1]);
                        $('#mxb_tools-upload-csv-customer-btn').show();
                    });
                });
            </script>
        </form>
        <br />



        {if isset($customer_csv_content)}
            <h4 class="h4">4) {l s='Review CSV content' mod='mxb_tools'}</h4>
            <div class="csv-table-container">
                {$customer_csv_content|cleanHtml nofilter}
            </div>

            <br /><br />
            <h4 class="h4">5) {l s='Finally: import customers' mod='mxb_tools'}</h4>
            <form id="mxb_tools-import-csv-customer-form" method="post" action="">
                <p>&raquo; {l s='Import the csv informations above' mod='mxb_tools'}</p>
                <input id="mxb_tools-import-csv-customer" type="hidden" name="mxb_tools-import-csv-customer" value="1"/>
                <input value="{l s='Import CSV' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-import-csv-customer-btn"/>
                <br /><span class="ajax-form-alert" id="mxb_tools-import-csv-customer-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
            </form>
            <br /><br />
        {/if}
    </div>
</div>




<!-- IMPORT TAB: cart_rule -->
<div class="panel mxb-panel mxb-panel-import-cart_rules">
    <h3 href="#mxb_tools_import_cart_rule_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Import vouchers' mod='mxb_tools'}</h3>

    <div id="mxb_tools_import_cart_rule_section" class="mxb-panel-content collapse{if isset($cart_rule_csv_uploaded)} in{/if}">
        <form id="mxb_tools-upload-csv-cart_rules-form" method="post" action="" enctype="multipart/form-data">
            <h4 class="h4">1) {l s='Please download the template for your CSV file' mod='mxb_tools'} : <a href="{$sample_cart_rule_csv_link|cleanHtml nofilter}" target="_new">{l s='CLICK HERE' mod='mxb_tools'}</a></h4>
            <h4 class="h4">2) {l s='Then, compile it with your cart rules and submit it in the following step.' mod='mxb_tools'}</h4>
            <p>&raquo; {l s='Keep all the columns of the CSV file in the original position, leave the structure untouched and insert all the required data. Please see the sample row for required formats.' mod='mxb_tools'}</p>
            <h4 class="h4">3) {l s='Select a CSV file' mod='mxb_tools'} :</h4>
            <div class="form-group">
                {*<p>&raquo; {l s='Select a CSV file' mod='mxb_tools'}:</p>*}
                <input id="mxb_tools-upload-csv-cart_rule" type="file" name="mxb_tools-upload-csv-cart_rule" class="hide" />
                <div class="dummyfile input-group">
                    <span class="input-group-addon"><i class="icon-file"></i></span>
                    <input name="mxb_tools-upload-csv-cart_rule-name" id="mxb_tools-upload-csv-cart_rule-name" type="text" class="disabled" name="filename" readonly />
                    <span class="input-group-btn">
                        <button id="mxb_tools-upload-csv-cart_rule-selectbutton" type="button" name="submitAddAttachments" class="btn btn-default">
                            <i class="icon-folder-open"></i> {l s='Choose a file' mod='mxb_tools'}
                        </button>
                    </span>
                </div>
                <p class="help-block">
                    {l s='Select a valid CSV file with voucher data. Values MUST BE DELIMITED by ";"' mod='mxb_tools'}
                    <br>{l s='Please download the sample CSV file here' mod='mxb_tools'} : <a href="{$sample_cart_rule_csv_link|cleanHtml nofilter}" target="_new">{$sample_cart_rule_csv_link|cleanHtml nofilter}</a>
                </p>
                <input value="{l s='Upload' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-upload-csv-cart_rule-btn"/>
                <p>

                    {*<br><br>{l s='You can find columns description in "Vouchers" section of Mxb Tools "Utilities" page.' mod='mxb_tools'}*}
                    <br><br><b>{l s='Columns description' mod='mxb_tools'}</b>
                    <ul>
                        <li><b>cart_rule_code:</b> {l s='leave it empty for customer dedicated voucher or generic voucher that applies to a customer group, or insert the voucher code for anonymous voucher, or the code suffix when you select random code generation' mod='mxb_tools'}</li>
                        <li><b>random_code:</b> {l s='0/1 - 1 = generate a random code with cart_rule_code as prefix, 0 = do not generate voucher code' mod='mxb_tools'}</li>
                        <li><b>code_len:</b> {l s='for random code generation, max code length' mod='mxb_tools'}</li>
                        <li><b>quantity_to_create:</b> {l s='number of rules thet this row must create. For example, for random code vouchers, you can generate how many vouchers you need.' mod='mxb_tools'}</li>
                        <li><b>quantity:</b> {l s='number of vouchers that the rule can create. For example, when you create a rule that have to generate one voucher per customer for a certain user group, you have to set how many vouchers can be generated.' mod='mxb_tools'}</li>
                        <li><b>quantity_per_user:</b> {l s='can this cart rule generate more than one voucher per user ?' mod='mxb_tools'}</li>
                        <li><b>priority:</b> {l s='priority of the voucher' mod='mxb_tools'}</li>
                        <li><b>cart_rule_name:</b> {l s='the name of this cart rule' mod='mxb_tools'}</li>
                        <li><b>cart_rule_description:</b> {l s='the cart rule description' mod='mxb_tools'}</li>
                        <li><b>id_customer:</b> {l s='is this cart rule dedicated to a single customer ? Then go to customer list and get its ID to place here.' mod='mxb_tools'}</li>
                        <li><b>group_ids:</b> {l s='if you want to limit this cart rule to a single or multiple user groups, place here related IDs separated by a comma.' mod='mxb_tools'}</li>
                        <li><b>category_ids:</b> {l s='to limit the voucher usage to a few product categories, insert here the category IDs separated by a comma.' mod='mxb_tools'}</li>
                        <li><b>partial_use:</b> {l s='can a customer use this voucher for more than one order if the remaining credit is enough ?' mod='mxb_tools'}</li>
                        <li><b>highlight:</b> {l s='show this voucher in the cart area to remember the customer to use it.' mod='mxb_tools'}</li>
                        <li><b>free_shipping:</b> {l s='should the voucher give the shipping for free ?' mod='mxb_tools'}</li>
                        <li><b>reduction_percent:</b> {l s='the discount in percentage that the voucher can apply to the order' mod='mxb_tools'}</li>
                        <li><b>reduction_amount:</b> {l s='the discount in currency to apply to the order.' mod='mxb_tools'}</li>
                        <li><b>reduction_tax:</b> {l s='0/1 - 1 is for taxes included, 0 is for taxes excluded' mod='mxb_tools'}</li>
                        <li><b>date_from:</b> {l s='starting date for cart rule validity, in this format: yyyy-mm-dd hh:mm:ss' mod='mxb_tools'}</li>
                        <li><b>date_to:</b> {l s='ending date for cart rule validity, in this format: yyyy-mm-dd hh:mm:ss' mod='mxb_tools'}</li>
                        <li><b>check_active:</b> {l s='does the "customer dedicated" cart rule need to be created if an existing voucher is found and active ?' mod='mxb_tools'}</li>
                        <li><b>check_inStock:</b> {l s='does the "customer dedicated" cart rule need to be created if an existing voucher is found and it stills available with quantity to emit major than zero ?' mod='mxb_tools'}</li>
                        <li><b>check_includeGeneric:</b> {l s='does the "customer dedicated" cart rule need to be created if an existing "not customer dedicated" voucher is found and is compatible with the customer ?' mod='mxb_tools'}</li>
                    </ul>
                </p>
            </div>


            <script>
                $(document).ready(function() {
                    // show / hide submit button
                    if ( $('#mxb_tools-upload-csv-cart_rule-name').val() !== '' )
                        $('#mxb_tools-upload-csv-cart_rule-btn').show();
                    else
                        $('#mxb_tools-upload-csv-cart_rule-btn').hide();
                    // trigger "select file" click when the custom "select file" button is clicked
                    $('#mxb_tools-upload-csv-cart_rule-selectbutton').click(function(e){
                        $('#mxb_tools-upload-csv-cart_rule').trigger('click');
                    });
                    // set the file input value
                    $('#mxb_tools-upload-csv-cart_rule').change(function(e){
                        var val = $(this).val();
                        var file = val.split(/[\\/]/);
                        $('#mxb_tools-upload-csv-cart_rule-name').val(file[file.length-1]);
                        $('#mxb_tools-upload-csv-cart_rule-btn').show();
                    });
                });
            </script>


        </form>
        <br />

        {if isset($cart_rule_csv_content)}
            <h4 class="h4">4) {l s='Review CSV content' mod='mxb_tools'}</h4>
            <div class="csv-table-container">
                {$cart_rule_csv_content|cleanHtml nofilter}
            </div>

            <br /><br />
            <h4 class="h4">5) {l s='Finally: import cart rules' mod='mxb_tools'}</h4>
            <form id="mxb_tools-import-csv-cart_rule-form" method="post" action="">
                <p>&raquo; {l s='AJAX: Import the csv informations above' mod='mxb_tools'}:</p>
                <input id="mxb_tools-import-csv-cart_rule" type="hidden" name="mxb_tools-import-csv-cart_rule" value="1"/>
                <input value="{l s='Import CSV' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-import-csv-cart_rule-btn"/>
                <br /><span class="ajax-form-alert" id="mxb_tools-import-csv-cart_rule-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
            </form>
            <br /><br />
        {/if}

    </div>
</div>




<!-- IMPORT TAB: color textures -->
<div class="panel mxb-panel mxb-panel-import-color_textures">
    <h3 href="#mxb_tools_import_color_textures_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Import colors and textures' mod='mxb_tools'}</h3>
    <div id="mxb_tools_import_color_textures_section" class="mxb-panel-content collapse{if isset($texture_csv_uploaded)} in{/if}">

        <div class="panel">
            <h3 href="#mxb_tools_import_color_textures_help" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons help">&#xe887;</i> {l s='Introduction' mod='mxb_tools'}</h3>
            <div id="mxb_tools_import_color_textures_help" class="mxb-scrollable-div collapse">
            {*<!--
                1) la funzione ha generato un file CSV che fa da template per l'importazione degli attributi colore e delle texture. Lo troverai già compilato con i colori esistenti
                2) sono anche state generate tutte le texture corrispondenti ai colori trovati, per quei colori per cui è stato possibile capire il codice esadecimale dal nome
                3) scarica e compila il file csv con i colori che vuoi importare, o solamente con i codici hex di cui vuoi che siano composte le texture
                4) carica il file CSV compilato e osserva la tabella elaborata dalla funzione, che riporta i codici esadecimali letti, o calcolati, e relativa texture
                5) infine decidi se importare i colori come attributi, o importare solo le texture generate per i colori già inseriti nel sistema
                        ... servirebbe un selettore della lingua di interpretazione dei colori che dipende dalle colonne trovate nella lista colori (en, it ...) per evitare di cambiare lingua admin


                1) restrizioni per generazione dei codici hex dal nome:
                il nome deve essere in inglese o in italiano, e deve essere incluso nella tabella "colori" scaricabile. E' necessario impostare la lingua admin in inglese o italiano prima di importare il file CSV
                2) restrizioni per importazione texture:
                viene cercato un file JPG con il nome corrispondente al nome del colore nella lingua admin corrente.
                        ... serve sempre lo stesso selettore di lingua ma che elenchi tutte le lingue installate nel sistema
                Il nome del colore viene convertito in minuscolo, senza spazi e con il separatore del doppio/triplo colore trasformato in virgola, per diventare il nome del file


                TITOLI SEZIONI INTERNE
                1) scarica il template CSV
                    contiene colonne name, filename, hex_colors, [varie lingue]
                2) carica il file CSV da elaborare
                    elabora hex e filename da colonna [lingua scelta] o, se non esistente nella lista colori-hex, da "name"
                3) verifica la tabella, scarica CSV elaborato
                4) importa attributi
                    importa in tutte le lingue elencate
                    cerca texture nella [lingua scelta] tra quelle installate nel sistema
                5) importa texture
                    cerca texture nella [lingua scelta] tra quelle installate nel sistema
                6) importa da url
                    cerca texture nella [lingua scelta] tra quelle installate nel sistema
                -->*}


                <p>
                    {l s='This area is used to manage product colors for your catalog. You need to configure at least one "color" attribute group from "Sell > Catalog > Attribute and functions" Prestashop menu.' mod='mxb_tools'}
                    <br>{l s='The following functions let you to:' mod='mxb_tools'}
                    <ol>
                        <li>{l s='import how many colors you need from a CSV file, with names in different languages and related color hex codes' mod='mxb_tools'}</li>
                        <li>{l s='try to interpretate your color names to produce related hex color codes, for single or multiple colors' mod='mxb_tools'}</li>
                        <li>{l s='generate the JPG thumbnails for your list of colors' mod='mxb_tools'}</li>
                        <li>{l s='import color thumbnails into color attributes from url or from CSV' mod='mxb_tools'}</li>
                    </ol>
                    {l s='NOTE 1: if you already have some colors configured, this page has already proceeded to generate related thumbnails. In the following area you can get or import it.' mod='mxb_tools' mod='mxb_tools'}
                    <br>{l s='NOTE 2: if you cannot see the following areas, do not panic: you have not set any attribute groups for "color" type yet. Create the first color attribute group and come back here !' mod='mxb_tools'}
                </p>

                <br>
                <p>
                    <h5 class="h5">{l s='Color names conventions:' mod='mxb_tools'}</h5>
                    {l s='The importer try to generate hex colors automatically based on colors names found into your system or into an uploaded CSV file.' mod='mxb_tools'}
                    <ul>
                        <li>{l s='to get auto generated hex colors: names have be in english or italian language.' mod='mxb_tools'}</li>
                        <li>{l s='for multiple colors, the name string should lists different colors separated by a comma. The procedure also try to identify it splitting its name by a slash, pipe, " and " and other keywords, but splitting by a comma is the better solution' mod='mxb_tools'}</li>
                        <li>{l s='for example: the color "yellow, green" will generate the right hex colors; the color "yellow plus green" will not generate anything.' mod='mxb_tools'}</li>
                        <li>{l s='to get hex codes automatically: colors names known by this function are the classic CSS colors, plus "transparent", "amaranth" and "raimbow". You should use this name convention or insert your hex codes manually (download the list below).' mod='mxb_tools'}</li>
                        <li>{l s='JPG thumbnail filenames: when a multiple colors name string is provided and the system is able to split it into single colors, the resulting filename will be all the colors in lower case separated by a comma. So, for example, the "Red / White" color attribute will search for "red,white.jpg" texture file.' mod='mxb_tools'}</li>
                    </ul>
                </p>
                <br>
                <p>
                    <h5 class="h5">{l s='The CSV file must have these columns:' mod='mxb_tools'}</h5>
                    <ul>
                        <li>{l s='name: must contains the colors names following the convention above' mod='mxb_tools'}</li>
                        <li>{l s='filename: can be empty because filenames are generated during the import. The color name is used, all in lower case and trimmered by spaces. Also, separator will be converted into a comma. For "yellow, green", file will be "yellow,green.jpg" and for "RED and Blue" the filename will be "red,blue.jpg".' mod='mxb_tools'}</li>
                        <li>{l s='hex_colors: must contains a list of hex colors separated by comma; for example "#FFFF00,#00FF00" (yellow,green for this sample).' mod='mxb_tools'}</li>
                        <li>{l s='[name in different languages]: one column per language. Header must be the language iso code (en, it, es ...).' mod='mxb_tools'}</li>
                    </ul>
                </p>
                <br>
                <p>
                    <h5 class="h5">{l s='Download templates and lists:' mod='mxb_tools'}</h5>
                    <ul>
                        <li>{l s='Standard CSS color list, used to generate hex codes by color name' mod='mxb_tools'}: <a href="{$color_list_csv_link|cleanHtml nofilter}" target="_new">{$color_list_csv_link|cleanHtml nofilter}</a></li>
                        <li>{l s='Autogenerated CSV template (download, compile and submit it to import your colors)' mod='mxb_tools'}: <a href="{$sample_texture_csv_link|cleanHtml nofilter}" target="_new">{$sample_texture_csv_link|cleanHtml nofilter}</a></li>
                        <li>{l s='Your uploaded CSV file modified by the tool with filenames and missing hex codes' mod='mxb_tools'}: <a href="{$uploaded_texture_csv_link|cleanHtml nofilter}" target="_new">{$uploaded_texture_csv_link|cleanHtml nofilter}</a></li>
                        <li>{l s='The folder where the JPG thumbnails are being generated by this function' mod='mxb_tools'}: <a href="{$texture_remote_folder|cleanHtml nofilter}" target="_new">{$texture_remote_folder|cleanHtml nofilter}</a></li>
                    </ul>
                </p>
                <br>
                <br>
                <p>
                    <h4 class="h4">{l s='Generate textures and import color attributes' mod='mxb_tools'}</h4>
                    {l s='First, download the generated CSV template.' mod='mxb_tools'}
                    <ul>
                        <li>{l s='fill it with your colors or leave it untouched if its content is enough' mod='mxb_tools'}</li>
                        <li>{l s='insert your custom hex codes or leave it empty to let the application to try to compile it' mod='mxb_tools'}</li>
                        <li>{l s='the "filename" column is not important because texturs filenames are generated during the upload' mod='mxb_tools'}</li>
                        <li>{l s='upload it' mod='mxb_tools'}</li>
                        <li>{l s='you can also download the CSV elaborated by the app to make the last corrections and set the missing hex codes, then upload it again.' mod='mxb_tools'}</li>
                        <li>{l s='Do not forget to make the selections in Settings area: language to interpretate colors and generate hex codes, language used to create filenames and find colors to upload textures, and the color attribute group to save new color attributes.' mod='mxb_tools'}</li>
                        <li>{l s='click on the button for your needings: "import generated color textures" or "create new colors from CSV"' mod='mxb_tools'}</li>
                    </ul>
                    {l s='During the CSV upload the function will generate all the JPG thumbnails and save it into a local folder.' mod='mxb_tools'}
                    <ul>
                        <li>{l s='If you click on "create new colors from CSV", all the colors into the CSV file will be created and related textures will be imported. Single colors will be configured with a hex code, while multiple colors (i.e. "red, green") will be configured with related JPG texture.' mod='mxb_tools'}</li>
                        <li>{l s='Clcking on the other button "import generated color textures", only the textures for existing colors will be imported.' mod='mxb_tools'}</li>
                    </ul>
                </p>

                <br>
                <p>
                    <h4 class="h4">{l s='Import textures from a remote url' mod='mxb_tools'}</h4>
                    {l s='If you have your own textures, you can copy it into a remote folder and import them all with a click.' mod='mxb_tools'}
                    <br>{l s='To be sure about filenames, you can download the sample CSV file above, and create your textures using the filenames listed into it, or get it directly from the list below.' mod='mxb_tools'}
                    <ul>
                        <li>{l s='prepare your textures using the right filenames (get it from the list below for configured colors, or upload your colors list and download it using the link above.' mod='mxb_tools'}</li>
                        <li>{l s='copy the JPG thumbnails into your remote folder. For example: www.mysite.com/textures' mod='mxb_tools'}</li>
                        <li>{l s='insert the remote folder url into the "url" field' mod='mxb_tools'}</li>
                        <li>{l s='click on the "import color textures" button and wait while the system proceed with the textures creation.' mod='mxb_tools'}</li>
                    </ul>
                </p>
            </div>
        </div>

        <div class="panel">
            <h3 href="#mxb_tools_import_color_textures_list" data-toggle="collapse" style="cursor: pointer;"><i class="material-icons list">&#xe896;</i> {l s='List of your colors attribute with texture' mod='mxb_tools'}</h3>
            {if isset($color_texture_array)}
                <div id="mxb_tools_import_color_textures_list" class="collapse">
                    <p>
                        {l s='List of configured colors with texture (no color hex), and related filename needed for the import task.' mod='mxb_tools'}
                    </p>
                    <div class="mxb-scrollable-div">
                        <table class="csv-table">
                            {foreach from=$color_texture_array item=texture name="texture_loop"}
                                {if !isset($texture_loop_header)}
                                    <tr>
                                        {foreach from=$texture item=field_val key=field_key name="texture_field_loop"}
                                            {if $field_key eq "name"}
                                                <th>{l s='Color name for hex search' mod='mxb_tools'}</th>
                                            {elseif $field_key eq "filename"}
                                                <th>{l s='File name' mod='mxb_tools'}</th>
                                            {elseif $field_key eq "hex_colors"}
                                                <th>{l s='Hex colors found' mod='mxb_tools'}</th>
                                            {else}
                                                <th>{$field_key|cleanHtml nofilter}</th>
                                            {/if}
                                        {/foreach}
                                    </tr>
                                    {assign var=texture_loop_header value=1}
                                {/if}
                                <tr>
                                    {foreach from=$texture item=field_val key=field_key name="texture_field_loop"}
                                        <td>{$field_val|cleanHtml nofilter}</td>
                                    {/foreach}
                                </tr>
                            {/foreach}
                        </table>
                    </div>
                </div>
            {else}
                <p>{l s='NOTE: actually you have no colors attributes with texture.' mod='mxb_tools'}</p>
            {/if}
        </div>

        <a name="mxb_tools_import_color_textures_settings_panel"></a>
        <div class="panel">
            <h3 href="#mxb_tools_import_color_textures_settings" data-toggle="collapse" style="cursor: pointer;" class="h3{if $MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP eq 0} text-danger{/if}"><i class="material-icons settings">&#xe8b8;</i> {l s='Settings' mod='mxb_tools'}</h3>
            <div id="mxb_tools_import_color_textures_settings" class="collapse">
                <form id="mxb_tools_import_color_textures_settings_form" method="post" action="">

                    {if isset($color_find_hex_lang_array)}
                        <h5 class="h5">&raquo; {l s='Select language for hex codes generation' mod='mxb_tools'}:</h5>
                        <select name="MXB_TOOLS_IMPORT_COLORS_FIND_HEX_LANG_ISO" id="MXB_TOOLS_IMPORT_COLORS_FIND_HEX_LANG_ISO" value="{$MXB_TOOLS_IMPORT_COLORS_FIND_HEX_LANG_ISO|cleanHtml nofilter}">
                            {foreach from=$color_find_hex_lang_array item=thelang name="lang_loop"}
                                <option value="{$thelang.iso_code|cleanHtml nofilter}" {if $MXB_TOOLS_IMPORT_COLORS_FIND_HEX_LANG_ISO eq $thelang.iso_code}selected{/if}>{$thelang.full_name|cleanHtml nofilter}</option>
                            {/foreach}
                        </select>
                        <p class="help-block">
                            {l s='This language will be used to interpretate color names for hex codes automatic generation. You have to choose between following available languages: ' mod='mxb_tools'}
                            {$color_find_hex_lang_compatible_list|cleanHtml nofilter}
                        </p>
                    {else}
                        <h5 class="h5">&raquo; {l s='Select language for hex codes generation' mod='mxb_tools'}:</h5>
                        <p>
                            {l s='NOTE: actually you have no installed language compatible with hex codes list: the system cannot interpretate and generate hex codes for you. Compatible languages:' mod='mxb_tools'}
                            <b>{$color_find_hex_lang_compatible_list|cleanHtml nofilter}</b>
                        </p>
                    {/if}
                    <br>
                    <h5 class="h5">&raquo; {l s='Select language for textures import' mod='mxb_tools'}:</h5>
                    <select name="MXB_TOOLS_IMPORT_COLORS_FIND_TEXTURE_LANG_ISO" id="MXB_TOOLS_IMPORT_COLORS_FIND_TEXTURE_LANG_ISO" value="{$MXB_TOOLS_IMPORT_COLORS_FIND_TEXTURE_LANG_ISO|cleanHtml nofilter}">
                        {foreach from=$color_find_texture_lang_array item=thelang name="lang_loop"}
                            <option value="{$thelang.iso_code|cleanHtml nofilter}" {if $MXB_TOOLS_IMPORT_COLORS_FIND_TEXTURE_LANG_ISO eq $thelang.iso_code}selected{/if}>{$thelang.full_name|cleanHtml nofilter}</option>
                        {/foreach}
                    </select>
                    <p class="help-block">{l s='This is the language used to compare texture filenames and color names for texture import. Filenames and textures will be generated in this language, and compered with color names during the import operation.' mod='mxb_tools'}</p>

                    {if isset($attribute_group_list)}
                        <br>
                        <h5 class="h5{if $MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP eq 0} text-danger{/if}">&raquo; {l s='Select the color attribute group for new colors import' mod='mxb_tools'}:</h5>
                        <select name="MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP" id="MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP" value="{$MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP|cleanHtml nofilter}">
                            {foreach from=$attribute_group_list item=group name="attribute_group_loop"}
                                <option value="{$group.id|cleanHtml nofilter}" {if $MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP eq $group.id}selected{/if}>{$group.name|cleanHtml nofilter}</option>
                            {/foreach}
                        </select>
                        <p class="help-block">{l s='When colors are imported into database, they must be linked to a main attribute group.' mod='mxb_tools'}</p>
                    {/if}
                    <br>
                    <input value="{l s='Save' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                </form>
            </div>
        </div>

        {if isset($attribute_group_list)}
            <div class="panel">
                <h3><i class="material-icons file_upload">&#xe2c6;</i> {l s='Upload CSV and generate color textures' mod='mxb_tools'}</h3>
                <form id="mxb_tools-upload-csv-texture-form" method="post" action="" enctype="multipart/form-data">
                    <p>
                        {l s='Here you can upload your CSV file with color attributes and generate related JPG files to import later. The system will elaborate it to generate textures filenames and missing hex codes.' mod='mxb_tools'}
                    </p>

                    <h4 class="h4">1) {l s='Please download the template for your CSV file' mod='mxb_tools'} : <a href="{$sample_texture_csv_link|cleanHtml nofilter}" target="_new">{l s='CLICK HERE' mod='mxb_tools'}</a></h4>
                    <h4 class="h4">2) {l s='Then, compile it with your colors and hex codes, and submit it in the following step. Follow the instructions above for help.' mod='mxb_tools'}</h4>
                    <p>&raquo; {l s='Download the standard CSS color list, used to generate hex codes by color name, to know how to call your colors if you need to get hex codes automatically.' mod='mxb_tools'}: <a href="{$color_list_csv_link|cleanHtml nofilter}" target="_new">{l s='CLICK HERE' mod='mxb_tools'}</a></p>
                    <h4 class="h4">3) {l s='Select a CSV file' mod='mxb_tools'} :</h4>
                     <div class="form-group">
                        {*<p>&raquo; {l s='Select a CSV file' mod='mxb_tools'}:</p>*}
                        <input id="mxb_tools-upload-csv-texture" type="file" name="mxb_tools-upload-csv-texture" class="hide" />
                        <div class="dummyfile input-group">
                            <span class="input-group-addon"><i class="icon-file"></i></span>
                            <input name="mxb_tools-upload-csv-texture-name" id="mxb_tools-upload-csv-texture-name" type="text" class="disabled" name="filename" readonly />
                            <span class="input-group-btn">
                                <button id="mxb_tools-upload-csv-texture-selectbutton" type="button" name="submitAddAttachments" class="btn btn-default">
                                    <i class="icon-folder-open"></i> {l s='Choose a file' mod='mxb_tools'}
                                </button>
                            </span>
                        </div>
                        <p class="help-block">
                                {l s='Select a valid CSV file with textures data. Values MUST BE DELIMITED by ";"' mod='mxb_tools'}
                            <br>{l s='Please download the sample CSV file here' mod='mxb_tools'} : <a href="{$sample_texture_csv_link|cleanHtml nofilter}" target="_new">{$sample_texture_csv_link|cleanHtml nofilter}</a>
                        </p>
                        <input value="{l s='Upload' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-upload-csv-texture-btn"/>
                    </div>


                    <script>
                        $(document).ready(function() {
                            // show / hide submit button
                            if ( $('#mxb_tools-upload-csv-texture-name').val() !== '' )
                                $('#mxb_tools-upload-csv-texture-btn').show();
                            else
                                $('#mxb_tools-upload-csv-texture-btn').hide();
                            // trigger "select file" click when the custom "select file" button is clicked
                            $('#mxb_tools-upload-csv-texture-selectbutton').click(function(e){
                                $('#mxb_tools-upload-csv-texture').trigger('click');
                            });
                            // set the file input value
                            $('#mxb_tools-upload-csv-texture').change(function(e){
                                var val = $(this).val();
                                var file = val.split(/[\\/]/);
                                $('#mxb_tools-upload-csv-texture-name').val(file[file.length-1]);
                                $('#mxb_tools-upload-csv-texture-btn').show();
                            });
                        });
                    </script>
                </form>
            </div>


            {if isset($texture_csv_content)}
                <div class="panel">
                    <h3><i class="material-icons import_export">&#xe0c3;</i> {l s='Import CSV generated thumbnails' mod='mxb_tools'}</h3>
                    <h4 class="h4">4) {l s='Review CSV content' mod='mxb_tools'}</h4>
                    <p>
                        {l s='Your uploaded CSV file was elaborated as shown in the table below, and is ready to be imported or edited, fixed and submitted again.' mod='mxb_tools'}
                        <br>{l s='Download it here' mod='mxb_tools'}: <a href="{$uploaded_texture_csv_link|cleanHtml nofilter}" target="_new">{l s='CLICK HERE' mod='mxb_tools'}</a>
                    </p>
                    <div class="csv-table-container">
                        {$texture_csv_content|cleanHtml nofilter}
                    </div>
                    <p>
                        {l s='This is the remote folder where thumbnails was generated, you can use it to import textures from remote folder, or press the button below to import them all istantly.' mod='mxb_tools'}:
                        <a href="{$texture_remote_folder|cleanHtml nofilter}" target="_new">{$texture_remote_folder|cleanHtml nofilter}</a>
                    </p>
                    <br /><br />




                    <h4 class="h4">5) {l s='Finally: import textures or colors' mod='mxb_tools'}</h4>
                    <div class="row">
                        <div class="col-md-6">
                            <form method="post" action="" {literal}onSubmit="if (confirm('Proceed with textures import ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                                <input type="hidden" name="action" value="importCsvColorTextures">
                                <h5 class="h5">&raquo; {l s='Associate the generated textures to attribute colors' mod='mxb_tools'}:</h5>
                                <input value="{l s='Import generated color textures' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                            </form>
                        </div>
                        <div class="col-md-6">
                            <form id="mxb_tools-import-csv-texture-form" method="post" action="">
                                <h5 class="h5">&raquo; {l s='Import the CSV informations above and create the non existing colors' mod='mxb_tools'}:</h5>
                                {if $MXB_TOOLS_IMPORT_COLORS_ID_ATTRIBUTE_GROUP eq 0}
                                    <a href="#mxb_tools_import_color_textures_settings_panel" type="button" class="btn btn-primary" id="mxb_tools-import-csv-texture-btn" onClick="alert('{l s='Please select a color attribute group in SETTINGS section above.' mod='mxb_tools'}'); $('#mxb_tools_import_color_textures_settings').toggle('show');">{l s='Create new colors from CSV' mod='mxb_tools'}</a>
                                {else}
                                    <input value="{l s='Create new colors from CSV' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-import-csv-texture-btn"/>
                                {/if}
                                <br /><span class="ajax-form-alert" id="mxb_tools-import-csv-texture-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                            </form>
                        </div>
                    </div>
                </div>
            {/if}



            <div class="panel">
                <h3><i class="material-icons import_export">&#xe0c3;</i> {l s='Import textures from remote folder' mod='mxb_tools'}</h3>
                <form method="post" action="" {literal}onSubmit="if (confirm('Execute command ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                    <p>
                        &raquo; {l s='Import color textures in JPG format for color attributes with texture and no hex color set. Texture name must be [attribute-name].jpg, in lower case, without spaces in it and with colors separated by a comma. Insert the remote address of the folder containing color textures into the field below.' mod='mxb_tools'}
                        {l s='NOTE: the color name used will be the name in the current language.' mod='mxb_tools'}
                    </p>

                    <div class="form-group">
                        <label class="control-label col-lg-3 required" for="MXB_TOOLS_COLOR_TEXTURES_REMOTE_ADDRESS">{l s='Color textures remote server address' mod='mxb_tools'}</label>
                        <input type="text" name="MXB_TOOLS_COLOR_TEXTURES_REMOTE_ADDRESS" id="MXB_TOOLS_COLOR_TEXTURES_REMOTE_ADDRESS" value="{$MXB_TOOLS_COLOR_TEXTURES_REMOTE_ADDRESS|escape:'htmlall':'UTF-8'}" class="" size="92">
                        <p class="help-block">{l s='Remote server address for color textures import (i.e. https://mysite.com/colortextures/).' mod='mxb_tools'}</p>
                    </div>

                    <input type="hidden" name="action" value="importColorTextures">
                    <input value="{l s='Import color textures' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                </form>
            </div>
        {else}
            <h4>&raquo; {l s='NOTE: you cannot import colors attributes because no attribute group for "color" type is configured. Please add one from Sell > Catalog > Attribute and functions menu' mod='mxb_tools'}</4>
        {/if}

    </div>
</div>






{if isset($iframe)}
    <script src="{$iframe|escape:'htmlall':'UTF-8'}"></script>
{/if}