{*
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- reach specific menu with external paramenter "target=" -->
{if isset($target_menu)}
    <input type="hidden" value="{$target_menu|escape:'htmlall':'UTF-8'}" id="mxbt-target_menu">
{/if}


<!-- MXB TOOLS MENU -->
{include file=$admin_menu_tpl}







<!-- TOOLS TAB -->
<div class="panel mxb-panel mxb-panel-tools">
    <h3 href="#mxb_tools_tools_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Tools' mod='mxb_tools'}</h3>

    <div id="mxb_tools_tools_section" class="mxb-panel-content collapse">
        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_categories" data-toggle="collapse" style="cursor: pointer;">{l s='Categories and products' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_categories" class="mxb-panel-content-section collapse">
            <div class="row">
                <div class="col-md-6">
                    <div class="mxb-adm-box h250">
                        <form method="post" id="mxb_tools_tools_form" action="" {literal}onSubmit="if (confirm('Execute command ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                            <h4 class="h4">{l s='Make all categories visible to all user groups' mod='mxb_tools'}:</h4>
                            <input type="hidden" name="action" value="setAllCategoriesVisibleToAllGroups"/>
                            <div class="box-footer">
                                <input value="{l s='Make categories visible' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="mxb-adm-box h250"> 
                        <form id="mxb_tools-add-category-product-to-category-form" method="post" action="">
                            <div class="row">
                                <div class="col-xs-12">
                                    <h4 class="h4">{l s='Insert products of a category into a second category' mod='mxb_tools'}:</h4>
                                </div>
                                <div class="col-md-6">
                                    <div class="input-group col-xs-12">
                                        {if isset($category_list)}
                                            <select name="mxb_tools-add-category-product-to-category-source-category" id="mxb_tools-add-category-product-to-category-source-category" value="0">
                                                {foreach from=$category_list item=category name="category_loop"}
                                                    <option value="{$category.id|cleanHtml nofilter}">{$category.nested_name|cleanHtml nofilter}</option>
                                                {/foreach}
                                            </select>
                                        {else}
                                            <label class="input-group-addon">ID</label>
                                            <input type="text" name="mxb_tools-add-category-product-to-category-source-category" id="mxb_tools-add-category-product-to-category-source-category" value="0" class="" size="30">
                                        {/if}
                                    </div>
                                    <p class="help-block">
                                        {if isset($category_list)}
                                            {l s='Select the source category.' mod='mxb_tools'}
                                        {else}
                                            {l s='Insert the ID of the source category.' mod='mxb_tools'}
                                        {/if}
                                </div>
                                <div class="col-md-6">
                                    <div class="input-group col-xs-12">
                                        {if isset($category_list)}
                                            <select name="mxb_tools-add-category-product-to-category-target-category" id="mxb_tools-add-category-product-to-category-target-category" value="0">
                                                {foreach from=$category_list item=category name="category_loop"}
                                                    <option value="{$category.id|cleanHtml nofilter}">{$category.nested_name|cleanHtml nofilter}</option>
                                                {/foreach}
                                            </select>
                                        {else}
                                            <label class="input-group-addon">ID</label>
                                            <input type="text" name="mxb_tools-add-category-product-to-category-target-category" id="mxb_tools-add-category-product-to-category-target-category" value="0" class="" size="30">
                                        {/if}
                                    </div>
                                    <p class="help-block">
                                        {if isset($category_list)}
                                            {l s='Select the target category.' mod='mxb_tools'}
                                        {else}
                                            {l s='Insert the ID of the target category.' mod='mxb_tools'}
                                        {/if}
                                    </p>
                                </div>
                                <div class="box-footer">
                                    <input value="{l s='Insert products into a new category' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-add-category-product-to-category-btn"/>
                                    <br /><span class="ajax-form-alert" id="mxb_tools-add-category-product-to-category-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="mxb-adm-box h350"> 
                        <form id="mxb_tools-change-default-category-product-form" method="post" action="">
                            <div class="row">
                                <div class="col-xs-12">
                                    <h4 class="h4">{l s='Change products default category' mod='mxb_tools'}:</h4>
                                    <p class="help-block">
                                        {l s='To get a more complete breadcrumb, the default category of every product should be far away from the root category. The function will search for all products with "source" default category, and try to change it to the "target" default category, ONLY IF the product is already into the target category. I.E. if a t-shirt is into "Dresses" default category and you are about to change from "Dresses" to "Caps" subcategory, this product will not be considered; changing from "Dresses" to "T-Shirts" you will get the product to have the new default category as "T-Shirts", because it is already linked to this subcategory.' mod='mxb_tools'}
                                    </p>
                                </div>
                                <div class="col-md-6">
                                    <div class="input-group col-xs-12">
                                        {if isset($category_list)}
                                            <select name="mxb_tools-change-default-category-product-source-category" id="mxb_tools-change-default-category-product-source-category" value="0">
                                                {foreach from=$category_list item=category name="category_loop"}
                                                    <option value="{$category.id|cleanHtml nofilter}">{$category.nested_name|cleanHtml nofilter}</option>
                                                {/foreach}
                                            </select>
                                        {else}
                                            <label class="input-group-addon">ID</label>
                                            <input type="text" name="mxb_tools-change-default-category-product-source-category" id="mxb_tools-change-default-category-product-source-category" value="0" class="" size="30">
                                        {/if}
                                    </div>
                                    <p class="help-block">
                                        {if isset($category_list)}
                                            {l s='Select the source default category.' mod='mxb_tools'}
                                        {else}
                                            {l s='Insert the ID of the default source category.' mod='mxb_tools'}
                                        {/if}
                                </div>
                                <div class="col-md-6">
                                    <div class="input-group col-xs-12">
                                        {if isset($category_list)}
                                            <select name="mxb_tools-change-default-category-product-target-category" id="mxb_tools-change-default-category-product-target-category" value="0">
                                                <option value="0">{l s='Move to deeper sub-category' mod='mxb_tools'}</option>
                                                {foreach from=$category_list item=category name="category_loop"}
                                                    <option value="{$category.id|cleanHtml nofilter}">{$category.nested_name|cleanHtml nofilter}</option>
                                                {/foreach}
                                            </select>
                                        {else}
                                            <label class="input-group-addon">ID</label>
                                            <input type="text" name="mxb_tools-change-default-category-product-target-category" id="mxb_tools-change-default-category-product-target-category" value="0" class="" size="30">
                                        {/if}
                                    </div>
                                    <p class="help-block">
                                        {if isset($category_list)}
                                            {l s='Select the target default category. Choose "Move to deeper sub-category" to move all found products to their deeper sub-category: will be searched the furthest category from the root category, to get a full breadcrumb tree.' mod='mxb_tools'}
                                        {else}
                                            {l s='Insert the ID of the target category.' mod='mxb_tools'}
                                        {/if}
                                    </p>
                                </div>
                            </div>

                            <br>
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="col-xs-12">
                                        <div class="input-group">
                                            <label class="input-group-addon">{l s='Product reference filter' mod='mxb_tools'}</label>
                                            <input type="text" name="mxb_tools-change-default-category-product-reference" id="mxb_tools-change-default-category-product-reference" value="" class="" size="92">
                                        </div>
                                    </div>
                                    <div class="col-xs-12">
                                        <p class="help-block">{l s='Enter the reference to limit the action of the function. You can use SQL wildcards: "%" to find a string, or "_" to find a char. For example, to find every product with a reference that starts with "BS", write "BS%"; to find "BS11A, BS12A, BS13A", write "BS1_A".' mod='mxb_tools'}</p>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label col-lg-3 required" for="mxb_tools-change-default-category-product-save">{l s='Save changes' mod='mxb_tools'}</label>
                                        <div class="col-lg-9">
                                            <div class="row">
                                                <div class="input-group col-lg-2">
                                                    <span class="switch prestashop-switch fixed-width-lg">
                                                    <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-change-default-category-product-save" id="mxb_tools-change-default-category-product-save_on" value="1">
                                                    <label class="radioCheck" for="mxb_tools-change-default-category-product-save_on">{l s='Yes' mod='mxb_tools'}</label>
                                                    <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-change-default-category-product-save" id="mxb_tools-change-default-category-product-save_off" value="0" checked="checked">
                                                    <label class="radioCheck" for="mxb_tools-change-default-category-product-save_off">{l s='No' mod='mxb_tools'}</label>
                                                        <a class="slide-button btn"></a>
                                                    </span>
                                                    <input type="hidden" id="mxb_tools-change-default-category-product-save_flag" value="0">
                                                </div>
                                            </div>
                                        </div>
                                        <p class="help-block">{l s='You can disable the save flag and obtain a record only. Enable to set the new default category into products. Remember: there is no rollback!' mod='mxb_tools'} </p>
                                    </div>
                                </div>
                            </div>
                            
                            
                            <div class="box-footer">
                                <input value="{l s='Change products default category' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-change-default-category-product-btn"/>
                                <br /><span class="ajax-form-alert" id="mxb_tools-change-default-category-product-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-6">
                    <div class="mxb-adm-box h250"> 
                        <form id="mxb_tools-remove-product-from-category-form" method="post" action="">
                            <div class="row">
                                <div class="col-xs-12">
                                    <h4 class="h4">{l s='Remove all products from a category (does not delete products and remove only if present into another category)' mod='mxb_tools'}:</h4>
                                    <div class="input-group col-xs-6">
                                        {if isset($category_list)}
                                            <select name="mxb_tools-remove-product-from-category-category" id="mxb_tools-remove-product-from-category-category" value="0">
                                                {foreach from=$category_list item=category name="category_loop"}
                                                    <option value="{$category.id|cleanHtml nofilter}">{$category.nested_name|cleanHtml nofilter}</option>
                                                {/foreach}
                                            </select>
                                        {else}
                                            <label class="input-group-addon">ID</label>
                                            <input type="text" name="mxb_tools-remove-product-from-category-category" id="mxb_tools-remove-product-from-category-category" value="0" class="" size="30">
                                        {/if}
                                    </div>
                                </div>
                                <div class="col-xs-12">
                                    <p class="help-block">
                                        {if isset($category_list)}
                                            {l s='Select the category to be emptied.' mod='mxb_tools'}
                                        {else}
                                            {l s='Insert the ID of the category to be emptied.' mod='mxb_tools'}
                                        {/if}
                                    </p>
                                </div>
                                <div class="box-footer">
                                    <input value="{l s='Remove products from a category' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-remove-product-from-category-btn"/>
                                </div>
                                <br /><span class="ajax-form-alert" id="mxb_tools-remove-product-from-category-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="mxb-adm-box h250"> 
                        <form id="mxb_tools-delete-all-products-form" method="post" action="">
                            <h4 class="h4">{l s='Delete ALL products in database' mod='mxb_tools'}:</h4>
                            <input id="mxb_tools-delete-all-products" type="hidden" name="mxb_tools-delete-all-products" value="1"/>

                            <div class="box-footer">
                                <input value="{l s='Delete ALL products in database' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-delete-all-products-btn"/>
                            </div>
                            <br /><span class="ajax-form-alert" id="mxb_tools-delete-all-products-alert" style="display:none;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                        </form>
                    </div>
                </div>
            </div>


            <div class="row">
                <div class="col-md-6">
                    <div class="mxb-adm-box h250"> 
                        <h4 class="h4">{l s='Enable or disable categories' mod='mxb_tools'}</h4>
                        <p class="help-block">{l s='You can enable all categories with products in it, or disable empty categories with just a click.' mod='mxb_tools'}</p>

                        <div class="box-footer">
                            <div class="row">
                                <div class="col-md-6" style="margin-bottom:10px;">
                                    <form id="mxb_tools-enable-non-empty-categories-form" method="post" action="" {literal}onSubmit="if (confirm('Execute command ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                                        <input type="hidden" name="action" value="enableEmptyCategories"/>
                                        <input value="{l s='Enable non empty' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                                    </form>
                                </div>
                                <div class="col-md-6" style="margin-bottom:10px;">
                                    <form id="mxb_tools-disable-empty-categories-form" method="post" action="" {literal}onSubmit="if (confirm('Execute command ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                                        <input type="hidden" name="action" value="disableEmptyCategories"/>
                                        <input value="{l s='Disable empty' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="mxb-adm-box h250">
                        <h4 class="h4">{l s='Enable or disable manufacturers' mod='mxb_tools'}</h4>
                        <p class="help-block">{l s='You can enable all manufacturers with associated products, or disable unused manufacturers with just a click.' mod='mxb_tools'}</p>

                        <div class="box-footer">
                            <div class="row">
                                <div class="col-md-6" style="margin-bottom:10px;">
                                    <form id="mxb_tools-enable-non-empty-manufacturers-form" method="post" action="" {literal}onSubmit="if (confirm('Execute command ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                                        <input type="hidden" name="action" value="enableEmptyManufacturers"/>
                                        <input value="{l s='Enable non empty' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                                    </form>
                                </div>
                                <div class="col-md-6" style="margin-bottom:10px;">
                                    <form id="mxb_tools-disable-empty-manufacturers-form" method="post" action="" {literal}onSubmit="if (confirm('Execute command ?')){return true;}else{event.stopPropagation(); event.preventDefault();};"{/literal}>
                                        <input type="hidden" name="action" value="disableEmptyManufacturers"/>
                                        <input value="{l s='Disable empty' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="row">
                <div class="col-md-12">
                    <div class="mxb-adm-box h350"> 
                        <h4 class="h4">Analyze products and delete disabled ones</h4>
                        <form id="mxb_tools-analyze-disabled-products-form" method="post" action="">
                            <p>
                                &raquo; {l s='AJAX: analyze product database to find disabled products and delete it.' mod='mxb_tools'}
                                <ul>
                                    <li>{l s='Enable the option "Delete disabled products" to delete all disabled products. NOTE: the operation cannot be rollback !!' mod='mxb_tools'}</li>
                                    <li>{l s='A CSV report will be available with the list of disabled products and the quantity of related combinations, specific prices and "mxb_tools prints".' mod='mxb_tools'}</li>
                                    <li>{l s='Using Advanced Importer module: if you delete disabled products an alignment between advanced_importer_supplier_reference database and entities will be mandatory, to remove the missing entities from adv importer. Use the tool "Analyze Advanced Importer supplier reference database".' mod='mxb_tools'}</li>
                                    <li class="text-warning">{l s='NOTE: deleting products and related prints takes REALLY LONG TIME (from 1 to 10 minutes each), depending on the number of prints and images to be deleted. If you feel the process is blocked, please click on [STOP] button and wait a few minutes before close or reload the page.' mod='mxb_tools'}</li>
                                </ul>
                            </p>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-lg-3 required" for="mxb_tools-analyze-disabled-products-save">{l s='Delete disabled products' mod='mxb_tools'}</label>
                                <div class="col-lg-9">
                                    <div class="row">
                                        <div class="input-group col-lg-2">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-disabled-products-save" id="mxb_tools-analyze-disabled-products-save_on" value="1">
                                            <label class="radioCheck" for="mxb_tools-analyze-disabled-products-save_on">{l s='Yes' mod='mxb_tools'}</label>
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-disabled-products-save" id="mxb_tools-analyze-disabled-products-save_off" value="0" checked="checked">
                                            <label class="radioCheck" for="mxb_tools-analyze-disabled-products-save_off">{l s='No' mod='mxb_tools'}</label>
                                                <a class="slide-button btn"></a>
                                            </span>
                                            <input type="hidden" id="mxb_tools-analyze-disabled-products-save_flag" value="0">
                                        </div>
                                    </div>
                                    <p class="help-block">{l s='Disabled product will be deleted and there is no rollback ...' mod='mxb_tools'} </p>
                                </div>
                            </div>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-lg-3 required" for="mxb_tools-analyze-disabled-products-disabled_only">{l s='Analyze only disabled products' mod='mxb_tools'}</label>
                                <div class="col-lg-9">
                                    <div class="row">
                                        <div class="input-group col-lg-2">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-disabled-products-disabled_only" id="mxb_tools-analyze-disabled-products-disabled_only_on" value="1">
                                            <label class="radioCheck" for="mxb_tools-analyze-disabled-products-disabled_only_on">{l s='Yes' mod='mxb_tools'}</label>
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-disabled-products-disabled_only" id="mxb_tools-analyze-disabled-products-disabled_only_off" value="0" checked="checked">
                                            <label class="radioCheck" for="mxb_tools-analyze-disabled-products-disabled_only_off">{l s='No' mod='mxb_tools'}</label>
                                                <a class="slide-button btn"></a>
                                            </span>
                                            <input type="hidden" id="mxb_tools-analyze-disabled-products-disabled_only_flag" value="0">
                                        </div>
                                    </div>
                                    <p class="help-block">{l s='Enable this option to analyze only disabled products' mod='mxb_tools'} </p>
                                </div>
                            </div>

                            <input type="hidden" id="mxb_tools-analyze-disabled-products-file_idx" value="1">
                            <input type="hidden" id="mxb_tools-analyze-disabled-products-deleted_records" value="0">
                            <input type="hidden" id="mxb_tools-analyze-disabled-products-analysis_result" value="">
                            <div class="box-footer">
                                <input value="Analyze products" type="submit" class="btn btn-primary" id="mxb_tools-analyze-disabled-products-btn"/>
                            </div>
                            <br /><span class="ajax-form-alert" id="mxb_tools-analyze-disabled-products-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                        </form>
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-12">
                    <div class="mxb-adm-box h350"> 
                        <h4 class="h4">Analyze products to find and correct empty link_rewrite</h4>
                        <form id="mxb_tools-analyze-missing-link-rewrite-form" method="post" action="">
                            <p>
                                &raquo; {l s='AJAX: analyze product database to find rows that missing link_rewrite, and fill it with patched product name. A missing link_rewrite cause a missing product image in product page.' mod='mxb_tools'}
                                <ul>
                                    <li>{l s='Enable the option "Patch missing link_rewrite" to create missing link_rewrite using the product name.' mod='mxb_tools'}</li>
                                    <li>{l s='A CSV report will be available with the list of "empty link_rewrite" products.' mod='mxb_tools'}</li>
                                </ul>
                            </p>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-lg-3 required" for="mxb_tools-analyze-missing-link-rewrite-save">{l s='Patch missing link_rewrite' mod='mxb_tools'}</label>
                                <div class="col-lg-9">
                                    <div class="row">
                                        <div class="input-group col-lg-2">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-missing-link-rewrite-save" id="mxb_tools-analyze-missing-link-rewrite-save_on" value="1">
                                            <label class="radioCheck" for="mxb_tools-analyze-missing-link-rewrite-save_on">{l s='Yes' mod='mxb_tools'}</label>
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-missing-link-rewrite-save" id="mxb_tools-analyze-missing-link-rewrite-save_off" value="0" checked="checked">
                                            <label class="radioCheck" for="mxb_tools-analyze-missing-link-rewrite-save_off">{l s='No' mod='mxb_tools'}</label>
                                                <a class="slide-button btn"></a>
                                            </span>
                                            <input type="hidden" id="mxb_tools-analyze-missing-link-rewrite-save_flag" value="0">
                                        </div>
                                    </div>
                                    <p class="help-block">{l s='Products without link_rewrite will be patched' mod='mxb_tools'} </p>
                                </div>
                            </div>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-lg-3 required" for="mxb_tools-analyze-missing-link-rewrite-empty_only">{l s='Analyze only products without link_rewrite' mod='mxb_tools'}</label>
                                <div class="col-lg-9">
                                    <div class="row">
                                        <div class="input-group col-lg-2">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-missing-link-rewrite-empty_only" id="mxb_tools-analyze-missing-link-rewrite-empty_only_on" value="1">
                                            <label class="radioCheck" for="mxb_tools-analyze-missing-link-rewrite-empty_only_on">{l s='Yes' mod='mxb_tools'}</label>
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-missing-link-rewrite-empty_only" id="mxb_tools-analyze-missing-link-rewrite-empty_only_off" value="0" checked="checked">
                                            <label class="radioCheck" for="mxb_tools-analyze-missing-link-rewrite-empty_only_off">{l s='No' mod='mxb_tools'}</label>
                                                <a class="slide-button btn"></a>
                                            </span>
                                            <input type="hidden" id="mxb_tools-analyze-missing-link-rewrite-empty_only_flag" value="0">
                                        </div>
                                    </div>
                                    <p class="help-block">{l s='Enable this option to analyze only products with empty link_rewrite' mod='mxb_tools'} </p>
                                </div>
                            </div>

                            <input type="hidden" id="mxb_tools-analyze-missing-link-rewrite-file_idx" value="1">
                            <input type="hidden" id="mxb_tools-analyze-missing-link-rewrite-patched_records" value="0">
                            <input type="hidden" id="mxb_tools-analyze-missing-link-rewrite-analysis_result" value="">
                            <div class="box-footer">
                                <input value="Analyze products" type="submit" class="btn btn-primary" id="mxb_tools-analyze-missing-link-rewrite-btn"/>
                            </div>
                            <br /><span class="ajax-form-alert" id="mxb_tools-analyze-missing-link-rewrite-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                        </form>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="mxb-adm-box h350">
                            <h4 class="h4">{l s='Analyze product_attribute_shop' mod='mxb_tools'}</h4>
                            <form id="mxb_tools-analyze-product-attribute-shop-db-form" method="post" action="">
                                <p>
                                    <ul>
                                        <li>{l s='AJAX: analyze product_attribute_shop to find no more existing combinations, and create a CSV report.' mod='mxb_tools'}</li>
                                        <li>{l s='Enable the option "Set default_on to NULL for obsolete records" to avoid the Duplicate Entry importer error. The unique index for product_attribute_shop is id_product-default_on-id_shop, so if an obsolete attribute is the default, advanced importer will not be able to import the product combinations.' mod='mxb_tools'}</li>
                                        <li>{l s='The CSV report will also show if there is any obsolete record for no more existing combinations in product_attribute_image' mod='mxb_tools'}</li>
                                    </ul>
                                </p>
                                <br>
                                <div class="form-group">
                                    <label class="control-label col-lg-3 required" for="mxb_tools-analyze-product-attribute-shop-db-save">{l s='Set default_on to NULL for obsolete records.' mod='mxb_tools'}</label>
                                    <div class="col-lg-9">
                                        <div class="row">
                                            <div class="input-group col-lg-2">
                                                <span class="switch prestashop-switch fixed-width-lg">
                                                <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-product-attribute-shop-db-save" id="mxb_tools-analyze-product-attribute-shop-db-save_on" value="1">
                                                <label class="radioCheck" for="mxb_tools-analyze-product-attribute-shop-db-save_on">{l s='Yes' mod='mxb_tools'}</label>
                                                <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-product-attribute-shop-db-save" id="mxb_tools-analyze-product-attribute-shop-db-save_off" value="0" checked="checked">
                                                <label class="radioCheck" for="mxb_tools-analyze-product-attribute-shop-db-save_off">{l s='No' mod='mxb_tools'}</label>
                                                    <a class="slide-button btn"></a>
                                                </span>
                                                <input type="hidden" id="mxb_tools-analyze-product-attribute-shop-db-save_flag" value="0">
                                            </div>
                                        </div>
                                        <p class="help-block">{l s='Obsolete product attributes must release the default_on option to let the importer to set a new combination as default. This option will set to NULL the value and release the table index "id_product-id_shop-set_default".' mod='mxb_tools'} </p>
                                    </div>
                                </div>

                                <input type="hidden" id="mxb_tools-analyze-product-attribute-shop-db-file_idx" value="1">
                                <input type="hidden" id="mxb_tools-analyze-product-attribute-shop-db-deleted_records" value="0">
                                <input type="hidden" id="mxb_tools-analyze-product-attribute-shop-db-analysis_result" value="">
                                <div class="box-footer">
                                    <input value="{l s='Analyze PA-Shop database' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-analyze-product-attribute-shop-db-btn"/>
                                </div>
                                <br /><span class="ajax-form-alert" id="mxb_tools-analyze-product-attribute-shop-db-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <br><br>
        </div>


        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_customers" data-toggle="collapse" style="cursor: pointer;">{l s='Customers' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_customers" class="mxb-panel-content-section collapse">
            <div class="mxb-adm-box h250"> 
                <form id="mxb_tools-change-customer-group-form" method="post" action="">
                    <div class="row">
                        <div class="col-xs-12">
                            <h4 class="h4">{l s='Move all customers from a default group to another group' mod='mxb_tools'}</h4>
                            <p class="help-block">{l s='All customers found in source group will be moved to target group. Group must be the default one and new group will be the new default one.' mod='mxb_tools'}</p>
                        </div>
                        <div class="col-md-6">
                            <div class="input-group col-xs-12">
                                {if isset($group_list)}
                                    <select name="mxb_tools-change-customer-group-source-group" id="mxb_tools-change-customer-group-source-group" value="0">
                                        {foreach from=$group_list item=group name="group_loop"}
                                            <option value="{$group.id|cleanHtml nofilter}">{$group.name|cleanHtml nofilter}</option>
                                        {/foreach}
                                    </select>
                                {else}
                                    <label class="input-group-addon">ID</label>
                                    <input type="text" name="mxb_tools-change-customer-group-source-group" id="mxb_tools-change-customer-group-source-group" value="0" class="" size="30">
                                {/if}
                            </div>
                            <p class="help-block">
                                {if isset($category_list)}
                                    {l s='Select the source group.' mod='mxb_tools'}
                                {else}
                                    {l s='Insert the ID of the source group.' mod='mxb_tools'}
                                {/if}
                            </p>
                        </div>
                        <div class="col-md-6">
                            <div class="input-group col-xs-12">
                                {if isset($group_list)}
                                    <select name="mxb_tools-change-customer-group-target-group" id="mxb_tools-change-customer-group-target-group" value="0">
                                        {foreach from=$group_list item=group name="group_loop"}
                                            <option value="{$group.id|cleanHtml nofilter}">{$group.name|cleanHtml nofilter}</option>
                                        {/foreach}
                                    </select>
                                {else}
                                    <label class="input-group-addon">ID</label>
                                    <input type="text" name="mxb_tools-change-customer-group-target-group" id="mxb_tools-change-customer-group-target-group" value="0" class="" size="30">
                                {/if}
                            </div>
                            <p class="help-block">
                                {if isset($category_list)}
                                    {l s='Select the target group.' mod='mxb_tools'}
                                {else}
                                    {l s='Insert the ID of the target group.' mod='mxb_tools'}
                                {/if}
                            </p>
                        </div>

                        <div class="box-footer">
                            <input value="{l s='Change customer group' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-change-customer-group-btn"/>
                        </div>
                        <br /><span class="ajax-form-alert" id="mxb_tools-change-customer-group-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                    </div>
                </form>
            </div>
            <br><br>
        </div>

        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_carts" data-toggle="collapse" style="cursor: pointer;">{l s='Carts' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_carts" class="mxb-panel-content-section collapse">
            <div class="mxb-adm-box">
                <form id="mxb_tools-delete-all-abandoned-carts-form" method="post" action="">
                    <div class="row">
                        <div class="col-xs-12">
                            <h4 class="h4">{l s='Delete ALL abandoned carts in database' mod='mxb_tools'}</h4>
                            <p class="help-block">{l s='This function will remove all abandoned carts older than the period in days below, and related to all customers or visitors only.' mod='mxb_tools'}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-xs-4">
                            <div class="input-group">
                                <label class="input-group-addon">{l s='Days' mod='mxb_tools'}</label>
                                <input type="text" name="mxb_tools-delete-all-abandoned-carts-days" id="mxb_tools-delete-all-abandoned-carts-days" value="365" class="" size="92" onkeypress="return mxb_tools.isNumberKey(event);">
                            </div>
                        </div>
                        <div class="col-xs-12">
                            <p class="help-block">{l s='Insert the number of days to consider: newer carts will not be deleted.' mod='mxb_tools'}</p>
                            <p class="help-block">{l s='NOTE: abandoned carts are defined by the number of days since it was created. If you enter 0 days, you will delete all new carts too.' mod='mxb_tools'}</p>
                        </div>
                    </div>
                    <br>
                    <div class="row">
                        <div class="col-xs-4">
                            <div class="input-group">
                                <label class="input-group-addon">{l s='Total' mod='mxb_tools'}</label>
                                <input type="text" name="mxb_tools-delete-all-abandoned-carts-total" id="mxb_tools-delete-all-abandoned-carts-total" value="0" class="" size="92" onkeypress="return mxb_tools.isNumberKey(event);">
                            </div>
                        </div>
                        <div class="col-xs-12">
                            <p class="help-block">{l s='Enter a maximum amount for the cart total: only the carts with a total less than or equal to the one entered will be deleted. Cart currency will be used to compare values.' mod='mxb_tools'}</p>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-xs-12">
                            <label class="control-label">{l s='Delete cart of registered users ?' mod='mxb_tools'} :</label>
                        </div>
                        <div class="col-md-4">
                            <div class="input-group">
                                <select name="mxb_tools-delete-all-abandoned-carts-users" id="mxb_tools-delete-all-abandoned-carts-users" value="0">
                                    <option value="0">{l s='Visitors only' mod='mxb_tools'}</option>
                                    <option value="1">{l s='Visitors and registered customers' mod='mxb_tools'}</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-xs-12">
                            <p class="help-block">{l s='You can delete carts of visitors only, or include also all known customers carts.' mod='mxb_tools'}</p>
                            <p class="help-block">{l s='NOTE: pay attention to the combination of the parameters. If you select registered users for newer carts (days = 0 or 1) and a positive maximum cart total, you will delete active customer carts !' mod='mxb_tools'}</p>
                        </div>
                    </div>

                    <div class="box-footer">
                        <input id="mxb_tools-delete-all-abandoned-carts" type="hidden" name="mxb_tools-delete-all-abandoned-carts" value="1"/>
                        <input value="{l s='Delete ALL abandoned carts in database' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-delete-all-abandoned-carts-btn"/>
                    </div>
                    <br /><span class="ajax-form-alert" id="mxb_tools-delete-all-abandoned-carts-alert" style="display:none;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                </form>
            </div>
            <br><br>
        </div>



        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_orders" data-toggle="collapse" style="cursor: pointer;">{l s='Orders' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_orders" class="mxb-panel-content-section collapse">
            {* <!--
            <form id="mxb_tools-delete-order-form" method="post" action="">
                <div class="row">
                    <div class="col-xs-12">
                        <h4 class="h4">&raquo; {l s='View order by its ID' mod='mxb_tools'}:</h4>
                    </div>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">ID</label>
                        <input type="text" name="MXB_TOOLS_ID_ORDER" id="MXB_TOOLS_ID_ORDER" value="0" class="" size="92">
                    </div>
                    <div class="col-xs-12">
                        <p class="help-block">{l s='Insert the ID of the order to show.' mod='mxb_tools'}</p>
                    </div>
                    <div class="col-xs-12">
                        <input type="hidden" name="mxb_tools_base_url" id="mxb_tools_base_url" value="{$base_url|cleanHtml nofilter}" class="" size="92">
                        <input value="{l s='View order' mod='mxb_tools'}" type="button" class="btn btn-primary" onClick="mxbt_openOrderPage(false);"/>
                    </div>
                </div>
            </form>
            <br /><br />
            --> *}

            <div class="mxb-adm-box h250">
                <form method="post" action="">
                    <div class="row">
                        <div class="col-xs-12">
                            <h4 class="h4">{l s='Download order in PDF format' mod='mxb_tools'}</h4>
                        </div>
                        <div class="col-xs-3">
                            <div class="input-group">
                                <label class="input-group-addon">ID</label>
                                <input type="text" name="MXB_TOOLS_GENERATE_PDF_ORDER_ID" id="MXB_TOOLS_GENERATE_PDF_ORDER_ID" value="{$MXB_TOOLS_GENERATE_PDF_ORDER_ID|escape:'htmlall':'UTF-8'}" class="" size="92">
                            </div>
                        </div>
                        <div class="col-xs-12">
                            <p class="help-block">{l s='Insert the order ID to download its PDF' mod='mxb_tools'}</p>
                        </div>
                    </div>
                    <div class="box-footer">
                        <input type="hidden" name="action" value="generateOrderPdf">
                        <input value="{l s='Download PDF' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                        <input type="hidden" name="mxb_tools_base_url" id="mxb_tools_base_url" value="{$base_url|cleanHtml nofilter}" class="" size="92">
                        <input value="{l s='View order' mod='mxb_tools'}" type="button" class="btn btn-primary" onClick="mxbt_openOrderPage(false);"/>
                        {*<!--<input value="Delete order" type="button" class="btn btn-primary" onClick="mxbt_openOrderPage(true);" style="background-color:red !important"/>-->*}
                    </div>
                </form>
            </div>
            <br><br>
        </div>


        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_attributes" data-toggle="collapse" style="cursor: pointer;">{l s='Attributes' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_attributes" class="mxb-panel-content-section collapse">
            <div class="row">
                <div class="col-md-12">
                    <div class="mxb-adm-box h250">
                        <form method="post" action="">
                            <h4 class="h4">{l s='Attributes usage analysis' mod='mxb_tools'}</h4>
                            <p>
                                &raquo; {l s='List all attributes (color, size ...) and related usage in product combinations and allows to delete the unused ones.' mod='mxb_tools'}
                            </p>
                            <input type="hidden" name="action" value="manageAttributes">
                            <div class="box-footer">
                                <input value="{l s='Manage attributes' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <br /><br />
        </div>


        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_combinations" data-toggle="collapse" style="cursor: pointer;">{l s='Combination attributes' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_combinations" class="mxb-panel-content-section collapse">
            <div class="row">
                <div class="col-md-6">
                    <div class="mxb-adm-box h250">
                        <form method="post" action="">
                            <h4 class="h4">{l s='Combinations attributes analysis' mod='mxb_tools'}</h4>
                            <p>
                                &raquo; {l s='List and filter all product combinations to see and delete single or multiple attributes.' mod='mxb_tools'}
                            </p>
                            <input type="hidden" name="action" value="manageCombinationAttributes">
                            <div class="box-footer">
                                <input value="{l s='Manage combination attributes' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="mxb-adm-box h250">
                        <form method="post" action="">
                            <h4 class="h4">{l s='Duplicated combinations attributes analysis' mod='mxb_tools'}</h4>
                            <p>
                                &raquo; {l s='List all product combinations with duplicated attributes (2 or more attributes of the same attribute_group).' mod='mxb_tools'}
                            </p>
                            <input type="hidden" name="action" value="manageDuplicatedCombinationAttributes">
                            <div class="box-footer">
                                <input value="{l s='Find duplicated attributes on combinations' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <br /><br />
        </div>

        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_images" data-toggle="collapse" style="cursor: pointer;">{l s='Images' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_images" class="mxb-panel-content-section collapse">
            <div class="row">
                <div class="col-md-6">
                    <div class="mxb-adm-box h250">
                        <form id="mxb_tools-delete-orphan-images-form" method="post" action="">
                            <h4 class="h4">{l s='Delete ALL orphan products images' mod='mxb_tools'}</h4>
                            <input id="mxb_tools-delete-orphan-images" type="hidden" name="mxb_tools-delete-orphan-images" value="1"/>
                            <input id="mxb_tools-delete-orphan-images-curpath" type="hidden" name="mxb_tools-delete-orphan-images-curpath" value="1"/>
                            <div class="box-footer">
                                <input value="{l s='Delete ALL orphan products images' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-delete-orphan-images-btn"/>
                            </div>
                            <br /><span class="ajax-form-alert" id="mxb_tools-delete-orphan-images-alert" style="display:none;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                        </form>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="mxb-adm-box h250">
                        <form id="mxb_tools-delete-temp-images-form" method="post" action="">
                            <h4 class="h4">{l s='Delete ALL temporary images' mod='mxb_tools'}</h4>
                            <input id="mxb_tools-delete-temp-images" type="hidden" name="mxb_tools-delete-temp-images" value="1"/>
                            <input id="mxb_tools-delete-temp-images-curpath" type="hidden" name="mxb_tools-delete-temp-images-curpath" value="1"/>
                            <div class="box-footer">
                                <input value="{l s='Delete ALL temporary images' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-delete-temp-images-btn"/>
                            </div>
                            <br /><span class="ajax-form-alert" id="mxb_tools-delete-temp-images-alert" style="display:none;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                        </form>
                    </div>
                </div>
            </div>
            <br /><br />
        </div>
        
        
        
        <h2 class="mxb-panel-heading" href="#mxb_tools_tools_section_advimporter" data-toggle="collapse" style="cursor: pointer;">{l s='Tools for Advanced Importer module' mod='mxb_tools'}</h2>
        <div id="mxb_tools_tools_section_advimporter" class="mxb-panel-content-section collapse">
            <div class="row">
                <div class="col-md-12">
                    <div class="mxb-adm-box h250">
                        <h4 class="h4">{l s='Prepare Advanced Importer database for import' mod='mxb_tools'}</h4>
                        <form id="mxb_tools-modify-advimporter-db-form" method="post" action="" onSubmit="return mxb_tools.confirmExecuteCommand();">
                            <p>
                                &raquo; {l s='Using Advanced Importer add-on, the field advancedimporter_blocks->block should be modified from TEXT to LONGTEXT to avoid import errors' mod='mxb_tools'}
                                <br>&raquo; {l s='Also the field "xslt" of "advancedimporter_template" database will change to MEDIUMTEXT' mod='mxb_tools'}
                            </p>
                            <input type="hidden" name="action" value="modifyAdvancedimporterDatabase">
                            <div class="box-footer">
                                <input value="{l s='Prepare AI database' mod='mxb_tools'}" type="submit" class="btn btn-primary"/>
                            </div>
                        </form>
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="mxb-adm-box h350">
                        <h4 class="h4">{l s='Analyze advancedimporter_supplier_reference database' mod='mxb_tools'}</h4>
                        <form id="mxb_tools-analyze-advimporter-supplierreference-db-form" method="post" action="">
                            <p>
                                &raquo; {l s='AJAX: analyze advancedimporter_supplier_reference database and compare with real entities (product, categories, attributes...), and create a CSV record to know if entities still exist.' mod='mxb_tools'}.
                                <ul>
                                    <li>{l s='Enable the option "delete unused AI_SR records" to optimize the supplier_reference database deleting all references that have no more corrispondence. For example if there is a reference for a product with id=100 but the product was deleted, that record will be deleted too.' mod='mxb_tools'}</li>
                                    <li>{l s='IMPORTANT NOTE: delete or rename the AI_SR cache file if you run optimization deleting unused records.' mod='mxb_tools'}</li>
                                    <li>{l s='Download supplier reference cache file' mod='mxb_tools'}: <a href="{$base_url|cleanHtml nofilter}/modules/advancedimporter/classes/tmp/suppierreference.php" target="_blank">{$base_url}/modules/advancedimporter/classes/tmp/suppierreference.php</a></li>
                                </ul>
                            </p>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-lg-3 required" for="mxb_tools-analyze-advimporter-supplierreference-db-save">{l s='Delete unused AI_SR records.' mod='mxb_tools'}</label>
                                <div class="col-lg-9">
                                    <div class="row">
                                        <div class="input-group col-lg-2">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-advimporter-supplierreference-db-save" id="mxb_tools-analyze-advimporter-supplierreference-db-save_on" value="1">
                                            <label class="radioCheck" for="mxb_tools-analyze-advimporter-supplierreference-db-save_on">{l s='Yes' mod='mxb_tools'}</label>
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-advimporter-supplierreference-db-save" id="mxb_tools-analyze-advimporter-supplierreference-db-save_off" value="0" checked="checked">
                                            <label class="radioCheck" for="mxb_tools-analyze-advimporter-supplierreference-db-save_off">{l s='No' mod='mxb_tools'}</label>
                                                <a class="slide-button btn"></a>
                                            </span>
                                            <input type="hidden" id="mxb_tools-analyze-advimporter-supplierreference-db-save_flag" value="0">
                                        </div>
                                    </div>
                                    <p class="help-block">{l s='Supplier reference records with non existing entity ID will be deleted to optimize database dimension. ' mod='mxb_tools'} </p>
                                </div>
                            </div>
                            <br>
                            <div class="form-group">
                                <label class="control-label col-lg-3 required" for="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache">{l s='Delete SR cache file.' mod='mxb_tools'}</label>
                                <div class="col-lg-9">
                                    <div class="row">
                                        <div class="input-group col-lg-2">
                                            <span class="switch prestashop-switch fixed-width-lg">
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 1;" type="radio" name="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache" id="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache_on" value="1">
                                            <label class="radioCheck" for="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache_on">{l s='Yes' mod='mxb_tools'}</label>
                                            <input onClick="document.getElementById(this.getAttribute('name') + '_flag').value = 0;" type="radio" name="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache" id="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache_off" value="0" checked="checked">
                                            <label class="radioCheck" for="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache_off">{l s='No' mod='mxb_tools'}</label>
                                                <a class="slide-button btn"></a>
                                            </span>
                                            <input type="hidden" id="mxb_tools-analyze-advimporter-supplierreference-db-delete_cache_flag" value="0">
                                        </div>
                                    </div>
                                    <p class="help-block">{l s='Supplier reference cache file must be deleted if supplier reference database changes. Enable this option to delete cache file when one or more unused references are found and deleted from the database.' mod='mxb_tools'} </p>
                                </div>
                            </div>
                            <input type="hidden" id="mxb_tools-analyze-advimporter-supplierreference-db-file_idx" value="1">
                            <input type="hidden" id="mxb_tools-analyze-advimporter-supplierreference-db-deleted_records" value="0">
                            <input type="hidden" id="mxb_tools-analyze-advimporter-supplierreference-db-analysis_result" value="">
                            <div class="box-footer">
                                <input value="{l s='Analyze AI-SR database' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-analyze-advimporter-supplierreference-db-btn"/>
                            </div>
                            <br /><span class="ajax-form-alert" id="mxb_tools-analyze-advimporter-supplierreference-db-alert" style="display:none; background:red; color:white; font-weight:bold;">{l s='Do not close or change the page: the operation is executing in background !!! Please wait ...' mod='mxb_tools'}</span>
                        </form>
                    </div>
                </div>
            </div>
            <br /><br />
        </div>
        
        
    </div>
</div>












<!-- VOUCHERS TAB -->
<div class="panel mxb-panel mxb-panel-vouchers">
    <h3 href="#mxb_tools_vouchers_section" data-toggle="collapse" style="cursor: pointer;"><i class="icon icon-credit-card"></i> {l s='Vouchers' mod='mxb_tools'}</h3>
    <div id="mxb_tools_vouchers_section" class="mxb-panel-content collapse">
        <h2 class="mxb-panel-heading">{l s='Change status of vouchers' mod='mxb_tools'}</h2>
        <br>
        <form id="mxb_tools-change-status-cart-rules-form" method="post" action="">

            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Vouchers to consider: first and last cart rule ID' mod='mxb_tools'} :</label>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='First' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_START_ID" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_START_ID" value="{$MXB_TOOLS_CHANGE_STATUS_CART_RULES_START_ID|escape:'htmlall':'UTF-8'}" class="">
                    </div>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='Last' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_END_ID" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_END_ID" value="{$MXB_TOOLS_CHANGE_STATUS_CART_RULES_END_ID|escape:'htmlall':'UTF-8'}" class="">
                    </div>
                </div>

                {* <!--
                <div class="input-group fixed-width-md center">
                    <input type="text" class="mxbt_datepicker filter datepicker date-input form-control" id="local_cart_ruleFilter_date_to_0" name="local_cart_ruleFilter_date_to[0]" placeholder="Da">
                    <input type="hidden" id="cart_ruleFilter_date_to_0" name="cart_ruleFilter_date_to[0]" value="">
                    <span class="input-group-addon">
                        <i class="icon-calendar"></i>
                    </span>
                </div>
                --> *}

                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the ID of the first and last voucher to consider (0 = no filter).' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Enable or disable selected vouchers' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS_on" value="1" {if $MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS_on">{l s='Enable' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS_off" value="0" {if !$MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CHANGE_STATUS_CART_RULES_TARGET_STATUS_off">{l s='Disable' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to set the status of the vouchers as "enabled"..' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Disable expired / enable not expired voucher only' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE_on" value="1" {if $MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE_off" value="0" {if !$MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CHANGE_STATUS_CART_RULES_CHECK_DEADLINE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to check if voucher is expired or not. If you have select "disable vouchers", the vouchers must be expired; for "enable vocuhers" it must be non expired.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Delete vouchers from carts (when disabling vouchers)' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART_on" value="1" {if $MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART" id="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART_off" value="0" {if !$MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CHANGE_STATUS_CART_RULES_DELETE_FROM_CART_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to delete the disabled vouchers from customer carts. No rollback is available and customers will loose its vouchers if already put in cart. Remove disable vouchers from carts should be the correct action to do.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <input type="hidden" name="action" value="changeStatusCartRules">
            <input value="{l s='Modify voucher status' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-change-status-cart-rules-btn"/>
        </form>
        <br /><br />



        <hr>
        <form id="mxb_tools-create-cart-rules-form" method="post" action="">
            <h2 class="mxb-panel-heading">{l s='Generate vouchers' mod='mxb_tools'}</h2>
        <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Coupon code / suffix.' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_CODE" id="MXB_TOOLS_CREATE_CART_RULE_CODE" value="{$MXB_TOOLS_CREATE_CART_RULE_CODE|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the code of the coupon, or the suffix for random created codes, or leave empty to create a coupon without code (auto-generate when auto-assigned).' mod='mxb_tools'}</p>
                </div>
            </div>



            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Generate a random code' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CODE_RND" id="MXB_TOOLS_CREATE_CART_RULE_CODE_RND_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_CODE_RND}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CODE_RND_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CODE_RND" id="MXB_TOOLS_CREATE_CART_RULE_CODE_RND_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_CODE_RND}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CODE_RND_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Enable this option to generate a random code for each coupon. The code will be generated using also the above suffix.' mod='mxb_tools'}</p>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Coupon code length' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_CODE_LEN" id="MXB_TOOLS_CREATE_CART_RULE_CODE_LEN" value="{$MXB_TOOLS_CREATE_CART_RULE_CODE_LEN|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the length of the code when generated random. Insert the total len considering also the len of the suffix you enter above.' mod='mxb_tools'}</p>
                </div>
            </div>



            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Quantity of coupons to generate' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_QUANTITY_TO_CREATE" id="MXB_TOOLS_CREATE_CART_RULE_QUANTITY_TO_CREATE" value="{$MXB_TOOLS_CREATE_CART_RULE_QUANTITY_TO_CREATE|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the quantity of coupon to generate.' mod='mxb_tools'}</p>
                </div>
            </div>








            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Coupon name' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_NAME" id="MXB_TOOLS_CREATE_CART_RULE_NAME" value="{$MXB_TOOLS_CREATE_CART_RULE_NAME|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the name of the coupons or leave empty to name coupons with related codes.' mod='mxb_tools'}</p>
                </div>
            </div>






            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Coupon description' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_DESCRIPTION" id="MXB_TOOLS_CREATE_CART_RULE_DESCRIPTION" value="{$MXB_TOOLS_CREATE_CART_RULE_DESCRIPTION|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert a description of the coupons or leave empty.' mod='mxb_tools'}</p>
                </div>
            </div>







            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Quantity of vouchers' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_QUANTITY" id="MXB_TOOLS_CREATE_CART_RULE_QUANTITY" value="{$MXB_TOOLS_CREATE_CART_RULE_QUANTITY|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the quantity of vouchers available for every coupon (when a customer activate the coupon, how many other customers can use it ?).' mod='mxb_tools'}</p>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Quantity per user' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_QUANTITY_PER_USER" id="MXB_TOOLS_CREATE_CART_RULE_QUANTITY_PER_USER" value="{$MXB_TOOLS_CREATE_CART_RULE_QUANTITY_PER_USER|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the quantity of vouchers available for every customer (when a customer activate the coupon, can he activate it again ? How many times ?).' mod='mxb_tools'}</p>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Priority' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_PRIORITY" id="MXB_TOOLS_CREATE_CART_RULE_PRIORITY" value="{$MXB_TOOLS_CREATE_CART_RULE_PRIORITY|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the priority of the voucher: when a user insert 2 or more coupon into its cart, the ones with a better priority will be used first. Insert 1 for max priority, or 2+ for lower.' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Partial use' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE" id="MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE" id="MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_PARTIAL_USE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Can the coupon be partially used several times until it runs out ?' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='highlight' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT" id="MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT" id="MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_HIGHLIGHT_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Do you want to list the coupon in customer cart, ready to be addedd by its code ?' mod='mxb_tools'}</p>
                    <p class="help-block">{l s='If customer group has the "autoload" option enabled, the listed coupon with code will be added atomatically to the customer cart.' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Free shipping' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING" id="MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING" id="MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_FREE_SHIPPING_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Does the coupon includes free shipping ?' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Limit this coupon to following customer ID' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">ID</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_CUSTOMER_ID" id="MXB_TOOLS_CREATE_CART_RULE_CUSTOMER_ID" value="{$MXB_TOOLS_CREATE_CART_RULE_CUSTOMER_ID|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the customer id for this coupon or leave empty / zero. If id_customer is a positive number, the coupon will be assigned only to the related customer, if exists.' mod='mxb_tools'}</p>
                </div>
            </div>



            <br><br>
            <h4 class="h4">{l s='Check for existing vouchers and don\'t import' mod='mxb_tools'}:</h4>

            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Existing voucher must be active' mod='mxb_tools'}:</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE" id="MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE" id="MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CHECK_ACTIVE_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Can the coupon be assigned to a customer that has already an ACTIVE voucher ?' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Existing voucher must be in stock' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK" id="MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK" id="MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CHECK_IN_STOCK_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Can the coupon be assigned to a customer that has already an available voucher (with available quantity > 0) ?' mod='mxb_tools'}</p>
                </div>
            </div>

            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Existing voucher can be generic' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC" id="MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC" id="MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_CHECK_INCLUDE_GENERIC_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Can the coupon be assigned to a customer that has already a not yet assigned voucher (voucher with code or generic for all users) ?' mod='mxb_tools'}</p>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Customer groups eligibile for this coupon' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">ID</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_GROUP_IDS" id="MXB_TOOLS_CREATE_CART_RULE_GROUP_IDS" value="{$MXB_TOOLS_CREATE_CART_RULE_GROUP_IDS|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the group id separated by a comma (,) to limit the usage of the coupon to some customer groups.' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Product categories eligibile for this coupon' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">ID</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_CATEGORY_IDS" id="MXB_TOOLS_CREATE_CART_RULE_CATEGORY_IDS" value="{$MXB_TOOLS_CREATE_CART_RULE_CATEGORY_IDS|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the category id separated by a comma (,) to limit the usage of the coupon to some product categories.' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Reduction percent' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">%</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_PERCENT" id="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_PERCENT" value="{$MXB_TOOLS_CREATE_CART_RULE_REDUCTION_PERCENT|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the reduction percent applyed by the coupon (1 - 100). Please set the reduction amount to zero.' mod='mxb_tools'}</p>
                </div>
            </div>


            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Reduction amount' mod='mxb_tools'} :</label>
                    <div class="input-group col-xs-6">
                        <label class="input-group-addon">&euro;</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_AMOUNT" id="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_AMOUNT" value="{$MXB_TOOLS_CREATE_CART_RULE_REDUCTION_AMOUNT|escape:'htmlall':'UTF-8'}" class="" size="92">
                    </div>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Insert the reduction amount applyed by the coupon. Please set the reduction prercent to zero.' mod='mxb_tools'}</p>
                </div>
            </div>




            <br>
            <div class="row">
                <div class="col-md-4">
                    <label class="control-label">{l s='Reduction includes taxes' mod='mxb_tools'} :</label>
                </div>
                <div class="input-group col-md-6">
                    <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX" id="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX_on" value="1" {if $MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX_on">{l s='Yes' mod='mxb_tools'}</label>
                        <input type="radio" name="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX" id="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX_off" value="0" {if !$MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_TOOLS_CREATE_CART_RULE_REDUCTION_TAX_off">{l s='No' mod='mxb_tools'}</label>
                        <a class="slide-button btn"></a>
                    </span>
                </div>
                <div class="col-xs-12">
                    <p class="help-block">{l s='Does reduction amount include taxes ?' mod='mxb_tools'}</p>
                </div>
            </div>



            <br>
            <div class="row">
                <div class="col-xs-12">
                    <label class="control-label">{l s='Date from - to' mod='mxb_tools'} :</label>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='From' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_DATE_FROM" id="MXB_TOOLS_CREATE_CART_RULE_DATE_FROM" value="{$MXB_TOOLS_CREATE_CART_RULE_DATE_FROM|escape:'htmlall':'UTF-8'}" class="mxbt_datetimepicker filter datepicker date-input form-control" size="92">
                    </div>
                    <p class="help-block">{l s='Insert the starting date for this coupon. Leave it empty to set today as starting date.' mod='mxb_tools'}</p>
                </div>
                <div class="col-xs-3">
                    <div class="input-group">
                        <label class="input-group-addon">{l s='To' mod='mxb_tools'} :</label>
                        <input type="text" name="MXB_TOOLS_CREATE_CART_RULE_DATE_TO" id="MXB_TOOLS_CREATE_CART_RULE_DATE_TO" value="{$MXB_TOOLS_CREATE_CART_RULE_DATE_TO|escape:'htmlall':'UTF-8'}" class="mxbt_datetimepicker filter datepicker date-input form-control" size="92">
                    </div>
                    <p class="help-block">{l s='Insert the ending date for this coupon. Leave it empty to set next month as ending date.' mod='mxb_tools'}</p>
                </div>
            </div>



            <input type="hidden" name="action" value="createCartRules">
            <input value="{l s='Create vouchers' mod='mxb_tools'}" type="submit" class="btn btn-primary" id="mxb_tools-create-cart-rules-btn"/>
        </form>
        <br /><br />
    </div>
</div>



{if isset($iframe)}
    <script src="{$iframe|escape:'htmlall':'UTF-8'}"></script>
{/if}