{**
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
 *}

{* this is a copy of order.product.tpl, without prices informations. For Coverjob: no prices *}


<table class="product" width="100%" cellpadding="4" cellspacing="0">

    <thead>
    <tr>
        <th class="product header small" width="{$layout.reference.width|cleanHtml nofilter}%">{l s='Reference' d='Shop.Pdf' pdf='true'}</th>
        <th class="product header small" width="{$layout.product.width|cleanHtml nofilter}%">{l s='Product' d='Shop.Pdf' pdf='true'}</th>
        {* remove price informations
            <th class="product header small" width="{$layout.tax_code.width|cleanHtml nofilter}%">{l s='Tax Rate' d='Shop.Pdf' pdf='true'}</th>

            {if isset($layout.before_discount)}
                <th class="product header small" width="{$layout.unit_price_tax_excl.width|cleanHtml nofilter}%">{l s='Base price' d='Shop.Pdf' pdf='true'} <br /> {l s='(Tax excl.)' d='Shop.Pdf' pdf='true'}</th>
            {/if}

            <th class="product header-right small" width="{$layout.unit_price_tax_excl.width|cleanHtml nofilter}%">{l s='Unit Price' d='Shop.Pdf' pdf='true'} <br /> {l s='(Tax excl.)' d='Shop.Pdf' pdf='true'}</th>
        *}
        <th class="product header small" width="{$layout.quantity.width|cleanHtml nofilter}%">{l s='Qty' d='Shop.Pdf' pdf='true'}</th>
        {* remove price informations
            <th class="product header-right small" width="{$layout.total_tax_excl.width|cleanHtml nofilter}%">{l s='Total' d='Shop.Pdf' pdf='true'} <br /> {l s='(Tax excl.)' d='Shop.Pdf' pdf='true'}</th>
        *}
    </tr>
    </thead>

    <tbody>

    <!-- PRODUCTS -->
    {foreach $order_details as $order_detail}
        {cycle values=["color_line_even", "color_line_odd"] assign=bgcolor_class}
        <tr class="product {$bgcolor_class|cleanHtml nofilter}">

            <td class="product center">
                {$order_detail.product_reference|cleanHtml nofilter}
            </td>
            <td class="product left">
                {if $display_product_images}
                    <table width="100%">
                        <tr>
                            <td width="15%">
                                {if isset($order_detail.image) && $order_detail.image->id}
                                    {$order_detail.image_tag|cleanHtml nofilter}
                                {/if}
                            </td>
                            <td width="5%">&nbsp;</td>
                            <td width="80%">
                                {$order_detail.product_name|cleanHtml nofilter}
                            </td>
                        </tr>
                    </table>
                {else}
                    {$order_detail.product_name|cleanHtml nofilter}
                {/if}

            </td>

            {* remove price informations
                <td class="product center">
                    {$order_detail.order_detail_tax_label|cleanHtml nofilter}
                </td>

                {if isset($layout.before_discount)}
                    <td class="product center">
                        {if isset($order_detail.unit_price_tax_excl_before_specific_price)}
                            {displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl_before_specific_price}
                        {else}
                            --
                        {/if}
                    </td>
                {/if}

                <td class="product right">
                    {displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl_including_ecotax}
                    {if $order_detail.ecotax_tax_excl > 0}
                        <br>
                        <small>{{displayPrice currency=$order->id_currency price=$order_detail.ecotax_tax_excl}|string_format:{l s='ecotax: %s' d='Shop.Pdf' pdf='true'}}</small>
                    {/if}
                </td>
            *}
            <td class="product center">
                {$order_detail.product_quantity|cleanHtml nofilter}
            </td>
            {* remove price informations
                <td  class="product right">
                    {displayPrice currency=$order->id_currency price=$order_detail.total_price_tax_excl_including_ecotax}
                </td>
            *}
        </tr>
        {if isset($order_detail.customizedDatas[0])}
            {foreach $order_detail.customizedDatas as $customizationPerAddress}
                {foreach $customizationPerAddress as $customizationId => $customization}
                    <tr class="customization_data {$bgcolor_class|cleanHtml nofilter}">
                        <td class="center"> &nbsp;</td>

                        <td>
                            {if isset($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) && count($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) > 0}
                                <table style="width: 100%;">
                                    {foreach $customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_] as $customization_infos}
                                        <tr>
                                            <td style="width: 30%;">

                                                {if isset($mxb_order_details[$customization_infos.value])}
                                                    {*$mxb_order_details[$customization_infos.value].name|string_format:{l s='%s:' d='Shop.Pdf' pdf='true'}*}
                                                    {$mxb_order_details[$customization_infos.value].name|cleanHtml nofilter}
                                                {else}
                                                    {if empty($customization_infos.name)}
                                                         &nbsp;
                                                    {else}
                                                        {*$customization_infos.name|string_format:{l s='%s:' d='Shop.Pdf' pdf='true'}*}
                                                        {$customization_infos.name|cleanHtml nofilter}
                                                    {/if}
                                                {/if}
                                            </td>
                                            <td>
                                                {if isset($mxb_order_details[$customization_infos.value])}
                                                    {$mxb_order_details[$customization_infos.value].value|cleanHtml nofilter}
                                                {else}
                                                    {if (int)$customization_infos.id_module}
                                                        {$customization_infos.value|cleanHtml nofilter}
                                                    {else}
                                                        {$customization_infos.value|cleanHtml nofilter}
                                                    {/if}
                                                {/if}
                                            </td>
                                        </tr>
                                    {/foreach}
                                </table>
                            {/if}

                            {if isset($customization.datas[$smarty.const._CUSTOMIZE_FILE_]) && count($customization.datas[$smarty.const._CUSTOMIZE_FILE_]) > 0}
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 70%;">{l s='image(s):' d='Shop.Pdf' pdf='true'}</td>
                                        <td>{count($customization.datas[$smarty.const._CUSTOMIZE_FILE_])|cleanHtml nofilter}</td>
                                    </tr>
                                </table>
                            {/if}
                        </td>

                        <td class="center">
                            ({if $customization.quantity == 0}1{else}{$customization.quantity|cleanHtml nofilter}{/if})
                        </td>

                        {assign var=end value=($layout._colCount-3)}
                        {for $var=0 to $end}
                            <td class="center">
                                --
                            </td>
                        {/for}

                    </tr>
                    <!--if !$smarty.foreach.custo_foreach.last-->
                {/foreach}
            {/foreach}
        {/if}
    {/foreach}
    <!-- END PRODUCTS -->

    <!-- CART RULES -->

    {* remove price informations
        {assign var="shipping_discount_tax_incl" value="0"}
        {foreach from=$cart_rules item=cart_rule name="cart_rules_loop"}
            {if $smarty.foreach.cart_rules_loop.first}
            <tr class="discount">
                <th class="header" colspan="{$layout._colCount|cleanHtml nofilter}">
                    {l s='Discounts' d='Shop.Pdf' pdf='true'}
                </th>
            </tr>
            {/if}
            <tr class="discount">
                <td class="white right" colspan="{$layout._colCount - 1|cleanHtml nofilter}">
                    {$cart_rule.name}
                </td>
                <td class="right white">
                    - {displayPrice currency=$order->id_currency price=$cart_rule.value_tax_excl}
                </td>
            </tr>
        {/foreach}
    *}
    </tbody>

</table>
