{**
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
 *}

{assign var=color_header value="#F0F0F0"}
{assign var=color_border value="#000000"}
{assign var=color_border_lighter value="#CCCCCC"}
{assign var=color_line_even value="#FFFFFF"}
{assign var=color_line_odd value="#F9F9F9"}
{assign var=font_size_text value="9pt"}
{assign var=font_size_header value="9pt"}
{assign var=font_size_product value="9pt"}
{assign var=height_header value="20px"}
{assign var=table_padding value="4px"}

<style>
    table, th, td {
        margin: 0!important;
        padding: 0!important;
        vertical-align: middle;
        font-size: {$font_size_text|cleanHtml nofilter};
        white-space: nowrap;
    }

    table.product {
        border: 1px solid {$color_border|cleanHtml nofilter};
        border-collapse: collapse;
    }

    table#addresses-tab tr td {
        font-size: large;
    }

    table#summary-tab {
        padding: {$table_padding|cleanHtml nofilter};
        border: 1pt solid {$color_border|cleanHtml nofilter};
    }
    table#total-tab {
        padding: {$table_padding|cleanHtml nofilter};
        border: 1pt solid {$color_border|cleanHtml nofilter};
    }
    table#note-tab {
        padding: {$table_padding|cleanHtml nofilter};
        border: 1px solid {$color_border|cleanHtml nofilter};
    }
    table#note-tab td.note{
        word-wrap: break-word;
    }
    table#tax-tab {
        padding: {$table_padding|cleanHtml nofilter};
        border: 1pt solid {$color_border|cleanHtml nofilter};
    }
    table#payment-tab,
    table#shipping-tab {
        padding: {$table_padding|cleanHtml nofilter};
        border: 1px solid {$color_border|cleanHtml nofilter};
    }

    th.product {
        border-bottom: 1px solid {$color_border|cleanHtml nofilter};
    }

    tr.discount th.header {
        border-top: 1px solid {$color_border|cleanHtml nofilter};
    }

    tr.product td {
        border-bottom: 1px solid {$color_border_lighter|cleanHtml nofilter};
    }

    tr.color_line_even {
        background-color: {$color_line_even|cleanHtml nofilter};
    }

    tr.color_line_odd {
        background-color: {$color_line_odd|cleanHtml nofilter};
    }

    tr.customization_data td {
    }

    td.product {
        vertical-align: middle;
        font-size: {$font_size_product|cleanHtml nofilter};
    }

    th.header {
        font-size: {$font_size_header|cleanHtml nofilter};
        height: {$height_header|cleanHtml nofilter};
        background-color: {$color_header|cleanHtml nofilter};
        vertical-align: middle;
        text-align: center;
        font-weight: bold;
    }

    th.header-right {
        font-size: {$font_size_header|cleanHtml nofilter};
        height: {$height_header|cleanHtml nofilter};
        background-color: {$color_header|cleanHtml nofilter};
        vertical-align: middle;
        text-align: right;
        font-weight: bold;
    }

    th.payment,
    th.shipping {
        background-color: {$color_header|cleanHtml nofilter};
        vertical-align: middle;
        font-weight: bold;
    }

    th.tva {
        background-color: {$color_header|cleanHtml nofilter};
        vertical-align: middle;
        font-weight: bold;
    }

    tr.separator td {
        border-top: 1px solid #000000;
    }

    .left {
        text-align: left;
    }

    .fright {
        float: right;
    }

    .right {
        text-align: right;
    }

    .center {
        text-align: center;
    }

    .bold {
        font-weight: bold;
    }

    .border {
        border: 1px solid black;
    }

    .no_top_border {
        border-top:hidden;
        border-bottom:1px solid black;
        border-left:1px solid black;
        border-right:1px solid black;
    }

    .grey {
        background-color: {$color_header|cleanHtml nofilter};

    }

    /* This is used for the border size */
    .white {
        background-color: #FFFFFF;
    }

    .big,
    tr.big td{
        font-size: 110%;
    }

    .small, table.small th, table.small td {
        font-size:small;
    }




        /* MXB */
        table.info-box-container {
            border: hidden !important;
            width: 100%;
            border-spacing: 0px;
            border-collapse: collapse;
        }

        table.info-box-container td {
            border: hidden !important;
        }

        table.info-box {
            border: hidden !important;
            width: 100%;
            border-spacing: 4px;
            /* border-collapse: collapse; */
        }

        table.info-box td {
            margin:    0px;
            padding: 0px;
            vertical-align: middle;
            text-align: left;
        }

        table.info-box td.noborder {
            border: hidden !important;
        }

        table.info-box td.boxed {
            border-style: solid !important;
            border-width: 1px 1px 1px 1px !important;
            vertical-align: top !important;
            height:    30px;
        }

        table.info-box td.double {
            height:    50px !important;
        }


        table.info-box div.cell-title {
            /*
            position: relative;
            top: 0px;
            left: 0px;
            */
            width: 100%;
            background: transparent;
            text-align: left;
        }
        div.cell-title span {
            /*
            position: absolute;
            left: 5px;
            top: -10px;
            background: white;
            */
            padding: 0px;
            font-size: 8pt !important;
        }


        table.signature-area {
            border: hidden !important;
            width: 100%;
            height: 100%;
            border-spacing: 2px;
            /* border-collapse: collapse; */
        }

        table.signature-area td {
            margin:    0px !important;
            padding-top: 5px !important;
            height: 20px;
            vertical-align: middle !important;
        }
        /*
        table.signature-area th {
            border: hidden !important;
            text-align: right;
            padding-right: 3px;
            font-size: 8pt;
        }
        */
        table.signature-area td.boxed {
            border-style: solid !important;
            border-width: 1px 1px 1px 1px !important;
            border-color: black !important;
            text-align: left;
        }

        table.signature-area td.noborder {
            border: hidden !important;
        }

        .delivery-notes {
            font-size: 6pt !important;
        }



        table.info-data {
            border: hidden !important;
            width: 100%;
            border-spacing: 2px;
            /* border-collapse: collapse; */
        }

        table.info-data td {
            margin:    0px;
            padding: 2px;
            vertical-align: middle;
            text-align: center;
        }
</style>
