{**
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
 *}

{assign var=color_header value="#F0F0F0"}
{assign var=color_border value="dark-grey"}
{assign var=color_border_lighter value="#CCCCCC"}
{assign var=color_line_even value="#FFFFFF"}
{assign var=color_line_odd value="#F9F9F9"}
{assign var=color_text value="#000000"}
{assign var=color_text_lighter value="dark-grey"}
{assign var=font_size_text value="9pt"}
{assign var=font_size_text_small value="7pt"}
{assign var=font_size_h1 value="14pt"}
{assign var=font_size_h2 value="14pt"}
{assign var=font_size_h5 value="11pt"}
{assign var=height_header value="20px"}
{assign var=table_padding value="4px"}

<style>
    table, th, td {
        margin: 0!important;
        /*padding: 0!important;*/
        vertical-align: middle;
        font-size: {$font_size_text|cleanHtml nofilter};
        white-space: nowrap;
    }
    /*
    div.table-container {
        margin-top: 5px !important;
        margin-bottom: 5px !important;
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
    */

    tr.color_line_even {
        background-color: {$color_line_even|cleanHtml nofilter};
    }

    tr.color_line_odd {
        background-color: {$color_line_odd|cleanHtml nofilter};
    }

    /*
    .h1, .h2, .h5, .product-reference, .product-print-options-table-title {
        margin-top: 0px !important;
        margin-bottom: 0px !important;
        padding-top: 0px !important;
        padding-bottom: 0px !important;
    }
*/
    p, div {
        margin: 0!important;
        padding: 0!important;
    }

    span {
        display: block;
        width:100%;
    }


    dt, dl {
        width: 50%;
    }

    .h1 {
        font-size: {$font_size_h1|cleanHtml nofilter};
        font-weight: 600;
        margin: 0!important;
        padding: 0!important;
    }

    .h2 {
        font-size: {$font_size_h2|cleanHtml nofilter};
        font-weight: 600;
        margin-top: 10px;
        padding: 0!important;
    }

    .h5, .product-print-options-table-title, .print-option-name-title-tab {
        font-size: {$font_size_h5|cleanHtml nofilter};
        font-weight: 500;
        margin-top: 5px !important;
    }


    .adm-usr td, .adm-usr th  {
        background-color: #FFFF99 !important;
    }

    .adm-usr-bold {
        text-decoration: line-through !important;
        /*background-color: red !important;
        border: 1px solid red;
        color: white !important;*/
        background-color: #FFCC33 !important;
    }

    .adm-usr-striked {
        text-decoration: line-through !important;
    }

    .product-reference {
        font-style: italic;
        margin: 0!important;
        padding: 0!important;
    }

    .product-name {
        font-size: {$font_size_h1|cleanHtml nofilter};
        font-weight: 600;
        margin: 0!important;
        padding: 0!important;
    }

    .product-brand {
        font-size: {$font_size_h5|cleanHtml nofilter};
        font-weight: 600;
        margin: 0!important;
        padding: 0!important;
    }

    .img-thumbnail {
        height: 30px;
        max-height: 30px;
    }


    table.table-product-discounts,
    table.product-print-options-table {
        border: 1px solid {$color_border|cleanHtml nofilter};
        border-collapse: collapse;
    }


    table.table-product-discounts th {
        border: 1px solid {$color_border|cleanHtml nofilter};
        text-align: center;
        background-color: {$color_line_odd|cleanHtml nofilter};
        /*line-height: 20px;*/
    }

    table.product-print-options-table th {
        border: 1px solid {$color_border|cleanHtml nofilter};
        text-align: center;
        background-color: {$color_line_odd|cleanHtml nofilter};
        font-size: {$font_size_text_small|cleanHtml nofilter};
        /*line-height: 20px;*/
    }

    table.table-product-discounts td {
        /*padding: 15px 15px 15px 15px;*/
        border: 1px solid {$color_border|cleanHtml nofilter};
        text-align: center;
        /*line-height: 16px;*/
    }

    table.product-print-options-table td {
        /*padding: 15px 15px 15px 15px;*/
        border: 1px solid {$color_border|cleanHtml nofilter};
        text-align: center;
        font-size: {$font_size_text_small|cleanHtml nofilter};
        /*line-height: 16px;*/
    }

    /* product discount table headers/cols: REDUCED for more than 6 cols */
    table.table-product-discounts.reduced th, table.table-product-discounts.reduced td {
        font-size: {$font_size_text_small|cleanHtml nofilter} !important;
        /*padding-left: 2px !important;
        padding-right: 2px !important;*/
    }



    div.product-discount {
        padding: 0px !important;
        margin: 0px !important;
    }


    /* full price striked */
    .product-full-price {
        text-decoration: line-through;
        color: {$color_text_lighter|cleanHtml nofilter};
        /*line-height: 20px;*/
    }

    .product-real-price {
        color: {$color_text|cleanHtml nofilter};
        /*line-height: 20px;*/
    }
    /*
    .print-option-name-title-tab {
        font-weight: 600!important;
    }
    */

    .tax-shipping-delivery-label {
        font-size: {$font_size_text_small|cleanHtml nofilter};
        font-weight: 300;
    }


    /*
    .border-thin {
          border: 1px solid lightgray;
    }
    */
    /*
    .product-print-data-summary {
        text-align:    left;
    }

    .print-height-container {
        padding-left:    10px;
    }

    .print-position-details {
        border:             1px solid {$color_border|cleanHtml nofilter};
    }
    */


    table.print-numbers-list-table td {
        border:             1px solid {$color_border|cleanHtml nofilter};
        padding-top:         2px;
        padding-bottom:     2px;
        text-align:            center;
    }



    table.product-print-position-table {
        margin:                1px;
        /*border-collapse:     collapse;*/
        background-color:    #FFFFFF;
        min-width:            50px;
        max-width:            80px;
    }


    table.product-print-position-table td {
        font-size:            {$font_size_text_small|cleanHtml nofilter};
        text-align:            center;
        padding:            2px;
    /*    border-width:         0px !important;*/
        background-color:    #FFFFFF;
    }

    table.product-print-position-table td span {
        font-size:            {$font_size_text_small|cleanHtml nofilter};
        text-align:            center;
    }

    span.print-dimensions-container,
    span.print-details-container,
    span.product-print-data-summary {
        display:    block;
    }


    table.product-print-position-table td.print-position-coord-x {
        color:                #446D8C;
    }

    table.product-print-position-table td.print-position-coord-y {
        color:                #0004FF;
    }
    table.product-print-position-table .print-position-draw-container {
        /*border-width:         0px !important;*/
        min-width:            50px;
        min-height:            50px;
        background-color:    #FFFFFF;
        padding:            2px;
        /*
        box-shadow:            2px 2px 8px 0 rgba(0,0,0,.2);
        -moz-box-shadow:     2px 2px 8px 0 rgba(0,0,0,.2);
        -webkit-box-shadow: 2px 2px 8px 0 rgba(0,0,0,.2);
        */
    }

    /*
    table.product-print-position-table img.print-image-thumb {
        width:    80px !important;
    }

    table.product-print-position-table img.print-color-thumb {
        height:    39px;
        width:    32px;
    }


    table.product-print-position-table img.print-height-thumb {
        height:    33px;
        width:    12px;
    }

    table.product-print-position-table .print-width-thumb {
        height:    11px;
        width:    34px;
    }


    table.data-sheet {
        border-collapse:     collapse;
        background-color:    #FFFFFF;
        margin:                0px !important;
    }
        */


/*
    ul.product-images {
      list-style: none;
      padding-left: 0;
      margin-top: 0;
      margin-bottom: 1rem;
    }
*/

/*
#gadgetcard_print_options_list_table, .gadgetcard-quantity-discount-table {
    margin-top:         50px;
    margin-bottom:         40px;
    border-top:         1px solid #CCC;
}

.hr-header {
    margin-top:         20px;
    margin-bottom:         10px;
    border-top:         1px solid #CCC;
}

#gadgetcard_print_options_list_table .tax-shipping-delivery-label {
    font-size:             12px;
}
*/
/*

table.product-print-options-table {
    width:                100%;
    border:             1px solid {$color_border_lighter|cleanHtml nofilter};
    border-collapse:     collapse;
    margin:                0px;
    background-color:    white;
    font-size:             12px;
}

table.product-print-options-table td {
    border-top:         1px solid {$color_border|cleanHtml nofilter};
    border-bottom:         1px solid {$color_border|cleanHtml nofilter};
    font-size:             {$font_size_text_small|cleanHtml nofilter};
    vertical-align:        bottom;
    padding:            2px;
    text-align:         center;
}

table.product-print-options-table th {
    border-top:         1px solid {$color_border|cleanHtml nofilter};
    border-bottom:         1px solid {$color_border|cleanHtml nofilter};
    font-size:             {$font_size_text_small|cleanHtml nofilter};

    background-color:    white;
    vertical-align:        middle;
    font-weight:         500;
    padding:            6px 2px 6px 2px;
    text-align:         center;
}

*/

    tr.separator td {
        border-top: 1px solid #000000;
    }

    .left {
        text-align: left;
    }

    .fright {
        float: right;
    }

    .right {
        text-align: right;
    }

    .center {
        text-align: center;
    }

    .bold {
        font-weight: bold;
    }

    .border {
        border: 1px solid black;
    }

    .no_top_border {
        border-top:hidden;
        border-bottom:1px solid black;
        border-left:1px solid black;
        border-right:1px solid black;
    }

    .grey {
        background-color: {$color_header|cleanHtml nofilter};

    }

    /* This is used for the border size */
    .white {
        background-color: #FFFFFF;
    }

    .big,
    tr.big td{
        font-size: 110%;
    }

    .small, table.small th, table.small td {
        font-size:small;
    }



</style>
