{**
/**
 * 2013-2024 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2024 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
 *}

{$style_tab|cleanHtml nofilter}


<table width="100%" id="body" border="0" cellpadding="0" cellspacing="0" style="margin:0;">
    <tr>
        <td colspan="5">
            {if $productData.imageUrl}
                <img src="{$productData.imageUrl|cleanHtml nofilter}" style="width:{$productData.width_cover|cleanHtml nofilter}px; height:{$productData.height_cover|cleanHtml nofilter}px;">
            {/if}
        </td>
        <td colspan="1">
            &nbsp;
        </td>

        <td colspan="6"><table width="100%" border="0" cellpadding="0" cellspacing="0" style="margin:0;"><tr><td align="right" style="text-align:right;"><span class="product-brand">{$productData.brand|cleanHtml nofilter}</span></td></tr></table>
            <div class="product-name">{$productData.name|cleanHtml nofilter}</div>
            <span class="product-reference">{$productData.reference_description|cleanHtml nofilter} - {$productData.attributes|cleanHtml nofilter}</span>
            <br>
            <hr>
            <div class="product-description">{$productData.description|cleanHtml nofilter}</div>
        </td>
    </tr>



    {if isset($productData.discountTable) && $productData.discountTable}
        <tr>
            <td colspan="12">
                <br><hr>
                <div>
                    {$productData.discountTable|cleanHtml nofilter}
                </div>
            </td>
        </tr>
    {/if}


    {if isset($productData.printTable) && $productData.printTable}
        <tr>
            <td colspan="12">
                <br><hr>
                <div>
                    {$productData.printTable|cleanHtml nofilter}
                </div>
            </td>
        </tr>
    {/if}



    {if isset($productData.featuresTable) && $productData.featuresTable}
        <tr>
            <td colspan="12">
                <br><hr>
                <div>
                    {$productData.featuresTable|cleanHtml nofilter}
                </div>
            </td>
        </tr>
    {/if}

    {if isset($productData.productAttributes) && $productData.productAttributes}
        <tr>
            <td colspan="12">
                <br><hr>
                <div><span class="h1">{$mxb_strings['combinations']|cleanHtml nofilter}</span>
                    <br>
                    {$productData.productAttributes|cleanHtml nofilter}
                </div>
            </td>
        </tr>
    {/if}


    {if isset($productData.printDetailsTable) && $productData.printDetailsTable}
        <tr>
            <td colspan="12">
                <br><hr>
                <div>
                    {$productData.printDetailsTable|cleanHtml nofilter}
                </div>
            </td>
        </tr>
    {/if}



    <!-- Hook -->
    {if isset($HOOK_DISPLAY_PDF)}
    <tr>
        <td colspan="12" height="30">&nbsp;</td>
    </tr>

    <tr>
        <td colspan="2">&nbsp;</td>
        <td colspan="10">
            {$HOOK_DISPLAY_PDF|cleanHtml nofilter}
        </td>
    </tr>
    {/if}

</table>
